<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\TcRequestStudent;
use App\Models\Studentleavetype;
use App\Models\ClassTeacher;
use App\Models\Acyear;
use App\Models\StudentLeaveRequest;
use App\Models\SpecialClassAdd;
use App\Models\Promote;
use App\Models\AddTutorial;
use App\Models\Fee;
use App\Models\Student;
use App\Models\Paymentmode;
use App\Models\Course;
use App\Models\Semester;
use App\Models\Subject;
use App\Models\StudentAttendance;
use App\Models\Clubs;
use App\Models\RequestJoinClub;
use App\Models\FeedbackType; 
use App\Models\FeedbackMainCri; 
use App\Models\FeedbackSubCri; 
use App\Models\StudentStaffFdbk; 
use App\Models\StaffSubject; 
use App\Models\StudentCollegeFdbk; 
use App\Models\FyugpExams; 
use App\Models\FyugpExamSubject; 
use App\Models\Books;
use App\Models\Community;
use App\Models\Caste;
use App\Models\StudentInterAssignment;

 use App\Models\TutorialStud;

use App\Models\SpecialClassStud;

use App\Models\Libmainloc; 
use App\Models\Libcategory;
use App\Models\Libsubloc; 
use App\Models\Libsubcategory; 
use App\Models\Membershiptype;
use App\Models\Membership;
use App\Models\BookIssueList;
use App\Models\LibraryMemberDue;
use App\Models\LibraryMemberDueList;
use App\Models\BookReservationList;
use DB;

use App\Models\Timetable;
use App\Models\DayOfWeek;
use App\Models\Periods;
use App\Models\FyugpTimetable;
use App\Models\FYUGPPATHWAY; 
use App\Models\FyugpStudSub;
use App\Models\FyugpStudSubPreferences;
use App\Models\FYUGPSTUDPATHWAY;

use App\Models\LMSSTUDASSIGNMENT;
use App\Models\LmsAssignment;
use App\Models\LmsTaskStud;
use App\Models\LmsTask;

use App\Models\PathwaySettings;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Carbon;

use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Hash;

use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\Log;
class StudentLogin extends Controller
{
   public function studenttc()
   {
       
        $studentId = Auth::guard('student')->id();
        $requestTo=User::where('type_id','13')->get();
        return view('studentlogin.tc.studenttc',compact('requestTo','studentId'));
      
   }
public function studenttc_save(Request $request)
{
     $validated = $request->validate([
            'date' => 'required',
            'remarks' =>'required',
            'user_id'=>'required',
        ]);
        $studentId = Auth::guard('student')->id();
        $date=$request->date;
        $remarks=$request->remarks;
        $request_to=$request->user_id;
        $tcrequest=TcRequestStudent::create([
            'user_id'=>$request_to,
            'request_from'=>$studentId,
            'date'=>$date,
            'remarks'=>$remarks,
            ]);
            if($tcrequest)
            {
                $msg_array=array('message','Your request for TC has been sent successfully.','success');
            }
            else
            {
                $msg_array=array('message','Your request for TC could not be sent.','error');
            }
        return redirect()->route('studenttc')->with($msg_array);
        
}
    
    public function studenttc_report()
    {
        $studentId = Auth::guard('student')->id();
        $tcreport=TcRequestStudent::where('request_from',$studentId)->get();
        return view('studentlogin.tc.studenttc_report',compact('tcreport'));
        
    }
    
    
    
    public function studentleaverequest()
    {
        $studentId = Auth::guard('student')->id();
        $studentLeaveType=Studentleavetype::all();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
       $request = User::join('classteacher','users.user_id','=','classteacher.user_id')->
       join('students','classteacher.course_id', '=', 'students.course_id')
    ->join('promotes', 'classteacher.semester_id', '=', 'promotes.semester_id')
    ->join('promotes as student_promotes', 'students.student_id', '=', 'student_promotes.student_id')
    
    ->where('student_promotes.ac_id', $ac_id)
    ->where('students.student_id', $studentId)
    ->select('users.name as uname','users.user_id','students.*')
    ->first();

       
       return view('studentlogin.leave.studentleaverequest',compact('request','studentLeaveType'));
    }
    
    
     public function studentleaverequest_save(Request $request)
    {
            $validated = $request->validate([
            'lfrom' => 'required',
            'luntil' => 'required',
            'stuleav_id'=>'required',
            'reason'=>'required',
           
          
        ]);
        $fulltime = $request->has('fulltime') ? true : false;
        $current_date = date('Y-m-d');
        $studentId = Auth::guard('student')->id();
         $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      /*   $requestUser = User::join('classteacher','users.user_id','=','classteacher.user_id')->
       join('students','classteacher.course_id', '=', 'students.course_id')
    ->join('promotes', 'classteacher.semester_id', '=', 'promotes.semester_id')
    ->join('promotes as student_promotes', 'students.student_id', '=', 'student_promotes.student_id')
    
    ->where('student_promotes.ac_id', $ac_id)
    ->where('students.student_id', $studentId)
    ->select('users.name as uname','users.user_id','students.*')
    ->first();*/
        
        
        
        
        $leavrequest= StudentLeaveRequest::create([
            'lfrom'=>$request->lfrom,
             'luntil'=>$request->luntil,
            'date'=>$current_date,
            'stuleav_id'=>$request->stuleav_id,
             'reason'=>$request->reason,
              'student_id'=>$studentId,
              'status'=>'0',
             
            ]);
      if($leavrequest)
      {
          $msg_array=array('message'=>'Your leave request has been submitted successfully','success');
      }
      else
      {
    $msg_array=array('message'=>'Unable to submit your request.','error');
  
    }
    return redirect()->route('studentlog.leave.request')->with($msg_array);
    }
    
   public function studentleaverequest_report()
   {
       $studentId = Auth::guard('student')->id();
       $leavrequest= StudentLeaveRequest::where('student_id',$studentId)->get();
       return view('studentlogin.leave.studentleaverequest_report',compact('leavrequest'));
   }
    
    public function specialclass()
    { 
         $ac_id = getAcyear();
        $student_id = Auth::guard('student')->id();
        
        $spclclass = array();
        $spclclass = SpecialClassStud::Join('add_specialclass','specialclass_stud.spclass_id','=','add_specialclass.spclclx_id')->join('subjects', 'add_specialclass.subject_id', '=', 'subjects.subject_id')->where(array('add_specialclass.ac_id'=>$ac_id,'specialclass_stud.stud_id'=>$student_id))->select('add_specialclass.*','subjects.subject_name')->get();
        
        
     
     
    return view('studentlogin.specialclass.specialclass',compact('spclclass','ac_id'));
        
        
        
    }
 public function tutorial()
 {
    $ac_id = getAcyear();
        $student_id = Auth::guard('student')->id();
        
        $tutorial = array();
        $tutorial = TutorialStud::Join('add_tutorial','tutorial_stud.tutorial_id','=','add_tutorial.tutorial_id')->join('subjects', 'add_tutorial.subject_id', '=', 'subjects.subject_id')->join('users', 'users.user_id', '=', 'add_tutorial.user_id')->where(array('add_tutorial.ac_id'=>$ac_id,'tutorial_stud.stud_id'=>$student_id))->select('add_tutorial.*','subjects.subject_name','users.name')->get();
        
      
       
       
       return view('studentlogin.tutorial.tutorial',compact('tutorial','student_id','ac_id'));
 }
    
  public function studentfee()
  {
       $student_det = Auth::guard('student')->id();
      
         $paid_history = Fee::join('students','fees.student_id','=','students.student_id')->where('fees.student_id',$student_det)->get();
         $grouped_payments = $paid_history->groupBy('receipt_no'); 
         $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
         $ac_id=$cur_acyear->ac_id;
         $student_promote  =  Student::join('promotes','students.student_id','=','promotes.student_id')->
                        join('courses','promotes.course_id','=','courses.course_id')->
                        join('semesters','promotes.semester_id','=','semesters.semester_id')->
                        where('promotes.ac_id',$cur_acyear->ac_id)->where('promotes.student_id',$student_det)->groupBy('promotes.student_id')->get();

                    
                    // ->groupBy('promotes.student_id')->get();
        // $student_promote=Student::join('promotes','promotes.student_id','=','students.student_id')->where('students.student_id',$student_id)->get();
         $paymode=Paymentmode::all();
        $paid_history = Fee::join('students','fees.student_id','=','students.student_id')->where('fees.student_id',$student_det)->get();
        $grouped_payments = $paid_history->groupBy('receipt_no');
    $semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student_det)->get();
      return view('studentlogin.fees.studentfee',compact('grouped_payments','student_det','student_promote','grouped_payments','semester'));

  }
  public function searchstudent_payment_print($rec_no,$paid_date)
  {
      
       
   
   $student_payment=Fee::where('receipt_no',$rec_no)->where('paid_date',$paid_date)->get();
   $ins_det = instituteDetails();  

  return view('studentlogin.fees.searchstudent_payment_print',compact('student_payment','ins_det'));
       
  
      
      
  }
  
  public function studentfeedue()
  {
        $student = Auth::guard('student')->id();
       
        $cdate = date('Y-m-d');
       
        $fees = Fee::studentFees(($student),$cdate);
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id=$cur_acyear->ac_id;
        $semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student)->get();


        return view('studentlogin.fees.studentfeedue',compact('student','fees','semester'));
  }
  
  public function studentattendance()
  {
      $student = Auth::guard('student')->id();
      $sem=Student::join('promotes','students.student_id','=','promotes.student_id')->
      join('courses','courses.course_id','=','promotes.course_id')->
      join('semesters','semesters.semester_id','=','promotes.semester_id')->whereNull('promotes.deleted_at')->
      where('students.student_id',$student)->select('promotes.semester_id','semesters.*','promotes.course_id','courses.*')->get();
       
     $course=Promote::join('courses','courses.course_id','=','promotes.course_id')->where('promotes.student_id',$student)->first();
     
    
     return view('studentlogin.attendance.studentattendance',compact('student','sem','course'));
    
  }
  

 public function studentattendance_report(Request $request)
{
    $course = Course::find($request->tid);
    $semester = Semester::find($request->did);
    $fromDate = $request->input('fdate');
    $toDate = $request->input('tdate');
    $studentId = Auth::guard('student')->id();

  
     $studentAttendance = StudentAttendance::join('subjects', 'student_attendance.subject_id', '=', 'subjects.subject_id')
        ->where('student_attendance.course_id', $request->tid)
        ->where('student_attendance.semester_id', $request->did)
        ->where('student_attendance.student_id', $studentId)
        ->whereBetween('date', [$fromDate, $toDate])
        ->select('subjects.subject_name', 'student_attendance.am', 'student_attendance.pm')
        ->get()
        ->groupBy('subject_name');
        
        $markedDays = StudentAttendance::where('student_attendance.course_id', $request->tid)
        ->where('student_attendance.semester_id', $request->did)
        ->where('student_attendance.student_id', $studentId)
        ->whereBetween('date', [$fromDate, $toDate])
        ->distinct('date')
        ->count('date');
        
       
        

    $attendanceSummary = [];
   
   
    $student = Student::join('promotes', 'promotes.student_id', '=', 'students.student_id')
        ->where('promotes.course_id', $request->tid)
        ->where('promotes.semester_id', $request->did)
        ->where('students.student_id', $studentId)
        ->first();

    $presentDays = 0;
    $absentDays = 0;
    $halfDayLeaves = 0;

 foreach ($studentAttendance as $subjectName => $attendances) {
        $presentDays = 0;
        $absentDays = 0;
        $halfDayLeaves = 0;

        foreach ($attendances as $attendance) {
            if ($attendance->am == 0 && $attendance->pm == 0) {
                $presentDays++;
            } elseif ($attendance->am == 1 && $attendance->pm == 1) {
                $absentDays++;
            } elseif (($attendance->am == 1 && $attendance->pm == 0) || ($attendance->am == 0 && $attendance->pm == 1)) {
                $halfDayLeaves++;
            }
        }

        $totalDays = $presentDays + $absentDays + ($halfDayLeaves * 0.5);
        $attendancePercentage = $totalDays > 0 ? ($presentDays + ($halfDayLeaves * 0.5)) / $totalDays * 100 : 0;

        $attendanceSummary[] = [
            'subject_name' => $subjectName,
            'present_days' => $presentDays,
            'absent_days' => $absentDays,
            'half_day_leaves' => $halfDayLeaves,
            'attendance_percentage' => round($attendancePercentage, 2),
        ];
    }

   

    return view('studentlogin.attendance.studentattendance_report', compact('course', 'semester', 'fromDate', 'toDate', 'attendanceSummary', 'markedDays', 'studentAttendance'));
}
  
  public function requestclub()
  {
      $studentId = Auth::guard('student')->id();
        $clubs = Clubs::all()->map(function ($club) {
       
        $userIds = explode(',', $club->user_ids); 
    
        $club->staff = User::whereIn('user_id', $userIds)->get(); 
        return $club;
    });

      return view('studentlogin.clubs.requestclub',compact('clubs'));
  }
  
  public function requestclubjoin($club_id)
{
     
    $club = Clubs::find($club_id);

    if (!$club) {
        return response()->json([]);
    }

    $userIds = explode(',', $club->user_ids);
    $staff = User::whereIn('user_id', $userIds)->get(['user_id', 'name']);

    return response()->json($staff->pluck('name', 'user_id'));
    
}


public function requestclubjoin_save(Request $request)
{
       
    $validated = $request->validate([
    'club_id' => 'required|exists:add_clubs,club_id',
    'user_id' => 'required|exists:users,user_id', 
]);

   $club_id = $request->club_id;
  
    $staff = $request->user_id; 
   
    $studentId = Auth::guard('student')->id();
    $date = $request->date;

  
    $joinRequest = RequestJoinClub::create([
        'student_id' => $studentId,
        'club_id' => $club_id,
        'user_id' => $staff, 
        'date' => $date,
        'status'=>'0',
    ]);

  
    if ($joinRequest) {
        $msg_array = ['message' => 'Club Added Successfully!', 'alert-type' => 'success'];
    } else {
        $msg_array = ['message' => 'Club Could not be Added!', 'alert-type' => 'error'];
    }

   
    return redirect()->route('studentlog.club')->with($msg_array);

}
    
   public function feedback()
   {
    //   $staff=User::all();
        $studentId = Auth::guard('student')->id();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
      $staff=StaffSubject::join('users','users.user_id','=','staff_subject.user_id')->
      join('students','students.course_id','=','staff_subject.course_id')->
      join('promotes','promotes.student_id','students.student_id')->
      join('promotes as pro','pro.semester_id','=','staff_subject.semester_id')->
      where('promotes.student_id',$studentId)->
      where('promotes.ac_id',$ac_id)->select('users.user_id', 'users.name')->
      distinct()->
      get();
      
       return view('studentlogin.feedbacks.feedback',compact('staff'));
   }
    
    public function feedback_get(Request $request)
    {
      $staff = User::find($request->cid);
    
 
    $feedback = FeedbackMainCri::where('fdbktyp_id', '2')->get();
    
   
    $criteriaWithSubcriteria = [];

  
    foreach ($feedback as $mainCriterion) {
   
        $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();

     
        $criteriaWithSubcriteria[] = [
            'mainCriterion' => $mainCriterion,
            'subcriteria' => $subcriteria,
        ];
    }

    
    return view('studentlogin.feedbacks.feedback_get', compact('criteriaWithSubcriteria','staff'));
    }
    
    public function feedback_save(Request $request)
    {
          $request->validate([
        'rating_*' => 'required|string', 
        'fdbkmainc_id' => 'required|array'
    ]);
    $user_id=$request->user_id;
    $studentId = Auth::guard('student')->id();
    $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    
    $existfeedback=StudentStaffFdbk::where('student_id',$studentId)->where('ac_id',$ac_id)->where('user_id',$user_id)->exists();
    
if ($existfeedback) {
    return redirect()->route('studentlog.feedback')->with('error', 'Feedback already submitted for this academic year!');
}
 foreach ($request->fdbkmainc_id as $mainCriId) {
    if (isset($request->rating[$mainCriId])) {
        foreach ($request->rating[$mainCriId] as $subCriterionId => $value) {
            DB::table('student_staff_feedback')->insert([
                'ac_id' => $ac_id,
                'user_id' => $request->user_id,
                'student_id' => $studentId,
                'fdbkmainc_id' => $mainCriId,
                'fdbksubc_id' => $subCriterionId,
                'rating' => $value,
                'date' => now(),
            ]);
        }
    }
}
   
   return redirect()->route('studentlog.feedback')->with('success','Feedback submitted successfully!');
   
    }
public function feedback_college()
{
    $studentId = Auth::guard('student')->id();
    $feedback = FeedbackMainCri::where('fdbktyp_id', '1')->get();
    $criteriaWithSubcriteria = [];

  
    foreach ($feedback as $mainCriterion) {
   
        $subcriteria = FeedbackSubCri::where('fdbkmainc_id', $mainCriterion->fdbkmainc_id)->get();

     
        $criteriaWithSubcriteria[] = [
            'mainCriterion' => $mainCriterion,
            'subcriteria' => $subcriteria,
        ];
    }
    return view('studentlogin.feedbacks.feedback_college',compact('feedback','criteriaWithSubcriteria','studentId'));
}

  public function feedback_college_save(Request $request)
  {
     $request->validate([
        'rating_*' => 'required|string', 
        'fdbkmainc_id' => 'required|array'
    ]);
   
    $studentId = Auth::guard('student')->id();
    $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    $existfeedback=StudentCollegeFdbk::where('student_id',$studentId)->where('ac_id',$ac_id)->exists();
    
if ($existfeedback) {
    return redirect()->route('studentlog.feedback.college')->with('error', 'Feedback already submitted for this academic year!');
}
      
   

    foreach ($request->fdbkmainc_id as $mainCriId) {
          if (isset($request->rating[$mainCriId])) {
    foreach($request->rating[$mainCriId] as $subCriterionId => $value)
    {
        
              
                DB::table('student_college_feedback')->insert([
                'ac_id'=>$ac_id,
                'student_id'=>$studentId,
                'fdbkmainc_id'=>$mainCriId,
                'fdbksubc_id' => $subCriterionId,
                'rating' => $value,
                'date' => now(), 
            ]);
        
    }
          } 
    }
   
   return redirect()->route('studentlog.feedback.college')->with('success', 'Feedback submitted successfully!');
     
  }
  
  public function examtimetable()
  {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
     return view('studentlogin.exam.examtimetable',compact('student','courses'));
     
  }
  public function sem($course_id)
  {
       $studentId = Auth::guard('student')->id();
        $semesters = array();
        $rows=Semester::join('promotes','promotes.semester_id','=','semesters.semester_id')
     ->where('promotes.student_id',$studentId)->where('promotes.course_id',$course_id)->get();
        //$rows = Semester::where('course_id',$course_id)->get();
        foreach($rows as $row){
            $semesters[$row->semester_id] = $row->semester_name;
        }
        return json_encode($semesters);
    
  }
  
  
  public function geteseexam(Request $request)
  {
       $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $exam = array();
        $rows = FyugpExams::where('course', $course_id)->where('sem', $sem_id)->where('ac_id', $ac_id)->get();
        foreach($rows as $row){
            $exam[$row->id ] = $row->exam_name;
        }
        return json_encode($exam);
  }
  
  
   public function geteseexam_get(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $exam_id = $request->exam_id;
        $ac_id = getAcyear();
        
        $studentId = Auth::guard('student')->id();
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        return view('studentlogin.exam.geteseexam_get',compact('course','semester_id','examsubjects','ac_id','exam_id','exam_name','subjects','studentId'));
         
     }
  
  public function geteseexam_print($course,$semester_id,$exam_id)
  {
      $ins_det = instituteDetails();
        // $ac_id = getAcyear();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $studentId = Auth::guard('student')->id();
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->get();
       
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
       $student=Student::join('promotes','promotes.student_id','=','students.student_id')
       ->join('courses','courses.course_id','=','promotes.course_id')
       ->join('semesters','semesters.semester_id','=','promotes.semester_id')
       ->where('promotes.ac_id',$ac_id)
       ->where('promotes.course_id',$course)
       ->where('promotes.semester_id',$semester_id)
       ->where('students.student_id',$studentId)
       ->select('students.*','courses.course_name','semesters.semester_name')
       ->first();
            
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('studentlogin.exam.print_exam_report_student',compact('ac_id','ins_det','cur_acyear','course_name','sem_name','semester_id','examsubjects','exam_name','exam_id','student'));
      
  }
  public function requestclub_report_join()
  {
       $studentId = Auth::guard('student')->id();
      $requests=RequestJoinClub::join('students','students.student_id','=','join_request_club.student_id')
      ->join('add_clubs','add_clubs.club_id','=','join_request_club.club_id')
      ->where('join_request_club.student_id',$studentId)
      ->select('students.name','students.adno','join_request_club.*','add_clubs.club_name')
      ->get();
      return view('studentlogin.clubs.requestclub_report_join',compact('requests'));
  }
  
  public function libcateg($categ_id)
  {
      
        $subcateg = array();
        $rows = Libsubcategory::where('libcat_id',$categ_id)->get();
        foreach($rows as $row){
            $subcateg[$row->libsub_id] = $row->subcategory;
        }
        return json_encode($subcateg);
    
  }
  
  
  public function reservebooks()
  {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
     $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
      $category = Libcategory::all();
     return view('studentlogin.library.book_reservation',compact('student','courses','mem_det','category'));
     
  }
  
  public function book_reserve_get(Request $request)
     {
      
        $categ_id = $request->categ_id;
        $subcateg_id = $request->subcateg_id;
        $date = $request->date;
        $ac_id = getAcyear();
        $category = Libcategory::all();
        $studentId = Auth::guard('student')->id();
        $subcategory = Libsubcategory::where('libcat_id',$categ_id)->get();
         $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
        $books = Books::where('categ_id', $categ_id)
              ->where('subcateg_id', $subcateg_id)
              ->get();
              $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
        $issuecnt = BookIssueList::where('member_type',2)->where('member_id',$studentId)->where('status',0)->count();
        $mperiod = Membershiptype::where('mmbrtyp_id',2)->first();
        $max_allowed_book= $mperiod->book_nums;
        return view('studentlogin.library.book_reservation_get',compact('categ_id','subcateg_id','date','ac_id','category','subcategory','books','studentId','max_allowed_book','issuecnt','mem_det'));
         
     }
     
      public function reservebooks_save(Request $request){
        $categ_id = decrypt($request->categ_id);
        $subcateg_id = decrypt($request->subcateg_id);
        $date = decrypt($request->date);
        $studentId = Auth::guard('student')->id();
        $ac_id = getAcyear();
        $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
         $mperiod = Membershiptype::where('mmbrtyp_id',2)->first();
            $validity_periods = $mperiod->valid_period;
            $return_time = strtotime($date)+($validity_periods*86400);
	        $return_date = date('Y-m-d', $return_time);
	        $issuecnt = BookIssueList::where('member_type',2)->where('member_id',$studentId)->where('status',0)->count();
	        $reservecnt = BookReservationList::where('member_type',2)->where('member_id',$studentId)->where('lib_status',0)->count();
	        $max_allowed_book= $mperiod->book_nums;
	        $cnt_tot = $reservecnt+$issuecnt;
	        $i=0;$j=0;$cnt_tot1=0;
	         if($max_allowed_book >= $cnt_tot)
	         {
        
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $checkissue = BookIssueList::where([
                'mem_det_id' => $mem_det->id,
                'member_type' => 2,
                'member_id' => $studentId,
                'book_id' => $ids,
                 'status' => 0,
               
            ])->first();
            if(!$checkissue){
                 $check = BookReservationList::where([
                'mem_det_id' => $mem_det->id,
                'member_type' => 2,
                'member_id' => $studentId,
                'book_id' => $ids,
                 'lib_status' => 0,
               
            ])->first();
                
            
             if(!$check){
                $issuecnt1 = BookIssueList::where('member_type',2)->where('member_id',$studentId)->where('status',0)->count();
	            $reservecnt1 = BookReservationList::where('member_type',2)->where('member_id',$studentId)->where('lib_status',0)->count();
	            $cnt_tot1 =$issuecnt1+$reservecnt1;
    	         if($max_allowed_book >= $cnt_tot1)
    	         {
                    $bkreservelist = BookReservationList::create([
                      'mem_det_id' =>$mem_det->id,
                      'member_id' => $studentId,
                      'member_type' => 2,
                      'book_id' => $ids,
                      'date' => $date,
                      'return_date'=>$return_date,
                      'return_date' => $date,
                      'lib_status'=>0,
                   
                                
                     ]);
                     $i++;
    	         }
            }else{ $j=1; }
            }else{ $j=3; }
        }
	       }  }else{ $j=2; }
         if($i>0){
            $msg_array = array('message'=>'Book reserved Successfully !','alert-type'=>'success');
        }else{
            if($j == 0){
            $msg_array = array('message'=>'Book Could not be reserved !','alert-type'=>'error');
                
            }else if($j == 1){ 
                 $msg_array = array('message'=>'Same request already exists for approval  !','alert-type'=>'error');
            }else if($j == 2){
                $msg_array = array('message' => 'Sorry! Maximum allowed books are ' . $max_allowed_book . '!', 'alert-type' => 'error');
            }
            else if($j == 3){
                $msg_array = array('message' => 'Same book already issued !', 'alert-type' => 'error');
            }
    
        }
          return redirect()->route('studentlog.reservebooks')->with($msg_array);   
      }
      
       public function reservelist()
  {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
     $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
      $category = Libcategory::all();
      $status_array = [
    0 => '<span style="color:#06C;font-weight:bold; font-size:12px;">Pending...</span>',
    1 => '<span style="color:#093;font-weight:bold; font-size:12px;">Approved !</span>',
    2 => '<span style="color:#990000;font-weight:bold; font-size:12px;">Rejected !</span>',
    3 => '<span style="color:#F93;font-weight:bold; font-size:12px;">Cancelling...</span>',
];
$reservelist = BookReservationList::where('member_type',2)->where('member_id',$studentId)->get();
     return view('studentlogin.library.book_reservelist',compact('student','courses','mem_det','category','status_array','reservelist'));
     
  }
  
  public function reservelist_cancel($aid){
        
        $bookreservationlist = BookReservationList::find(decrypt($aid));
        
        if($bookreservationlist){
            if($bookreservationlist->count() > 0){
                
                 $bookreservationlist->update([
                'lib_status' => 3,
                
            ]);
                
                $msg_array = array('message'=>'Book Reservation Cancelled Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Book Reservation Could not be Cancelled !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('studentlog.reservelist')->with($msg_array);
    } 
    
    public function book_duereport(){
        $acyears = Acyear::all();
        $studentId = Auth::guard('student')->id();
        $mem_det = Membership::where('user_id',$studentId)->where('member_type',2)->first();
        return view('studentlogin.library.book_duereport',compact('acyears','studentId','mem_det'));
    }
    
    
    public function book_duereport_get(Request $request)
    {
          $studentId = Auth::guard('student')->id();
          $col_order = ['issue_date','book_no','title','author','act_return_date','returning_date','amount','status'];
          $total_data = BookIssueList::where('member_id',$studentId)->where('member_type',2)->whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          $ac_id = getAcyear();
          $to_date = date('Y-m-d');
          $query  =   BookIssueList::join('member_details','book_issue_list.mem_det_id','=','member_details.id')->
                    join('lib_membership_type','book_issue_list.member_type','=','lib_membership_type.mmbrtyp_id')->
                    join('books','book_issue_list.book_id','=','books.id');
                   
                    $query->where('book_issue_list.member_type',2);
                    $query->where('book_issue_list.member_id',$studentId);
                    
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('author','like','%'.$search.'%')->
                            orWhere('title','like','%'.$search.'%')->
                            orWhere('book_no','like','%'.$search.'%');
                           
                        });
                    }
                    
            $total_filtered = $query->count();
            $bookissuelist  =   $query->select('book_issue_list.*','member_details.memb_no','books.title','books.author','books.book_no')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();  
        
            $data = array();    
            if($bookissuelist){
             foreach($bookissuelist as $bkissue){ 
                            if($bkissue->status == 0)
                            {
                            $fineInfo = $bkissue->calculateFineForBookIssue($bkissue->book_id, $to_date,$bkissue->id);
                            }
                            else
                            {
                               $fineInfo = $bkissue->calculateFineForBookIssue($bkissue->book_id, $bkissue->act_return_date,$bkissue->id); 
                            }
                            $row['issue_date'] = date('d-m-Y',strtotime($bkissue->issue_date));
                            $row['book_no'] = $bkissue->book_no;
                            $row['title'] = $bkissue->title;
                            $row['author'] = $bkissue->author;
                            $row['act_return_date'] = date('d-m-Y',strtotime($bkissue->act_return_date));
                            if($bkissue->status == 1)
                            {
                            $row['returning_date'] = date('d-m-Y',strtotime($bkissue->returning_date));
                            }
                            else
                            {
                                $row['returning_date'] ='';
                            }
                            $row['due_days'] = $fineInfo['total_due_days'];
                            $row['amount'] = $fineInfo['fine_amount'];
                            if($bkissue->status == 0)
                            { $status="Issued";
                            $row['status'] = '<font color="blue">'.$status.'</font>';
                            }
                            else if($bkissue->status == 1)
                            {
                                $status="Returned";
                                $row['status'] = '<font color="green">'.$status.'</font>';
                            }
                            $data[] = $row;
             }
             
            }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);  
    
    }  
    public function econtent()
    {
        $studentId = Auth::guard('student')->id();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
       $student = Student::join('promotes', 'promotes.student_id', '=', 'students.student_id')
      ->join('econtent',function($join)
      {
          $join->on('econtent.course_id','=','promotes.course_id')
          ->on('econtent.semester_id','=','promotes.semester_id');
      })
      
   
    ->where('promotes.ac_id', $ac_id)
    ->where('students.student_id', $studentId)
    ->distinct() 
    ->get();
        return view('studentlogin.econtent.econtent',compact('student'));
    }
    
    public function timetable(){
       $studentId = Auth::guard('student')->id();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      
      $semlist=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->whereNull('promotes.deleted_at')
      ->select('semesters.semester_name','semesters.semester_id','courses.course_name')
      ->get();
       // $semlist = Semester::where('course_id',$course)->get();
        return view('studentlogin.timetable.view_timetable',compact('studentId','semlist'));

        
    }
    
    public function timetable_get(Request $request)
    {
      
       $studentId = Auth::guard('student')->id();
       $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
       $ac_id = $currentAcyear->ac_id;
        $semester_id = $request->semester_id;
         $student_det = Student::find($studentId);
        $promote = $student_det->promotes()->where('ac_id', $ac_id)->orderBy('promote_id', 'DESC')->first();
         $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
       $semlist=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.course_id',$student->course_id)
      ->select('semesters.semester_name','semesters.semester_id')
      ->get();
      
      $getDayOfWeek = DayOfWeek::all();
       $periods = Periods::where('acyear', $ac_id)->get();
       $semestersnmes = Semester::where('semester_id',$semester_id)->first();
       if($student_det->ac_id < '6')
       {
         $timetable = Timetable::where('acyear', $ac_id)->where('course', $student->course_id)->where('semester', $semester_id)->get();
         
         return view('studentlogin.timetable.timetable_get',compact('studentId','semlist','semester_id','getDayOfWeek','periods','timetable','student','ac_id')); 
       }
       else
       {  
           
         $timetable = FyugpTimetable::where('fyugp_timetable.acyear', $ac_id)->where('fyugp_timetable.semester', $semester_id)->where('fyugp_timetable.course', $promote->course_id)->get();
         
          return view('studentlogin.fyugp.timetable_get',compact('studentId','semlist','semester_id','getDayOfWeek','periods','timetable','student','ac_id','promote','student_det','semestersnmes')); 
       }
        
    }
    public function timetable_print($semester_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
         $studentId = Auth::guard('student')->id();
        $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
        $course = $student->course_id;
         $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $periods = Periods::where('acyear', $ac_id)->get();
        $staffsubjects = StaffSubject::where('acyear_id', $ac_id)->where('course_id',$course)->where('semester_id',$semester_id)->get();
        $getDayOfWeek = DayOfWeek::all();
        $periods = Periods::where('acyear', $ac_id)->get();
       $timetable = Timetable::where('acyear', $ac_id)->where('course', $course)->where('semester', $semester_id)->get();
        return view('studentlogin.timetable.timetable_print',compact('studentId','semester_id','getDayOfWeek','periods','timetable','student','ac_id','course_name','sem_name','ins_det')); 
    }
    
    public function preferences_add()
  {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('promotes','promotes.course_id','=','courses.course_id')
     ->where('promotes.student_id',$studentId)->whereNull('promotes.deleted_at')->distinct('courses.course_id')->select('courses.course_id', 'courses.course_name')->get();
     return view('studentlogin.fyugp.add_preferences',compact('student','courses'));
     
  }
   public function preferences_get(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        $studentId = Auth::guard('student')->id();
        $pathway_det=FYUGPSTUDPATHWAY::where('stud_id',$studentId)->where('course_id',$course)->where('sem_id',$semester_id)->where('ac_id',$ac_id)->first();
        $sem_name = Semester::where('semester_id',$semester_id)->first();
         $pathway_all=FYUGPPATHWAY::all();
        $stud_det = Student::where('student_id',$studentId)->first();
        $stud_cnt = Promote::where('student_id',$studentId)->count();
        if ($pathway_det) {
    $pathway_id = $pathway_det->pathway_id;

        

       
           $minorIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
    ->where([
        'subjects.subject_categ' => 2,
        'course_subject.semester_id' => $sem_name->semester_name,
    ])
     ->when($pathway_id == '1', function ($query) use ($course, $stud_det) {
        
         return $query->whereIn('course_subject.course_id', [$course, $stud_det->major_ii]);
    }, function ($query) use ($course) {
       
        //return $query->where('course_subject.course_id', '!=', $course);
    })
    ->select('subjects.*')
    ->get();

       $minorIIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 3,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                 ->when($pathway_id == '1', function ($query) use ($course, $stud_det) {
        return $query->whereIn('course_subject.course_id', [$course, $stud_det->major_ii]);
    }, function ($query) use ($course) {
       
       // return $query->where('course_subject.course_id', '!=', $course);
    })
                ->select('subjects.*')
                ->get();
                
        $mdcIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 4,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                 ->when($pathway_id == '1', function ($query) use ($course, $stud_det) {
        return $query;
    }, function ($query) use ($course) {
       
        //return $query->where('course_subject.course_id', '!=', $course);
    })
                ->select('subjects.*')
                ->get();
                
     }
     else
     {
        $pathway_id = NULL;
        $mdcIsub =[];$minorIIsub=[];$minorIsub=[];
        
     }
        $studminorI_first =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',1)->first();
        $studminorI_second =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',2)->first();
        $studminorI_third =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',3)->first();
        $studminorI_four =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',4)->first();
        $studminorI_five =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->where('type',5)->first();
        
        $studminorII_first =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',1)->first();
        $studminorII_second =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',2)->first();
        $studminorII_third =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',3)->first();
        $studminorII_four =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',4)->first();
        $studminorII_five =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',3)->where('type',5)->first();
        
        $studmdcI_first =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',1)->first();
        $studmdcI_second =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',2)->first();
        $studmdcI_third =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',3)->first();
        $studmdcI_four =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',4)->first();
        $studmdcI_five =FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',4)->where('type',5)->first();

        $pathwaysetings = PathwaySettings::where('type','Active')->first();
        $valid_period = $pathwaysetings->ch_pathway;
        return view('studentlogin.fyugp.get_preferences',compact('course','semester_id','sem_name','ac_id','studentId','stud_cnt','pathway_all','pathway_det','minorIsub','minorIIsub','mdcIsub','studminorI_first','studminorI_second','studminorI_third','studminorI_four','studminorI_five','studminorII_first','studminorII_second','studminorII_third','studminorII_four','studminorII_five','studmdcI_first','studmdcI_second','studmdcI_third','studmdcI_four','studmdcI_five','valid_period'));
         
     }
     
     public function preferences_save(Request $request)
     {
         
        $course = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $studentId = Auth::guard('student')->id();
        $ac_id = getAcyear();
        $pathway_det=FYUGPSTUDPATHWAY::where('stud_id',$studentId)->where('course_id',$course)->where('sem_id',$sem_id)->where('ac_id',$ac_id)->first();
        $pathway_id = $pathway_det->pathway_id;
        
        $i=0;
        $psgpa = $request->sgpa ?? null;
        $minorI2 = $request->minorI2 ?? null;
        $minorII2 =$request->minorII2 ?? null;
        $mdcI2 = $request->mdcI2 ?? null;
      /*  $minorI_prefII2 = $request->minorI_prefII2 ?? null;
        $minorI_prefIII2 = $request->minorI_prefIII2 ?? null;
        $minorI_prefIV2 = $request->minorI_prefIV2 ?? null;
        $minorI_prefV2 = $request->minorI_prefV2 ?? null;
        
        $minorII_prefII2 = $request->minorII_prefII2 ?? null;
        $minorII_prefIII2 = $request->minorII_prefIII2 ?? null;
        $minorII_prefIV2 = $request->minorII_prefIV2 ?? null;
        $minorII_prefV2 = $request->minorII_prefV2 ?? null;
        
        $mdcI_prefII2 = $request->mdcI_prefII2 ?? null;
        $mdcI_prefIII2 = $request->mdcI_prefIII2 ?? null;
        $mdcI_prefIV2 = $request->mdcI_prefIV2 ?? null;
        $mdcI_prefV2 = $request->mdcI_prefV2 ?? null;*/
        if($minorI2)
        {
                        
                         $check_preferencelist2 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 1,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist2){
                        
                       $preferencelist2 = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'pref_Id' => $minorI2,
                                
                                'type' => 1,
                                'sub_cat' =>2,
                                'sgpa'=>$psgpa,
                                
                            ]); 
                      $checkminorpv = FyugpStudSub::where([
                            'acyear_id' => $ac_id,
                            'sem' => $sem_id,
                            'course' => $course,
                            'sub_cat' => 2,
                            'stud_id' => $studentId,
                            ])->first();
                            if(!$checkminorpv)
                            {    
                     $minorIlist2 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'sub_id' => $minorI2,
                                'sub_cat' =>2,
                                'p_sgpa'=>$psgpa,
                            ]);
                            $i++;
                            }
                            
                    }
                    else
                    {
                         $check_preferencelist2->update([
                                'pref_Id' => $minorI2,
                                'sgpa'=>$psgpa,
                            ]);
                            $checkminor = FyugpStudSub::where([
                            'acyear_id' => $ac_id,
                            'sem' => $sem_id,
                            'course' => $course,
                            'sub_cat' => 2,
                            'stud_id' => $studentId,
                            ])->first();
                            if($checkminor)
                            {
                            $checkminor->update([
                                'sub_id' => $minorI2,
                                 'p_sgpa'=>$psgpa,
                            ]);
                            }
                            $i++;
                    }
        }  
                    
       /* if($minorI_prefII2)
        {
                
                  $check_preferencelist21 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist21){
             
               $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefII2,
                        'type' => 2,
                        'sub_cat' =>2,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist21->update([
                                'pref_Id' => $minorI_prefII2,
                                'sgpa'=>$psgpa,
                            ]); 
                            $i++;
                    }
        }


        if($minorI_prefIII2)
        {
                $check_preferencelist23 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                if(!$check_preferencelist23)
                { 
                
                    $preferencelist23 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>2,
                        'sgpa'=>$psgpa,
                    ]); 
                    $i++;
                }
                else
                {
                    $check_preferencelist23->update([
                                'pref_Id' => $minorI_prefIII2,
                               'sgpa'=>$psgpa,
                            ]); 
                    $i++;
                }
        }

        if($minorI_prefIV2)
        {
                
            $check_preferencelist24 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
            if(!$check_preferencelist24){  
                
               $preferencelist24 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefIV2,
                        
                        'type' => 4,
                        'sub_cat' =>2,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                    $i++;
            }
             else
                {
                    $check_preferencelist24->update([
                                'pref_Id' => $minorI_prefIV2,
                               'sgpa'=>$psgpa,
                            ]); 
                    $i++;
                }
        }


        if($minorI_prefV2)
        {
                
            $check_preferencelist25 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 2,
                        'type' => 5,
                        'stud_id' => $studentId
                    ])->first();
                   
            if(!$check_preferencelist25){   
                
                
            $preferencelist25 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefV2,
                        
                        'type' => 5,
                        'sub_cat' =>2,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                    $i++;
            }
            else
                {
                    $check_preferencelist25->update([
                                'pref_Id' => $minorI_prefV2,
                               'sgpa'=>$psgpa,
                            ]); 
                    $i++;
                }
        }*/

        if($minorII2)
        {
            $check_preferencelist2minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 1,
                        'stud_id' => $studentId
                    ])->first();
                   
            if(!$check_preferencelist2minor){   
                
                
                    $preferencelist2minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII2,
                        
                        'type' => 1,
                        'sub_cat' =>3,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                     $checkminor2pv = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $sem_id,
                                'course' => $course,
                                'sub_cat' => 3,
                                'stud_id' => $studentId
                            ])->first();
                            if(!$checkminor2pv)
                            {
                                 $minorIlist2 = FyugpStudSub::create([
                                    'stud_id' => $studentId,
                                    'acyear_id' => $ac_id,
                                    'course' => $course,
                                    'sem' => $sem_id,
                                    'sub_id' => $minorII2,
                                    'sub_cat' =>3,
                                    'p_sgpa'=>$psgpa,
                                    
                                ]);
                                
                                 $i++;
                            }
            }
            else
                {
                    $check_preferencelist2minor->update([
                                'pref_Id' => $minorII2,
                               'sgpa'=>$psgpa,
                            ]); 
                    $checkminor2 = FyugpStudSub::where([
                            'acyear_id' => $ac_id,
                            'sem' => $sem_id,
                            'course' => $course,
                            'sub_cat' => 3,
                            'stud_id' => $studentId,
                            ])->first();
                            if($checkminor2)
                            {
                            $checkminor2->update([
                                'sub_id' => $minorII2,
                                 'p_sgpa'=>$psgpa,
                            ]);
                            }
                            $i++;
                }
        }
            
       /* if($minorII_prefII2)
        {
                
                $check_preferencelist3minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist3minor){ 
                
                    $preferencelist3minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefII2,
                        
                        'type' => 2,
                        'sub_cat' =>3,
                        'sgpa'=>$psgpa,
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist3minor->update([
                                'pref_Id' => $minorII_prefII2,
                                 'sgpa'=>$psgpa,
                            ]); 
                            $i++;
                    }
        }

        if($minorII_prefIII2)
        {
                
                $check_preferencelist4minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist4minor){ 
                
                    $preferencelist4minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>3,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist4minor->update([
                                'pref_Id' => $minorII_prefIII2,
                                'sgpa'=>$psgpa,
                            ]); 
                            $i++;
                    }
        }

        if($minorII_prefIV2)
        {
                $check_preferencelist5minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist5minor){ 
                
                    $preferencelist5minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefIV2,
                        
                        'type' => 4,
                        'sub_cat' =>3,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist5minor->update([
                                'pref_Id' => $minorII_prefIV2,
                                'sgpa'=>$psgpa,
                            ]); 
                            $i++;
                    }
        }

        if($minorII_prefV2)
        {
                 $check_preferencelist6minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 3,
                        'type' => 5,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist6minor){ 
                
                    $preferencelist6minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefV2,
                        
                        'type' => 5,
                        'sub_cat' =>3,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist6minor->update([
                                'pref_Id' => $minorII_prefV2,
                                'sgpa'=>$psgpa,
                            ]); 
                            $i++;
                    }
        }*/
            
        if($mdcI2)
        {
                $check_preferencelist1mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 1,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist1mdc){ 
                     $preferencelist1mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI2,
                        
                        'type' => 1,
                        'sub_cat' =>4,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                     $checkminor3 = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $sem_id,
                                'course' => $course,
                                'sub_cat' => 4,
                                'stud_id' => $studentId
                            ])->first();
                            if(!$checkminor3)
                            {
                             $minorIlist2 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'sub_id' => $mdcI2,
                                'sub_cat' =>4,
                                'p_sgpa'=>$psgpa,
                            ]);
                            
                             $i++;
                            }
                    }
                    else
                    {
                       $check_preferencelist1mdc->update([
                                'pref_Id' => $mdcI2,
                                'sgpa'=>$psgpa,
                               
                            ]); 
                        $checkminor3 = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $sem_id,
                                'course' => $course,
                                'sub_cat' => 4,
                                'stud_id' => $studentId
                            ])->first();  
                            if($checkminor3)
                            {
                                $checkminor3->update([
                                    'sub_id' => $mdcI2,
                                    'p_sgpa'=>$psgpa,
                                   
                                ]);
                            }   
                        $i++;
                    }
        }
            
      /*  if($mdcI_prefII2)
        {
                $check_preferencelist2mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist2mdc){ 
                     $preferencelist2mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI_prefII2,
                        'type' => 2,
                        'sub_cat' =>4,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist2mdc->update([
                                'pref_Id' => $mdcI_prefII2,
                                 'sgpa'=>$psgpa,
                            ]); 
                            $i++;
                    }
        }
            
        if($mdcI_prefIII2)
        {
                $check_preferencelist3mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist3mdc){ 
                     $preferencelist3mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI_prefIII2,
                        'type' => 3,
                        'sub_cat' =>4,
                        'sgpa'=>$psgpa,
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist3mdc->update([
                                'pref_Id' => $mdcI_prefIII2,
                                'sgpa'=>$psgpa,
                               
                            ]); 
                            $i++;
                    }
        }
             

        if($mdcI_prefIV2)
        {
              $check_preferencelist4mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist4mdc){ 
                $preferencelist4mdc = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'pref_Id' => $mdcI_prefIV2,
                                'type' => 4,
                                'sub_cat' =>4,
                                'sgpa'=>$psgpa,
                            ]); 
                            $i++;
                    }
                    else
                    {
                       $check_preferencelist4mdc->update([
                                'pref_Id' => $mdcI_prefIV2,
                                'sgpa'=>$psgpa,
                               
                            ]); 
                            $i++;
                    }
        }


        if($mdcI_prefV2)
        {
                 $check_preferencelist5mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $sem_id,
                        'course' => $course,
                        'sub_cat' => 4,
                        'type' => 5,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist5mdc){ 
                  $preferencelist5mdc = FyugpStudSubPreferences::create([
                                    'stud_id' => $studentId,
                                    'acyear_id' => $ac_id,
                                    'course' => $course,
                                    'sem' => $sem_id,
                                    'pref_Id' => $mdcI_prefV2,
                                    'type' => 5,
                                    'sub_cat' =>4,
                                    'sgpa'=>$psgpa,
                                    
                                ]);
                                $i++;
                    }
                    else
                    {
                       $check_preferencelist5mdc->update([
                                'pref_Id' => $mdcI_prefV2,
                                'sgpa'=>$psgpa,
                               
                            ]); 
                            $i++;
                    }
        }*/
        
        if($i>0){
            $msg_array = array('message'=>'Student Preferences has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Preferences Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('studentlog.preferences')->with($msg_array);
      
    
     }
     
     public function pathway_change()
    {
      $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
      $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id','semesters.semester_id')
      ->first();
      
      $student1 = Student::find($studentId);
        $promote = $student1->promotes()->where('ac_id', $ac_id)->orderBy('promote_id', 'DESC')->first();
      
      
      $studcourses=Course::join('students','students.course_id','=','courses.course_id')
     ->where('students.student_id',$studentId)->get();
     $courses=Course::all();
        $semester_id = $promote->semester_id;
        $pathway_det=FYUGPSTUDPATHWAY::where('stud_id',$studentId)->where('course_id',$promote->course_id)->where('sem_id',$semester_id)->where('ac_id',$ac_id)->first();
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        if ($pathway_det) {
        $pathway_id = $pathway_det->pathway_id;
        }
        else
        {
            $pathway_id = NULL;
        }
        $pathway_all=FYUGPPATHWAY::all();
        
        
        $pathwaysetings = PathwaySettings::where('type','Active')->first();
        $valid_period = $pathwaysetings->ch_pathway;
     return view('studentlogin.fyugp.pathway_change',compact('student','courses','pathway_id','pathway_all','pathway_det','valid_period','studcourses'));
     
  }
  
  public function getMinorI(Request $request){
        $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        $subminorsI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 2)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        else
        {
             $query->where('course_subject.course_id', '!=', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        
        
        foreach($rows as $row){
            $subminorsI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($subminorsI);
    } 
    
    public function getMinorII(Request $request){
        $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        
        $subminorsII = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 3)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        else
        {
             $query->where('course_subject.course_id', '!=', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $subminorsII[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($subminorsII);
    } 
    
     public function getMdcI(Request $request){
         $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 4)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        else
        {
             $query->where('course_subject.course_id', '!=', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
    public function getAecI(Request $request){
        $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 5)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
    public function getAecII(Request $request){
        $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
          $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 6)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
    
    public function pathway_save(Request $request)
     {
        $i=0; 
        $pathway_id = $request->pathway_id;
        /*$course_id = $request->course_id;
        $semester_id = $request->semester_id;*/
        $studentId = Auth::guard('student')->id();
        $ac_id = getAcyear();
        $student = Student::find($studentId);
        $promote = $student->promotes()->where('ac_id', $ac_id)->orderBy('promote_id', 'DESC')->first();
       
        
        if($pathway_id)
        {
            $check_pathway = FYUGPSTUDPATHWAY::where([
                        'stud_id' => $studentId, 'course_id' => $promote->course_id, 'sem_id' => $promote->semester_id, 'ac_id' => $ac_id,
                        
                    ])->first();
                    
            if(!$check_pathway)
            {
                FYUGPSTUDPATHWAY::create([
                    'stud_id' => $studentId,
                    'pathway_id' => $pathway_id,
                    'course_id' => $promote->course_id,
                    'sem_id' => $promote->semester_id,
                    'ac_id'=> $ac_id,
                        ]);
                        $i++;
            }
            else
            {
                $i++;
                 $check_pathway->update([
            'pathway_id' => $pathway_id
            
        ]);
                
            }
        
        }
        
       /* $aecI = $request->aecI ?? null;
        $aecII =$request->aecII ?? null;
        $minorI = $request->minorI ?? null;
        $minorII =$request->minorII ?? null;
        $mdcI = $request->mdcI ?? null;
        $minorI_prefII = $request->minorI_prefII ?? null;
        $minorI_prefIII = $request->minorI_prefIII ?? null;
        $minorI_prefIV = $request->minorI_prefIV ?? null;
        $minorI_prefV = $request->minorI_prefV ?? null;
        
        $minorII_prefII = $request->minorII_prefII ?? null;
        $minorII_prefIII = $request->minorII_prefIII ?? null;
        $minorII_prefIV = $request->minorII_prefIV ?? null;
        $minorII_prefV = $request->minorII_prefV ?? null;
        
        $mdcI_prefII = $request->mdcI_prefII ?? null;
        $mdcI_prefIII = $request->mdcI_prefIII ?? null;
        $mdcI_prefIV = $request->mdcI_prefIV ?? null;
        $mdcI_prefV = $request->mdcI_prefV ?? null;
        
        $minorI2 = $data['minorI2'] ?? null;
        $minorII2 = $data['minorII2'] ?? null;
        $mdcI2 = $data['mdcI2'] ?? null;
        $minorI_prefII2 = $data['minorI_prefII2'] ?? null;
        $minorI_prefIII2 = $data['minorI_prefIII2'] ?? null;
        $minorI_prefIV2 = $data['minorI_prefIV2'] ?? null;
        $minorI_prefV2 = $data['minorI_prefV2'] ?? null;
        
        $minorII_prefII2 = $data['minorII_prefII2'] ?? null;
        $minorII_prefIII2 = $data['minorII_prefIII2'] ?? null;
        $minorII_prefIV2 = $data['minorII_prefIV2'] ?? null;
        $minorII_prefV2 = $data['minorII_prefV2'] ?? null;
        
        $mdcI_prefII2 = $data['mdcI_prefII2'] ?? null;
        $mdcI_prefIII2 = $data['mdcI_prefIII2'] ?? null;
        $mdcI_prefIV2 = $data['mdcI_prefIV2'] ?? null;
        $mdcI_prefV2 = $data['mdcI_prefV2'] ?? null;
        $aecI2 = $data['aecI2'] ?? null;
        $aecII2 = $data['aecII2'] ?? null;
        if($pathway_id)
        {
             $check_categ = Promote::where([
                        'student_id' => $studentId,
                        
                    ])->first();
            $category_id = $check_categ->category_id;
            $student_Promote = Promote::where('student_id',$studentId)->where('ac_id',$ac_id)->delete();
            $student_Preferences = FyugpStudSubPreferences::where('stud_id',$studentId)->where('acyear_id',$ac_id)->delete();
            $student_Preferences = FyugpStudSub::where('stud_id',$studentId)->where('acyear_id',$ac_id)->delete();
             $check_studup = Student::where([
                        'student_id' => $studentId,
                        
                    ])->first();
                    if($check_studup)
                    {
                         $check_studup->update([
            'course_id' => $course_id,'semester_id' => $semester_id ]);
                    }
            $check_pathway = FYUGPSTUDPATHWAY::where([
                        'stud_id' => $studentId, 'course_id' => $course_id, 'sem_id' => $semester_id, 'ac_id' => $ac_id,
                        
                    ])->first();
            if(!$check_pathway)
            {
                FYUGPSTUDPATHWAY::create([
                    'stud_id' => $studentId,
                    'pathway_id' => $pathway_id,
                    'course_id' => $course_id,
                    'sem_id' => $semester_id,
                    'ac_id'=> $ac_id,
                        ]);
                        $i++;
            }
            else
            {
                $i++;
                 $check_pathway->update([
            'pathway_id' => $pathway_id
            
        ]);
                
            }
            
             $promote = Promote::create([
                        'student_id' => $studentId,
                        'ac_id' => $ac_id,
                        'course_id' => $course_id,
                        'semester_id' => $semester_id,
                        'category_id'=>$category_id,
                    ]);
            
            
           
                    
                     if($minorI)
                    {
                       $preferencelist21 = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course_id,
                                'sem' => $semester_id,
                                'pref_Id' => $minorI,
                                
                                'type' => 1,
                                'sub_cat' =>2,
                                
                            ]); 
                        
                     $minorIlist21 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course_id,
                                'sem' => $semester_id,
                                'sub_id' => $minorI,
                                'sub_cat' =>2,
                                
                            ]);
                    }  
                            
            if($minorI_prefII)
            {
               $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorI_prefII,
                        
                        'type' => 2,
                        'sub_cat' =>2,
                        
                    ]); 
            }


            if($minorI_prefIII)
            {
               $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorI_prefIII,
                        
                        'type' => 3,
                        'sub_cat' =>2,
                        
                    ]); 
            }

            if($minorI_prefIV)
            {
               $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorI_prefIV,
                        
                        'type' => 4,
                        'sub_cat' =>2,
                        
                    ]); 
            }


            if($minorI_prefV)
            {
               $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorI_prefV,
                        
                        'type' => 5,
                        'sub_cat' =>2,
                        
                    ]); 
            }


            if($minorII)
            {
                
                    $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorII,
                        
                        'type' => 1,
                        'sub_cat' =>3,
                        
                    ]); 
                     $minorIlist21 = FyugpStudSub::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'sub_id' => $minorII,
                        'sub_cat' =>3,
                        
                    ]);
            }
             if($minorII_prefII)
            {
                
                    $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorII_prefII,
                        
                        'type' => 2,
                        'sub_cat' =>3,
                        
                    ]); 
            }

            if($minorII_prefIII)
            {
                
                    $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorII_prefIII,
                        
                        'type' => 3,
                        'sub_cat' =>3,
                        
                    ]); 
            }

            if($minorII_prefIV)
            {
                
                    $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorII_prefIV,
                        
                        'type' => 4,
                        'sub_cat' =>3,
                        
                    ]); 
            }

            if($minorII_prefV)
            {
                
                    $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $minorII_prefV,
                        
                        'type' => 5,
                        'sub_cat' =>3,
                        
                    ]); 
            }


            if($mdcI)
            {
                     $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $mdcI,
                        
                        'type' => 1,
                        'sub_cat' =>4,
                        
                    ]); 
                
                     $minorIlist21 = FyugpStudSub::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'sub_id' => $mdcI,
                        'sub_cat' =>4,
                        
                    ]);
                }
    
                if($mdcI_prefII)
                {
                         $preferencelist21 = FyugpStudSubPreferences::create([
                            'stud_id' => $studentId,
                            'acyear_id' => $ac_id,
                            'course' => $course_id,
                            'sem' => $semester_id,
                            'pref_Id' => $mdcI_prefII,
                            
                            'type' => 2,
                            'sub_cat' =>4,
                            
                        ]); 
                }
                 if($mdcI_prefIII)
            {
                     $preferencelistpp = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id,
                        'sem' => $semester_id,
                        'pref_Id' => $mdcI_prefIII,
                        
                        'type' => 3,
                        'sub_cat' =>4,
                        
                    ]); 
            }
             

          if($mdcI_prefIV)
          {
                $preferencelist = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course_id,
                                'sem' => $semester_id,
                                'pref_Id' => $mdcI_prefIV,
                                
                                'type' => 4,
                                'sub_cat' =>4,
                                
                            ]); 
           }


             if($mdcI_prefV)
             {
                  $preferencelist = FyugpStudSubPreferences::create([
                                    'stud_id' => $studentId,
                                    'acyear_id' => $ac_id,
                                    'course' => $course_id,
                                    'sem' => $semester_id,
                                    'pref_Id' => $mdcI_prefV,
                                    
                                    'type' => 5,
                                    'sub_cat' =>4,
                                    
                                ]); 
            }


                if($aecI)
                {
                         $minorIlistpp = FyugpStudSub::create([
                            'stud_id' => $studentId,
                            'acyear_id' => $ac_id,
                            'course' => $course_id,
                            'sem' => $semester_id,
                            'sub_id' => $aecI,
                            'sub_cat' =>5,
                            
                        ]);
                }
            
                  if($aecII)
                    {
                       $minorIlist = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course_id,
                                'sem' => $semester_id,
                                'sub_id' => $aecII,
                                'sub_cat' =>6,
                                
                            ]);
                    }   
                    
                  if($pathway_id == 1)
           {
              $course_id1 = $request->course_id2;
                $semester_id1 = $request->semester_id2;
               $promote21 = Promote::create([
                        'student_id' => $studentId,
                        'ac_id' => $ac_id,
                        'course_id' => $course_id1,
                        'semester_id' => $semester_id1,
                        'category_id'=>$category_id,
                    ]);  
                    
                    if($minorI2)
                    {
                       $preferencelist2 = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course_id1,
                                'sem' => $semester_id1,
                                'pref_Id' => $minorI2,
                                
                                'type' => 1,
                                'sub_cat' =>2,
                                
                            ]); 
                        
                     $minorIlist2 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course_id1,
                                'sem' => $semester_id1,
                                'sub_id' => $minorI2,
                                'sub_cat' =>2,
                                
                            ]);
                    }  
                            
            if($minorI_prefII2)
            {
               $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorI_prefII2,
                        
                        'type' => 2,
                        'sub_cat' =>2,
                        
                    ]); 
            }


            if($minorI_prefIII2)
            {
               $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorI_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>2,
                        
                    ]); 
            }

            if($minorI_prefIV2)
            {
               $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorI_prefIV2,
                        
                        'type' => 4,
                        'sub_cat' =>2,
                        
                    ]); 
            }


            if($minorI_prefV2)
            {
               $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorI_prefV2,
                        
                        'type' => 5,
                        'sub_cat' =>2,
                        
                    ]); 
            }


            if($minorII2)
            {
                
                    $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorII2,
                        
                        'type' => 1,
                        'sub_cat' =>3,
                        
                    ]); 
                     $minorIlist2 = FyugpStudSub::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'sub_id' => $minorII2,
                        'sub_cat' =>3,
                        
                    ]);
            }
             if($minorII_prefII2)
            {
                
                    $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorII_prefII2,
                        
                        'type' => 2,
                        'sub_cat' =>3,
                        
                    ]); 
            }

            if($minorII_prefIII2)
            {
                
                    $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorII_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>3,
                        
                    ]); 
            }

            if($minorII_prefIV2)
            {
                
                    $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorII_prefIV2,
                        
                        'type' => 4,
                        'sub_cat' =>3,
                        
                    ]); 
            }

            if($minorII_prefV2)
            {
                
                    $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $minorII_prefV2,
                        
                        'type' => 5,
                        'sub_cat' =>3,
                        
                    ]); 
            }


            if($mdcI2)
            {
                     $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $mdcI2,
                        
                        'type' => 1,
                        'sub_cat' =>4,
                        
                    ]); 
                
                     $minorIlist2 = FyugpStudSub::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'sub_id' => $mdcI2,
                        'sub_cat' =>4,
                        
                    ]);
                }
    
                if($mdcI_prefII2)
                {
                         $preferencelist2 = FyugpStudSubPreferences::create([
                            'stud_id' => $studentId,
                            'acyear_id' => $ac_id,
                            'course' => $course_id1,
                            'sem' => $semester_id1,
                            'pref_Id' => $mdcI_prefII2,
                            
                            'type' => 2,
                            'sub_cat' =>4,
                            
                        ]); 
                }
                 if($mdcI_prefIII2)
            {
                     $preferencelist2 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course_id1,
                        'sem' => $semester_id1,
                        'pref_Id' => $mdcI_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>4,
                        
                    ]); 
            }
             

          if($mdcI_prefIV2)
          {
                $preferencelist2 = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course_id1,
                                'sem' => $semester_id1,
                                'pref_Id' => $mdcI_prefIV2,
                                
                                'type' => 4,
                                'sub_cat' =>4,
                                
                            ]); 
           }


             if($mdcI_prefV2)
             {
                  $preferencelist2 = FyugpStudSubPreferences::create([
                                    'stud_id' => $studentId,
                                    'acyear_id' => $ac_id,
                                    'course' => $course_id1,
                                    'sem' => $semester_id1,
                                    'pref_Id' => $mdcI_prefV2,
                                    
                                    'type' => 5,
                                    'sub_cat' =>4,
                                    
                                ]); 
            }


                if($aecI2)
                {
                         $minorIlist2 = FyugpStudSub::create([
                            'stud_id' => $studentId,
                            'acyear_id' => $ac_id,
                            'course' => $course_id1,
                            'sem' => $semester_id1,
                            'sub_id' => $aecI2,
                            'sub_cat' =>5,
                            
                        ]);
                }
            
                  if($aecII2)
                    {
                       $minorIlist2 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course_id1,
                                'sem' => $semester_id1,
                                'sub_id' => $aecII2,
                                'sub_cat' =>6,
                                
                            ]);
                    }   
               
           }
            
        }*/
         if($i>0){
            $msg_array = array('message'=>'Student Preferences has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Preferences Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('studentlog.pathway.change')->with($msg_array);
      
     }
     
     public function lms_assignment_add(){
        $studentId = Auth::guard('student')->id();
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('promotes','promotes.course_id','=','courses.course_id')
     ->where('promotes.student_id',$studentId)->whereNull('promotes.deleted_at')->distinct('courses.course_id')->select('courses.course_id', 'courses.course_name')->get();
     return view('studentlogin.LMS.assignment_add',compact('student','courses'));
     
    }
    
    public function lmsassignment_get(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        $studentId = Auth::guard('student')->id();
        $stud_assignment = array();
        $stud_assignment = LMSSTUDASSIGNMENT::Join('lms_assignment', 'lms_stud_assignment.assgmnt_id', '=', 'lms_assignment.id')
        ->Join('subjects', 'lms_assignment.sub_id', '=', 'subjects.subject_id')
        ->where([
            'lms_stud_assignment.stud_id' => $studentId,
            'lms_assignment.course_id' => $course,
            'lms_assignment.sem_id' => $semester_id,
            'lms_assignment.ac_id' => $ac_id
        ])
        ->select('lms_stud_assignment.*', 'lms_assignment.assignment_name', 'lms_assignment.sub_id', 'subjects.subject_categ', 'subjects.subject_name')
        ->get();  
        return view('studentlogin.LMS.assignment_get',compact('studentId','course','semester_id','stud_assignment','ac_id'));

     }
     
     public function lmsassignment_save(Request $request)
     {
        $validated = $request->validate([
        'course' => 'required',
        'sem_id' => 'required',
        'posted' => 'required|array', 
        'posted.*' => 'exists:lms_assignment,id', 
        'assignment.*' => 'required|mimes:doc,docx,pdf,jpeg,jpg,png|max:5120',
    ]);
        
        $i=0; 
        $course_id = $request->course;
        $semester_id = $request->sem_id;
        $studentId = Auth::guard('student')->id();
        $ac_id = getAcyear();
        $folderPath = 'LMS/Assignment';
        if (!Storage::exists($folderPath)) {
            Storage::makeDirectory($folderPath);
        }
        if($request->posted !='')
        {
            foreach($request->posted as $assgmnt_id)
            { 
                if ($request->hasFile('assignment'.$assgmnt_id)) 
                {
                    $file = $request->file('assignment'.$assgmnt_id);
                    $ext = $file->extension();
                    $assignmentFileName = 'assignment_' . time() . '_' . $assgmnt_id . '.' . $ext;
                    $file->storeAs($folderPath, $assignmentFileName);
                    $checkII = LMSSTUDASSIGNMENT::where([
                        'assgmnt_id' => $assgmnt_id,
                        'stud_id' => $studentId,
                        
                    ])->first();
                     if($checkII)
                     {
                        $checkII->update([
                    'assignment' => $assignmentFileName,
                    'submitted_on'=>date('Y-m-d'),
                     'status'=>1,
                ]);
                        $i++; 
                     }
                }   
            }
        }
        if($i>0){
            $msg_array = array('message'=>'Assignment has been Submitted Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Assignment Could not be Submitted !','alert-type'=>'error');
        }
          return redirect()->route('studentlog.lms.assignment')->with($msg_array);
      
     }
     
 public function getAssignmentDetails(Request $request)
{
    $studentId = Auth::guard('student')->id();
    $currentDate = now();

    
    $assignments = LMSSTUDASSIGNMENT::Join('lms_assignment', 'lms_stud_assignment.assgmnt_id', '=', 'lms_assignment.id')
        ->Join('subjects', 'lms_assignment.sub_id', '=', 'subjects.subject_id')
        ->where('lms_stud_assignment.stud_id', $studentId)
        ->where('lms_stud_assignment.status', 0)  // 0 could be the "not submitted" status
        ->select('lms_assignment.assignment_name','lms_stud_assignment.topic', 'lms_stud_assignment.submission_date','subjects.subject_name','subjects.subject_code')
        ->get();

    
    $details = $assignments->map(function ($assignment) use ($currentDate) {
        $diffInMinutes = $currentDate->diffInMinutes($assignment->submission_date, false); // Negative for overdue
        $days = intdiv($diffInMinutes, 1440); // Convert minutes to days (1440 = 24*60)

        
        $category = $diffInMinutes < 0 ? 'overdue' : ($days == 0 && $diffInMinutes >= 0 ? 'dueToday' : 'upcoming');
        $color = $category == 'overdue' ? 'danger' : ($category == 'dueToday' ? 'warning' : 'success');

       
        return [
            'name' => "Course".' : '.$assignment->subject_code . ' ' . $assignment->subject_name . ' - [ ' . $assignment->assignment_name . ' ]  , Topic :' . $assignment->topic,
            'days' => $diffInMinutes < 0 ? abs($days) . ' days overdue' : ($days == 0 && $diffInMinutes >= 0 ? 'Due today' : $days . ' days remaining'),
            'color' => $color,
        ];
    });

  
    return response()->json($details);
}


public function getSpecialclassDetails(Request $request)
{
    $studentId = Auth::guard('student')->id();
    $currentDate = now();
    $ac_id = getAcyear();

    $specialClasses = DB::table('add_specialclass AS sc')
        ->join('specialclass_stud AS ss', 'ss.spclass_id', '=', 'sc.spclclx_id')
        ->join('subjects AS s', 'sc.subject_id', '=', 's.subject_id')
        ->where('ss.stud_id', $studentId)
        ->where(function ($query) use ($currentDate) {
            $query->where('sc.date', '>', $currentDate->toDateString())
                  ->orWhere(function ($q) use ($currentDate) {
                      $q->where('sc.date', '=', $currentDate->toDateString())
                        ->where('sc.from', '>=', $currentDate->toTimeString());
                  });
        })
        ->select('sc.date', 'sc.from', 'sc.to', 'sc.subject_id', 's.subject_name', 's.subject_code', 's.subject_categ')
        ->get();

    $details = $specialClasses->map(function ($class) use ($currentDate) {
        if (!$class->date || !$class->from || !$class->to) {
            Log::error('Invalid class date or time', ['class' => $class]);
            return null;
        }

        $classDateTimeFrom = Carbon::parse("{$class->date} {$class->from}");
        $classDateTimeTo = Carbon::parse("{$class->date} {$class->to}");

        $diffInMinutes = $currentDate->diffInMinutes($classDateTimeFrom, false);
        $days = intdiv($diffInMinutes, 1440);

        $category = $diffInMinutes < 0 ? 'past' : ($days == 0 ? 'today' : 'upcoming');
        $colorMapping = [
    'past' => 'danger',
    'today' => 'warning',
    'upcoming' => 'success',
];

$color = isset($colorMapping[$category]) ? $colorMapping[$category] : 'secondary'; // 
        return [
            'name' => "Course: {$class->subject_code} - {$class->subject_name}",
            'datetime_and_duration' => "{$classDateTimeFrom->format('d M Y, h:i A')} - {$classDateTimeTo->format('g:i A')}",
            'status' => $category === 'past' ? 'Class ended' : ($days == 0 ? 'Happening today' : "$days days left"),
            'color' => $color,
        ];
    });

    return response()->json($details->filter());
}

  

public function gettaskcount(Request $request)
{
  $student_id = Auth::guard('student')->id();
  $taskCount = LmsTaskStud::where('stud_id', $student_id)->count();
  return response()->json($taskCount);
}
public function community($religion_id){
        $community = array();
        $rows = Community::where('religion_id',$religion_id)->get();
        foreach($rows as $row){
            $community[$row->community_id] = $row->community;
        }
        return json_encode($community);
    }
public function caste(Request $request)
{
    $community=$request->get('community_id');
    $religion=$request->get('religion_id');
    $caste=array();
    $rows=Caste::where('community_id',$community)->where('religion_id',$religion)->get();
    foreach($rows as $row)
    {
        $caste[$row->caste_id]=$row->caste;
    }
    return json_encode($caste); 
}
 
// public function getmainstreamasigDetails(Request $request)

// {
//     $studentId = Auth::guard('student')->id();
//     $currentDate = now();
//   $notSubmittedAssignments = StudentInterAssignment::leftJoin('student_submitted_assig_inter', 'student_submitted_assig_inter.assig_id', '=', 'student_assignment_inter_add.assig_id')
//     ->leftJoin('subjects', 'student_assignment_inter_add.subject_id', '=', 'subjects.subject_id')
//     ->where('student_submitted_assig_inter.student_id', $studentId)
//     ->whereNull('student_submitted_assig_inter.assig_id') 
//     ->select('student_assignment_inter_add.assignment_topic', 'student_assignment_inter_add.submit_date', 'subjects.subject_name', 'subjects.subject_code')
//     ->get();

//     $details = $notSubmittedAssignments->map(function ($assignment) use ($currentDate) {
//         $diffInMinutes = $currentDate->diffInMinutes($assignment->submit_date, false); 
//         $days = intdiv($diffInMinutes, 1440); // Convert minutes to days (1440 = 24*60)

        
//         $category = $diffInMinutes < 0 ? 'overdue' : ($days == 0 && $diffInMinutes >= 0 ? 'dueToday' : 'upcoming');
//         $color = $category == 'overdue' ? 'danger' : ($category == 'dueToday' ? 'warning' : 'success');

       
//         return [
//             'name' => "Subject".' : '.$assignment->subject_code . ' ' . $assignment->subject_name . ' ' . $assignment->assignment_topic,
//             'days' => $diffInMinutes < 0 ? abs($days) . ' days overdue' : ($days == 0 && $diffInMinutes >= 0 ? 'Due today' : $days . ' days remaining'),
//             'color' => $color,
//         ];
//     });

  
//     return response()->json($details);
// }
    
}
