<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Progression extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function student()
    {
        return $this->belongsTo(Student::class, 'student_id', 'student_id')->withDefault(['name' => '']);
    }
}
