<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class StudentLeaveRequest extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'table_student_leave_request';
    protected $primaryKey = 'stulvreq_id'; 
    protected $guarded = [];
    
    
    
    public function student()
    {
        return $this->hasOne(Student::class,'student_id','student_id'); 
    }
}
