<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('internal_marks', function (Blueprint $table) {
            $table->id();
            $table->unsignedbigInteger('stud_id');
            $table->unsignedbigInteger('course_id');
            $table->unsignedbigInteger('sem_id');
            $table->unsignedbigInteger('sub_id');
            $table->float('test1');
            $table->float('test2');
            $table->float('assignment');
            $table->float('attendance');
            $table->unsignedbigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('internal_marks');
    }
};
