<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mark_list', function (Blueprint $table) {
            $table->id();
            $table->unsignedbigInteger('course_id');
            $table->unsignedbigInteger('sem_id');
            $table->unsignedbigInteger('pep_no');
            $table->string('subject');
            $table->unsignedbigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mark_list');
    }
};
