$(document).ready(function(){
    
    $("#semester_id").on('change',function(){
        var semester_id = $(this).val();
       var course = $("#course").val();  
       
        $("#sub_id").empty();
        $("#error-message").hide();
        $.ajax({
            type : 'GET',
            url : '../get-subj/',
             data: { 
                
                course: course, 
                semester_id: semester_id 
            },
            success : function(response){
                var data = jQuery.parseJSON(response);
                if (data.length === 0) {
                    // No data returned, show alert
                    $("#error-message").text("Staff does not contain any Course for this semester.").show();
                } else {
                $("#sub_id").html('<option value="">Select</option>');
                $.each(data, function(key,value) {
                    $("#sub_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
                }
            }
        });
    });
});