@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Association') 
@section('breadcrumb', 'Home/Association/Report') 
@section('content') 

        
        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(457,458,460,461)) }}
    </div>       
    <div class="card-body">  
        
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Association Report</b></div>
                <div class="card-body">
                
        
        
        
        <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Association Name</b></th>
                             <th><b>Description</b></th>
                            <th><b>Staff-in-charge</b></th>
                            <th colspan="2"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($asso as $associ)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                     <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{strtoupper($associ->name)}}</td>
                                     <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{strtoupper($associ->description)}}</td>
                                <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ implode(', ', $associ->getUserNames()) }}</td> 
                                  <td><a href="{{route('association.report.edit',['id'=>$associ->asso_id])}}"><i class="icon-pencil"></i></a></td>
                                  <td><a href="{{route('association.report.delete',['id'=>$associ->asso_id])}}"><i class="icon-trash text-danger"></i></a></td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>

 </div>
        </div>
        </div>
        </div>
        

        
        </div>
        </div>
        </div>
        </div>
        
        
        <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>
        @endsection
        