
@extends('layouts.template')
@section('title','Dashboard')
@section('heading','')
@section('breadcrumb','')
@section('content')





    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color: #005A9C;color:white;"><b>Total Students</b>

    </div>
    <div class="card-body">
    <table class="table table-bordered" id="studentTable" width="100%" style="1px solid black">
    <thead>
    <tr>
    <th><b>Adm No</b></th>
    <th><b>Roll No</b></th>
    <th><b>Name</b></th>
    <th><b>Father's Name</b></th>
    <th><b>Mother's Name</b></th>
    <th><b>Mobile</b></th>
    <th><b>Program</b></th>
    <th><b>Semester</b></th>
    </tr>
    </thead>
    <tbody>
    </tbody>
    </table>
    </div>
    </div>
    </div>
    </div>
    
    
    
    
    
    </div>
    </div>
    </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var studentTable = $("#studentTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [100, 250, 500, 1000, -1], [100, 250, 500, 1000, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('dash.get.totalstudent') }}',
                    dataType : 'json',
                    type : 'GET',
                },
                columns : [
                    { data : 'adno' },
                     { data : 'rollno' },
                    { data : 'name' },
                    { data : 'fathername' },
                    { data : 'mothername' },
                    { data : 'mobile' },
                    { data : 'course' },
                    { data : 'semester' },
                  
                ]
            });
        });
    </script>
    <style>
    .dataTables_wrapper .dataTables_filter input {
   
    font-weight:bold;
    background-color: white;
    border: 1px solid black;
    border-radius: 4px;
    padding: 6px 10px;
    width: 300px; /* Adjust width as needed */
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1); /* Optional: add shadow */
}

    
                      .dataTables_wrapper .dataTables_filter input {
   
    font-weight:bold;
    background-color: white;
    border: 1px solid black;
    border-radius: 4px;
    padding: 6px 10px;
    width: 300px; /* Adjust width as needed */
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1); /* Optional: add shadow */
}

.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }


    </style>
   

@endsection