
@extends('layouts.template')
@section('title','Internal Assessment')
@section('heading','Assignment')
@section('breadcrumb','Home/Internal Assessment/Assignment')
@section('content')
 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
 <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(685,686,691)) }}
          
        
    </div>     
    <div class="card-body">
        
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Assignment</b></div>
                <div class="card-body">
        
        
  
          
        <form action="{{route('interassignment.save')}}" method="post">
        @csrf
        <div class="row">
            
            <div class="col-md-3">
                <div class="form-group">
                    <label for="course" class="required"><b>Program</b></label>
                     <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
            </div>
        
          <div class="col-md-3">
            <div class="form-group">
                 <label for="semester_id" class="required"><b>Semester</b></label>
                 <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
            </div>
          </div>
        
          
  
        <div class="col-md-3">
            <div class="form-group">
                 <label for="sub_id" class="required"><b>Course</b></label>
                <select class="form-control" id="sub_id" name="sub_id" required>
                    <option value="">select</option>
                </select>
            </div>
        </div>
        
        
         <div class="col-md-3">
            <div class="form-group">
                 <label for="assig_topic" class="required"><b>Assignment Topic</b></label>
               <textarea name="assig_topic" class="form-control"></textarea>
            </div>
        </div>
        
         <div class="col-md-3">
            <div class="form-group">
                 <label for="date" class="required"><b>Date</b></label>
              <input type="date" class="form-control @error('date') border-danger @enderror" id="date" name="date" value="{{ old('date', date('Y-m-d')) }}">
             @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
        </div>
         <div class="col-md-3">
            <div class="form-group">
                 <label for="submit_date" class="required"><b>Submission date</b></label>
              <input type="date" class="form-control @error('submit_date') border-danger @enderror" id="sdate" name="submit_date">
             @error('submit_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
        </div>
        
        
        
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
              <button type="submit" class="btn btn-primary float-right" id="btn-get">Add</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
    
    
    
    </div>
        </div>
        </div>
    </div>
    
     
    
 
      

   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <script src="{{ asset('public/js/sem.js') }}"></script> 
      <script src="{{ asset('public/js/seminarsub.js') }}"></script>
  
   <!--<script src="{{ asset('public/js/getexamsubwiseaddmrk.js') }}"></script>-->

    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>
@endsection
    