<div class="card" style="border-top:3px solid #004170">
 <div class="card-body">
   @if($students && $students->isNotEmpty())  
    <form action="{{ route('seminar.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ $course}}">
  
    <input type="hidden" id="sem" name="sem" value="{{ $sem}}">
    <input type="hidden" id="sub" name="sub" value="{{$sub}}">
    <input type="hidden" id="ac_id" name="ac_id" value="{{$ac_id}}">
    <a href="{{route('seminar.print',['crs_id'=>$course,'sem_id'=>$sem,'sub_id'=>$sub])}}" target="_blank"><i class="fa fa-print" style="font-size:40px;color:red;text-align:right"></i></a>
    <div style="display: flex; justify-content: flex-end; align-items: center; margin-bottom: 10px;">
    <div style="display: flex; margin-right: 20px;">
        <label for="submit_date" style="margin-right: 10px;">Common Submission Date</label>
        <input type="date" id="submit_date_all" class="form-control" style="width: 200px;" />
</div>
</div>

<div style="display: flex; justify-content: flex-end; align-items: center;">
<div style="display: flex; margin-right: 20px;">
<label for="max_marks" style="margin-right: 10px;" class="required">Max Marks</label>
<input type="text" name="max_marks" id="max_marks" class="form-control" style="width: 200px;"  value="{{$max_marks->max_marks ?? ''}}" placeholder="Max Marks" />
</div>
</div>



    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
         <br>
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
            <th colspan="1" rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
            <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th>Adno</th>
        <th>Student Name</th>
        <th>Topics</th>
        <th>Presentation Date</th>
    </tr>
   
    </thead>
    <tbody>
            @foreach($students as $student)
            <input type="hidden" name="student_id" value="{{$student->student_id}}">
            
           <tr>
           <td align="center" width="10%">
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}"></label>
                </div>
             
            </td> 
            <td width="10%">{{ $student->adno }}</td>
            <td width="30%">{{ $student->name }}</td>
           
            
               
    <td width="50%">
   
        <input type="text" class="form-control @error('seminar' . $student->student_id) border-danger @enderror" 
                                                   id="seminar{{$student->student_id}}" 
                                                   name="seminar{{$student->student_id}}" 
                                                   value="{{ $student->seminar_topics ?? '' }}">  
                                                   </td>
                                                   <td>
                                                       <input type="date"  id="sdate{{$student->student_id}}" name="sdate{{$student->student_id}}" value="{{$student->date}}">
                                                   </td>
        </tr>
        
            @endforeach
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                <div class="form-group">
                <button type="submit" class="btn btn-primary float-right">Save</button>
                </div>
                </div>
            </div>
            </form>
            @else
                <div class="row">
                    <div class="col-12">
                        <div class="alert alert-danger">Student not Found !</div>
                    </div>
                </div>
            @endif
            </div>
    
</div>
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   
       <script>
    $(document).ready(function() {
     
        $('#checkAll').change(function() {
            $('.checkSub').prop('checked', this.checked);
        });
 $('#submit_date_all').change(function() {
        var selectedDate = $(this).val(); 

       
        if (selectedDate) {
            $('input[name^="sdate"]').each(function() {
                $(this).val(selectedDate); 
            });
        }
    });

    });

   </script>
   <style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

  


input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>