@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','View Course Mark')
@section('breadcrumb','Settings / OBE / Course Mark')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"></div>
    <div class="card-body">

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
             
            <div class="card-header" style="background:#005A9C;color:white;"><b>View Course Mark</b></div>
   
                <div class="card-body">
                    <form >
                        @csrf
                        
                        <div class="row">
                            
                             <div class="col-md-4">
                                <div class="form-group">
                                    <label for="course" class="required"><b>Program</b></label>
                                    <select class="js-example-basic-single" id="course" name="course" style="width:100%" required>
                                        <option value="">SELECT</option>
                                      
                                       @foreach($courses as $crs)
                                            <option value="{{ $crs->course_id  }}" {{ old('course') == $crs->course_id  ? "selected":"" }}>{{ $crs->course_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">select</option>
                                    </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subtyp_id" class="required"><b>Course Type</b></label>
                                    <select class="form-control" id="subtyp_id" name="subtyp_id" required>
                                    <option value="">select</option>
                                    @foreach($subtype as $subjectType)
                                    <option value="{{ $subjectType->subtyp_id}}" {{ old('subtyp_id')==$subjectType->subtyp_id ? "selected":"" }}>{{ $subjectType->subject_type}}</option>
                                    @endforeach 
                                    </select>
                                        @error('subtyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>    
                            
                        </div>    
                         
                       <div class="row">  
                         <div class="col-md-12">
                             <div class="form-group">
                               <label></label>
                                 <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                             </div>
                             </div>
                         </div>   
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
        
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card" id="result">
            
        </div>
        
      
        
          </div>
            </div>
        </div>
        </div>
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/semester.js') }}"></script> 
        <script src="{{ asset('public/js/viewcmark.js') }}"></script>
       
   
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection