<style>
    *{
        font-family:Arial;
    }
    .fee-total{
        border-top: 1px solid #000;
        font-weight: bold;
    }
</style>
<body onload="print()">
    <div class="container">
        <div class="head">
            <table width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="{{ asset('public/uploads/logo/'.$institution->logo) }}" alt="{{ $institution->logo }}" height="50px"></td>
                    <td width="75%">{{ $institution->name }}</td>
                </tr>
                <tr><td>{{ $institution->affiliation }}</td></tr>
                <tr><td>{{ $institution->address }}</td></tr>
                <tr><td>{{ 'Ph : '.$institution->mobile.' '.$institution->landline }}</td></tr>
            </table>
            <center><p>RECEIPT</p></center>
            <hr>
            <table width="100%">
                <tr>
                    <td width="50%"><b>Receipt No. : </b>{{ $otherfees->first()->receipt_no }}</td>
                    <td width="50%" align="right"><b>Date : </b>{{ $otherfees->first()->paid_date_formatted }}</td>
                </tr>
                <tr>
                <td><b>Name : </b>{{ $otherfees->first()->student_name }}</td>
                    <td align="right"><b>Address : </b>{{ $otherfees->first()->address }}</td>
                    
                </tr>
            </table>
            <table style="border-bottom:1px solid black" width="100%">
                <thead style="background-color:#484848;color:white">
                <tr>
                    <th class="fee-item">#</th>
                    <th class="fee-item">Fee Type</th>
                    <th class="fee-item">Amount</th>
                </tr>
                </thead>
                <tbody>
                    @php $tamount=0; @endphp
                    @foreach($otherfees as $otherfee)
                        @php 
                            $tamount += $otherfee->fee_amount;
                        @endphp
                        <tr>
                            <td class="fee-item" align="center">{{ $loop->iteration }}</td>
                            <td class="fee-item" align="center">{{ $otherfee->ftype->type_name?? ''}}</td>
                            <td class="fee-item" align="right">{{ number_format($otherfee->fee_amount,2) }}</td>
                        </tr>
                    @endforeach
                </tbody>
                <tfooter>
                    <tr>
                        <td class="fee-total" align="center" colspan="2">Grand Total</td>
                        <td class="fee-total" align="right">{{ number_format($tamount,2) }}</td>
                    </tr>
                </tfooter>
            </table>
            <br>
            <p>Payment recieved by {{ $otherfee->first()->mode->mode_name }}</p>
        </div>
    </div>
</body>