
@extends('layouts.template')
@section('title','Home')
@section('heading','')
@section('breadcrumb','Home/Lesson Planner/Topic')
@section('content')
@if(session('success'))
    <div class="alert alert-success">
        {{ session('success') }}
    </div>
@endif

 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(768,769)) }}
          
        
    </div>     
    <div class="card-body">


 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Topic</b></div>
                <div class="card-body">


  
    <form action="{{route('lessonplanner.save')}}" method="post">
            @csrf
            
            
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course_id" class="required"><b>Program</b></label>
          <select class="form-control" id="course" name="course_id" required>
        <option value="">Select</option>
        @foreach($staffsubject as $crs)
        <option value="{{ $crs->course_id}}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
        @endforeach
        </select>
        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
         <label for="semester_id" class="required"><b>Semester</b></label>
        <select class="form-control" id="semester_id" name="semester_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="subject_id" class="required"><b>Course</b></label>
        <select class="form-control" id="sub_id" name="subject_id" required>
        <option value="">select</option>
        </select>
        <div id="error-message" style="display: none; color: red; font-weight: bold; margin-top: 10px;"></div>

        </div>
        </div>
        
       </div>
        
       
      
   
    <div id="chapters-container">
        <div class="form-group">
    <div class="row m-2">
        <div class="col-xs-8 col-lg-8 col-md-8">
            <label>Chapter1</label>
            <input type="text" class="form-control" name="chapter[1]" placeholder="Chapter">
        </div>
        <div class="col-xs-4 col-lg-4 col-md-4 d-flex align-items-center">
            <button type="button" class="btn btn-success" onclick="addChapter();">
                <i class="icon20 icon-plus"></i>
            </button>
        </div>
    </div>
</div>

    <!--<div class="form-group">-->
    <!--    <div class="col-xs-8 col-lg-8 col-md-8">-->
    <!--        <label>Chapter 1</label>-->
    <!--        <input type="text" class="form-control" name="chapter[1]" placeholder="Chapter">-->
    <!--    </div>-->
    <!--    <div class="col-xs-4 col-lg-4 col-md-4">-->
    <!--        <button type="button" class="btn btn-success" onclick="addChapter();"><i class="icon20 icon-plus"></i></button>-->
    <!--    </div>-->
    <!--</div>-->
    <div class="form-group">
        <div class="row m-2">
        <div class="col-xs-8 col-lg-8 col-md-8 ">
           <div class="d-flex justify-content-center">
    <label>Topic</label>
</div>
            <input type="text" class="form-control" name="topic[1][]" placeholder="Topic">
        </div>
         <div class="col-xs-4 col-lg-4 col-md-4 d-flex align-items-center">
            <button type="button" class="btn btn-info" onclick="addTopic(1);"><i class="icon20 icon-plus"></i></button>
        </div>
        </div>
        <div class="row m-2">
        <div class="col-xs-8 col-lg-8 col-md-8">
           <div class="d-flex justify-content-center">
    <label>Hours</label>
</div>
            <input type="text" class="form-control" name="hours[1][]" placeholder="Hours">
        </div>
       </div>
    </div>
    <div id="more-topic1"></div>
</div>

    
    
    
    
    
    
    <div id="more-field"></div>
    <div class="form-group">
        <div class="col-lg-offset-5 col-md-offset-5">
            <div class="pad-left15">
                <input type="submit" class="btn btn-primary float-right" value="Save">
            </div>
        </div>
    </div>
</form>

        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        </div>
        </div>
        </div>
        </div>
        
        
         </div>
        </div>
        </div>
        </div>
        
  
    <!--<div class="row">-->
    <!--<div class="col-lg-12 grid-margin stretch-card">-->
    <!--<div class="card">-->
    <!--<table class="table table-bordered">-->
    <!--                    <thead>-->
    <!--                    <tr>-->
    <!--                        <th><b>Programme</b></th>-->
    <!--                        <th><b>Semester</b></th>-->
    <!--                        <th><b>Course</th>-->
    <!--                        <th><b>Topic</b></th>-->
    <!--                        <th><b>Hours</th>-->
    <!--                        <th><b>Teacher</b></th>-->
                            
    <!--                    </tr>-->
    <!--                    </thead>-->
    <!--                    <tbody>-->
    <!--                        @forelse($lessonplanner as $lesson)-->
    <!--                            <tr>-->
    <!--                              <td>{{$lesson->course_name}}</td>-->
    <!--                              <td>{{$lesson->semester_name}}</td>-->
    <!--                              <td>{{$lesson->subject_name}}</td>-->
    <!--                              <td>{{$lesson->topic}}</td>-->
    <!--                              <td>{{$lesson->hours}}</td>-->
    <!--                              <td>{{$lesson->name}}</td>-->
                                  
    <!--                            </tr>-->
    <!--                        @empty-->
    <!--                            <tr>-->
    <!--                                <td colspan="2">No Result Found !</td>-->
    <!--                            </tr>-->
    <!--                        @endforelse-->
    <!--                    </tbody>-->
    <!--                </table> -->
        
        
    <!--</div>-->
    <!--</div>-->
    <!--</div>   -->
        
        
        
   
   
   
   
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
    <script src="{{ asset('public/js/bsubj.js') }}"></script>
    <script src="{{ asset('public/js/addplanner.js') }}"></script> 
   <script>
   let chapterCount = 1;

function addChapter() {
    chapterCount++;
    $('#chapters-container').append(`
        <div class="form-group">
        <div class="row m-2">
            <div class="col-xs-8 col-lg-8 col-md-8">
                <label>Chapter ${chapterCount}</label>
                <input type="text" class="form-control" name="chapter[${chapterCount}]" placeholder="Chapter">
            </div>
            </div>
        </div>
        <div class="form-group">
         <div class="row m-2">
            <div class="col-xs-8 col-lg-8 col-md-8">
                <div class="d-flex justify-content-center">
    <label>Topic</label>
</div>
                <input type="text" class="form-control" name="topic[${chapterCount}][]" placeholder="Topic">
            </div>
            <div class="col-xs-4 col-lg-4 col-md-4">
                <button type="button" class="btn btn-info" onclick="addTopic(${chapterCount});"><i class="icon20 icon-plus"></i></button>
            </div>
            </div>
            <div class="row m-2">
            <div class="col-xs-8 col-lg-8 col-md-8">
               <div class="d-flex justify-content-center">
    <label>Hours</label>
</div>
                <input type="text" class="form-control" name="hours[${chapterCount}][]" placeholder="Hours">
            </div>
             </div>
            
        </div>
        <div id="more-topic${chapterCount}"></div>
    `);
}

function addTopic(chapter) {
    $('#more-topic' + chapter).append(`
        <div class="form-group">
        <div class="row m-2">
            <div class="col-xs-8 col-lg-8 col-md-8">
            <div class="d-flex justify-content-center">
    <label>Topic</label>
</div>
                <input type="text" class="form-control" name="topic[${chapter}][]" placeholder="Topic">
            </div>
              </div>
              <div class="row m-2">
            <div class="col-xs-8 col-lg-8 col-md-8">
             <div class="d-flex justify-content-center">
    <label>Hours</label>
</div>
                <input type="text" class="form-control" name="hours[${chapter}][]" placeholder="Hours">
            </div>
            </div>
        </div>
    `);
}

   
   
   
   
   
   
   
</script>
   </script>
    <style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        #error-message {
    color: red;
   
    font-size: 12px;
    margin-top: 10px;
}
</style>
        @endsection