@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings / Staff Setting /Class Teacher/Edit')
@section('content')

      
        
        
        
        
        
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>            
        <div class="card-body">
        <form action="{{ route('classteacher.update') }}" method="post">
        @csrf
        <input type="hidden" name="clstchr_id" value="{{ encrypt($classteacher->clstchr_id) }}">
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="ac_id" class="required"><b>Academic Year</b></label>
        <select class="form-control" id="ac_id" name="ac_id" required>
        @foreach($acyear as $acyears)
        <option value="{{ $acyears->ac_id }}" {{$classteacher->ac_id == $acyears->ac_id ? "selected":"" }}>{{ $acyears->start_date_formatted.' - '.$acyears->end_date_formatted }}</option>
        @endforeach
        </select>
        @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="course_id" class="required"><b>Program</b></label>
        <select class="form-control" id="course_id" name="course_id" required>
        <option value="">Select</option>
        @foreach($course as $course)
        <option value="{{ $course->course_id }}" {{$classteacher->course_id ==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
        @endforeach
        </select>
        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                            <option value="">Select</option>
                            @foreach($semester as $sem)
                            <option value="{{ $sem->semester_id }}" {{$classteacher->semester_id ==$sem->semester_id ? "selected":"" }}>{{ $sem->semester_name }}</option>
                            @endforeach
                            </select>
                                </div>
                            </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="user_id" class="required"><b>Class Teacher</b></label>
                                <select class="form-control" id="user_id" name="user_id" required>
                                <option value="">Select</option>
                                @foreach($user as $users)
                                <option value="{{ $users->user_id  }}" {{$classteacher->user_id ==$users->user_id  ? "selected":"" }}>{{ $users->name }}</option>
                                @endforeach
                                </select>
                                @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                </div>
                        <div class="row">
                        <div class="col-md-12">
                        <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Update</button>
                        </div>
                        </div>
                        </div>
                    </form>
                    </div>
                    
                </div>
            </div>
        </div>
        
        
        
         
        <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }   
        .form-control{
            border:1px solid #E8E8E8;
        }
        </style>
@endsection