@if($students->count() > 0)
    <style>
        .date{
            font-size: 18px;
            font-weight: 600;
        }
        .attend{
            display: flex;
        }
        .b-1{
            border: 1px solid #000;
        }
    </style>
    <div class="row">
        <div class="col-12 col-sm-2">
            <div class="form-group d-flex">
                <div class="square bg-success"></div> Present
            </div>
        </div>
        <div class="col-12 col-sm-2">
            <div class="form-group d-flex">
                <div class="square bg-danger"></div> Absent
            </div>
        </div>
        <div class="col-12 col-sm-2">
            <div class="form-group d-flex">
                <div class="square bg-light-red"></div> Holiday
            </div>
        </div>
        <div class="col-12 col-sm-2">
            <div class="form-group d-flex">
                <div class="square b-1 text-dark">1</div> Period
            </div>
        </div>
    </div>
    <div class="scroll">
    <table class="table table-bordered">
        <thead>
        <tr>
            <th width="5%">#</th>
            <th width="10%">Adm No.</th>
             <th width="10%">Roll No.</th>
            <th>Name</th>
            @foreach($dates as $date)
                <th width="9%"><span class="date">{{ date('d',strtotime($date)) }}</span><br><br><span class="day">{{ strtoupper(date('D',strtotime($date))) }}</span></th>
            @endforeach
        </tr>
        </thead>
        <tbody>
            @foreach($students as $student)
                <tr>
                    <td align="center">{{ $loop->iteration }}</td>
                    <td align="center">{{ $student->adno }}</td>
                    <td align="center">{{ $student->rollno }}</td>
                    <td>{{ strtoupper($student->name) }}</td>
                    @foreach($dates as $date)
                        <td align="center" @if(date('l',strtotime($date))=='Sunday' || in_array(date('Y-m-d',strtotime($date)),$holidays)) class="bg-light-red" @endif>
                            <div class="attend">
                                @if(isset($data[$student->student_id][$date]))
                                    @foreach($data[$student->student_id][$date] as $period)
                                        <div class="square" style="background-color: {{ $period['color'] }};" title="{{ $period['reason'] }}">{{ $period['period'] }}</div>
                                    @endforeach
                                @endif
                            </div>
                        </td>
                    @endforeach
                </tr>
            @endforeach
        </tbody>
    </table>
    </div>
@else
    <div class="alert alert-warning">No Result Found !</div>
@endif