<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
  @if(!$stud_assignment->isEmpty())    
  <form action="{{ route('studentlog.lmsassignment.save') }}" method="post" enctype="multipart/form-data">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
     
      <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
 
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
        <th rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th rowspan="2"><b>Status</b></th>
        <th rowspan="2"><b>Last Date of submission</b></th>
        <th rowspan="2"><b>Course</b></th>
        <th rowspan="2"><b>Topic</b></th>
        <th rowspan="2"><b>File</b></th>
        <th rowspan="2"><b>Mark</b></th>
       
    </tr>
    </thead>
    <tbody>
         @foreach($stud_assignment as $student)
         
        @php  
        $status="Pending"; $acolor="orange";
            if($student->status == 1){ $status="Submitted"; $acolor="green";}
        $furl = asset('public/uploads/LMS/Assignment/' . $student->assignment);
        $datetime = new DateTime($student->submission_date);
        $sub_cat = $student->subject_categ;
        if($sub_cat == 2 || $sub_cat == 3 || $sub_cat == 4)
        {
             $sub_cnt = $student->subminordmc->where('acyear_id',$ac_id)->where('sub_cat',$sub_cat)->where('sub_id',$student->sub_id)->pluck('stud_id')->first();
             if($sub_cnt !='')
             {
        @endphp
        <tr>
            
            <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container">
                     
                     <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->assgmnt_id }}">
                     </label>
                </div>
             
            </td> 
            <td><font color="{{$acolor}}">{{$status}}</font></td>
            <td>{{$datetime->format('d-m-Y h:i A')}}</td>
           <td>
               {{$student->subject_name}}
            </td> 
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                {{$student->topic}}           
            </td>
            <td><input type="file" class="form-control-file" id="assignment{{$student->assgmnt_id}}" name="assignment{{$student->assgmnt_id}}">
                @error('assignment')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror <br> @if($student->assignment !== null && $student->assignment !== 'NULL') 
    <a href="{{ $furl }}" target="_blank"><u>View</u></a>
    @endif</td>
    <td> @if($student->mark !== 0) {{ $student->mark }} @endif </td>
        </tr>
        @php 
        }
        }
        else
        {
        @endphp
        <tr>
            <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container">
                     
                     <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->assgmnt_id }}">
                     </label>
                </div>
             
            </td> 
            <td><font color="{{$acolor}}">{{$status}}</font></td>
            
            <td>{{$datetime->format('d-m-Y h:i A')}}</td>
           <td>
           
               {{$student->subject_name}}
             
            </td> 
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                {{$student->topic}}           
            </td>
             <td><input type="file" class="form-control-file" id="assignment{{$student->assgmnt_id}}" name="assignment{{$student->assgmnt_id}}">
                @error('assignment')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror  <br>
                 @if($student->assignment !== null && $student->assignment !== 'NULL') 
    <a href="{{ $furl }}" target="_blank"><u>View</u></a>
    @endif
            </td>
           <td> @if($student->mark !== 0) {{ $student->mark }} @endif </td>
        </tr>
        @php } @endphp
            @endforeach
    </tbody>
     </table>
    <div id="load"></div>
     </div>
    </div>
    </div> 
    
     <div class="row">
                             
       <div class="col-md-12">
          <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">SUBMIT</button>
         </div>
       </div>
    </div>
    
    </form>
    @else
       <div class="alert alert-warning" align="center">
        <strong><font color="red" size="5">There is no Assignment for this course.!</font></strong>
      </div>
    @endif
</div>
</div>
<script src="{{ asset('public/js/studall.js') }}"></script> 
<style>

    input[type="checkbox"] {
       width: 2em;
       height: 2rem;
       display: inline-block; 
       margin: 0;
      accent-color: green;
    }
    .container {
        display: flex; /* Flexbox for better alignment */
        align-items: center; /* Center align vertically */
        justify-content: center; /* Center align horizontally */
    }

</style>

        