<style>
    @media print{
        @page{
            margin:0;
        }
        body{
            background-repeat: repeat;
        }
    }
    *{
        font-family:Times;
        font-size:16px;
        line-height:22px;
    }
    body{
        /*background-image: url(<?php echo e(url('public/images/tc_template_new.svg')); ?>);*/
        background-size: cover;
        border:1px solid black;
    }
    #title{
        font-size:18px;
        font-weight:bold;
        text-decoration: underline;
    }
    .container{
        margin-top:20px;
        margin-left:35px;
        width:86%;
        padding:20px;
    }
    table tr{
        height:30px;
    }
    table td{
        vertical-align: top;
    }
</style>
<body onload="print()">
<div class="container"> 
    <table width="100%">
               <tr>
                    <td width="25%" rowspan="4" align="center"><img src="<?php echo e(asset('public/uploads/logo/'.$institution->logo)); ?>" alt="<?php echo e($institution->logo); ?>" height="50px"></td>
                    <td width="50%" align="center"><?php echo e($institution->name); ?></td>
                    <td width="25%" rowspan="4" align="center"></td>
                </tr>
                <tr><td align="center"><?php echo e($institution->affiliation); ?></td></tr>
                <tr><td align="center"><?php echo e($institution->address); ?></td></tr>
                <tr><td align="center"><?php echo e('Ph : '.$institution->mobile.' '.$institution->landline); ?></td></tr>
            </table>  
              <div class="head">
             <center><div id="title">CONDUCT CERTIFICATE</div></center>   
             <br>
            
              <table width="100%">
                  <tr>
            <td class="float-left"><b>TC No. : <?php echo e(strtoupper($tcdetails->tcno)); ?></b></td>   
            <td align="right" style="white-space:nowrap"><b>DATE : <?php echo e(date('d/m/Y')); ?></b></td>     
</tr>
<tr>
                <td class="float-left"><b>Admission No. :<?php echo e(strtoupper($tcdetails->student->adno)); ?></b></td>   

</tr>
<tr>
 <td colspan="2" class="content">
                        <p>This is to certify that Mr/Ms <b><?php echo e(strtoupper($tcdetails->student->name)); ?></b>, Son/Daughter of <b><?php echo e(strtoupper($tcdetails->student->fname)); ?></b> and <b><?php echo e(strtoupper($tcdetails->student->mname)); ?></b>, was a student of our college from <b><?php echo e($tcdetails->student->adate_formatted); ?></b> to <b><?php echo e($tcdetails->ldate_formatted); ?></b>. His/Her conduct and character during this period were <b><?php echo e($tcdetails->conduct); ?></b>.</p>
                    </td>
                    </tr>
</table>
<br>
<br>
<br>
<table width="100%">
<tr>
    <td align="left"><b>DATE : <?php echo e(date('d/m/Y')); ?></b></td>
        <td align="right"><b>Principal</b></td>

</tr>
 </table>           
</div>                  
</div> 
</body>

<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/students/cc_print.blade.php ENDPATH**/ ?>