
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Enquiry'); ?>
<?php $__env->startSection('breadcrumb','Home/Enquiry/Admission'); ?>
<?php $__env->startSection('content'); ?>

<form action="<?php echo e(route('enquiry.admsave')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <input type="hidden" class="form-control text" id="enq_id" name="enq_id" value="<?php echo e($enquiry->id); ?>" required>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Personal Information</b></div>
    <div class="card-body" style="">
        
 <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="name" class="required">Name</label>
    <input type="text" class="form-control text" id="name" name="name" value="<?php echo e($enquiry->visitor_name); ?>" required>
    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
    </div>
    <div class="col-md-3">
        <div class="form-group">
           <label for="male" class="required">Gender</label>
            <div class="row">
              <div class="col-md-4">
                <div class="form-check form-check-success">
                  <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" <?php echo e($enquiry->gender =='male' ? "checked":""); ?>> Male </label>
                </div>
              </div>
            <div class="col-md-8">
        <div class="form-check form-check-success">
        <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" <?php echo e($enquiry->gender =='female' ? "checked":""); ?>> Female </label>
      </div>
      </div>
     </div>
     </div>
    </div>
                                
                                
                           
                                
                                
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="paddress" class="required">Permanent Address</label>
                            <textarea class="form-control text" id="paddress" name="paddress" required rows="2"><?php echo e($enquiry->address); ?></textarea>
                            <?php $__errorArgs = ['paddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                            
                            
                            
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caddress">
                                <input type="checkbox" class="form-check-input" id="same" name="same" value="1" <?php echo e(old('same')=='1' ? "checked":""); ?>> Communication Address
                                </label>
                                <textarea class="form-control text" id="caddress" name="caddress" rows="2"><?php echo e($enquiry->address); ?></textarea>
                                <?php $__errorArgs = ['caddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                                </div>
                                 <br>
                                
                                    <div class="row">
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="mobile" class="required">Mobile</label>
                                    <input type="text" class="form-control text" id="mobile" name="mobile" value="<?php echo e($enquiry->mobile); ?>" required>
                                    <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="email" class="required">Email</label>
                                    <input type="text" class="form-control text" id="email" name="email" value="<?php echo e($enquiry->email); ?>" required>
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="aadhar">Aadhar No</label>
                                    <input type="text" class="form-control text" id="aadhar" name="aadhar" value="<?php echo e(old('aadhar')); ?>">
                                    <?php $__errorArgs = ['aadhar'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="dob" class="required">Date of Birth</label>
                                    <input type="date" class="form-control text" id="dob" name="dob" value="<?php echo e(old('dob')); ?>" required>
                                    <?php $__errorArgs = ['dob'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                        <div class="row">
                                        <div class="col-md-3">
                                        <div class="form-group">
                                        <label for="bgroup">Blood Group</label>
                                        <select class="form-control text" id="bgroup" name="bgroup">
                                        <option value="">Select</option>
                                        <option value="O+ve" <?php echo e(old('bgroup')=='O+ve' ? "selected":""); ?>>O+ve</option>
                                        <option value="O-ve" <?php echo e(old('bgroup')=='O-ve' ? "selected":""); ?>>O+ve</option>
                                        <option value="A+ve" <?php echo e(old('bgroup')=='A+ve' ? "selected":""); ?>>A+ve</option>
                                        <option value="A-ve" <?php echo e(old('bgroup')=='A-ve' ? "selected":""); ?>>A-ve</option>
                                        <option value="B+ve" <?php echo e(old('bgroup')=='B+ve' ? "selected":""); ?>>B+ve</option>
                                        <option value="B-ve" <?php echo e(old('bgroup')=='B-ve' ? "selected":""); ?>>B-ve</option>
                                        <option value="AB+ve" <?php echo e(old('bgroup')=='AB+ve' ? "selected":""); ?>>AB+ve</option>
                                        <option value="AB-ve" <?php echo e(old('bgroup')=='AB-ve' ? "selected":""); ?>>AB-ve</option>
                                        </select>
                                        </div>
                                        </div>
                                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="religion">Religion</label>
                                    <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $religion; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $religions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($religions->religion_id); ?>" <?php echo e(old('religion_id') == $religions->religion_id  ? "selected":""); ?>><?php echo e($religions->religion_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['religion_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="community_id" >Community</label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            <option value="">Select</option>    
                            </select>
                            <?php $__errorArgs = ['community_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                                    
                                    
                                    
                                    
                                    
                                    
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caste">Caste</label>
                                <select class="js-example-basic-single " id="caste_id" name="caste_id" style="width:100%">
                                <option value="">Select</option>    
                                </select>
                                <?php $__errorArgs = ['caste_id '];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                            
                            
                                </div>
                       <br>
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="apl">APL/BPL</label>
                        <div class="row">
                        <div class="col-md-4">
                        <div class="form-check form-check-success">
                        <label class="form-check-label"><input type="radio" class="form-check-input " id="apl" name="pline" value="APL" <?php echo e(old('pline')=='APL' ? "checked":""); ?>> APL </label>
                        </div>
                        </div>
                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="bpl" name="pline" value="BPL" <?php echo e(old('pline')=='BPL' ? "checked":""); ?>> BPL </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fname">Father Name</label>
                                    <input type="text" class="form-control text" id="fname" name="fname" value="<?php echo e(old('fname')); ?>">
                                    <?php $__errorArgs = ['fname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                            
                            
                            
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fmobile" class="required">Father Mobile</label>
                                    <input type="text" class="form-control text" id="fmobile" name="fmobile" value="<?php echo e(old('fmobile')); ?>" required>
                                    <?php $__errorArgs = ['fmobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                            
                            
                            
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="foccupation">Father Occupation</label>
                                    <input type="text" class="form-control text" id="foccupation" name="foccupation" value="<?php echo e(old('foccupation')); ?>">
                                    <?php $__errorArgs = ['foccupation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                    
                                    <div class="row">
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="mname">Mother Name</label>
                                    <input type="text" class="form-control text" id="mname" name="mname" value="<?php echo e(old('mname')); ?>">
                                    <?php $__errorArgs = ['mname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="moccupation">Mother Occupation</label>
                                    <input type="text" class="form-control text" id="moccupation" name="moccupation" value="<?php echo e(old('moccupation')); ?>">
                                    <?php $__errorArgs = ['moccupation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="gname">Guardian Name</label>
                                    <input type="text" class="form-control text" id="gname" name="gname" value="<?php echo e(old('gname')); ?>">
                                    <?php $__errorArgs = ['gname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="gaddress">Guardian Address</label>
                                    <textarea class="form-control text" id="gaddress" name="gaddress" rows="2"><?php echo e(old('gaddress')); ?></textarea>
                                    <?php $__errorArgs = ['gaddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                     <div class="row">
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="gmobile" class="required">Guardian Mobile</label>
                            <input type="text" class="form-control text" id="gmobile" name="gmobile" value="<?php echo e(old('gmobile')); ?>" required>
                            <?php $__errorArgs = ['gmobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                            
                            
                            
                       
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="income" class="required">Annual Income</label>
                        <input type="text" class="form-control text" id="income" name="income" value="<?php echo e(old('income')); ?>" required>
                        <?php $__errorArgs = ['income'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="yes">Day Scholar</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="dscholar" value="Yes" <?php echo e(old('dscholar')=='Yes' ? "checked":""); ?>> Yes </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="dscholar" value="No" <?php echo e(old('dscholar')=='No' ? "checked":""); ?>> No </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="accomodation">Accomodation Details</label>
                            <textarea class="form-control text" id="accomodation" name="accomodation" rows="2"><?php echo e(old('accomodation')); ?></textarea>
                            <?php $__errorArgs = ['accomodation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                             </div>
                             
                             <br>
                            <div class="row">
                                
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="yes">Malankara Catholic Community</label>
                            <div class="row">
                            <div class="col-md-4">
                            <div class="form-check form-check-success">
                            <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="catholic" value="Yes" <?php echo e(old('catholic')=='Yes' ? "checked":""); ?>> Yes </label>
                            </div>
                           </div>
                                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="catholic" value="No" <?php echo e(old('catholic')=='No' ? "checked":""); ?>> No </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                      
                        
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="parish">Name of Parish</label>
                        <input type="text" class="form-control text" id="parish" name="parish" value="<?php echo e(old('parish')); ?>">
                        <?php $__errorArgs = ['parish'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
                        
                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="physical">Physically Handicaped</label>
                            <input type="text" class="form-control text" id="physical" name="physical" value="<?php echo e(old('physical')); ?>">
                            <?php $__errorArgs = ['physical'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                             
                             
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="photo">Photo</label>
                            <input type="file" class="form-control file text" id="photo" name="photo">
                            <?php $__errorArgs = ['photo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                           
                            
        </div>
       
        </div>
        </div>
        </div>
       
        
        
        
        
        
        
        
        
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#004170;color:white;"><b>Academic Information</b></div>
        <div class="card-body" style="">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastinst">Institution Last Studied</label>
                                    <input type="text" class="form-control text" id="lastinst" name="lastinst" value="<?php echo e(old('lastinst')); ?>">
                                    <?php $__errorArgs = ['lastinst'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastcourse">Program Last Studied</label>
                                    <input type="text" class="form-control text" id="lastcourse" name="lastcourse" value="<?php echo e(old('lastcourse')); ?>">
                                    <?php $__errorArgs = ['lastcourse'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastyear">Year of Study</label>
                                    <input type="text" class="form-control text" id="lastyear" name="lastyear" value="<?php echo e(old('lastyear')); ?>">
                                    <?php $__errorArgs = ['lastyear'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="sslc">SSLC Marks (%)</label>
                                    <input type="text" class="form-control text" id="sslc" name="sslc" value="<?php echo e(old('sslc')); ?>">
                                    <?php $__errorArgs = ['sslc'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="plustwo">Plus Two Marks (%)</label>
                                    <input type="text" class="form-control text" id="plustwo" name="plustwo" value="<?php echo e(old('plustwo')); ?>">
                                    <?php $__errorArgs = ['plustwo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="degree">Degree Marks (%)</label>
                                    <input type="text" class="form-control text" id="degree" name="degree" value="<?php echo e(old('degree')); ?>">
                                    <?php $__errorArgs = ['degree'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#004170;color:white;"><b>Program Information</b></div>
                    <div class="card-body" style="">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adate" class="required">Admission Date</label>
                                    <input type="date" class="form-control" id="adate" name="adate" value="<?php echo e(old('adate') ? old('adate'):$cur_date); ?>" required>
                                    <?php $__errorArgs = ['adate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adno" class="required">Admission No</label>
                                    <input type="text" class="form-control text" id="adno" name="adno" value="<?php echo e(old('adno') ? old('adno'):$adno); ?>" required>
                                    <?php $__errorArgs = ['adno'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ac_id" class="required">Academic Year</label>
                                   
                                    <select class="form-control" id="ac_id" name="ac_id" required>
                                        <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e($ac_id==$acyear->ac_id ? "selected":""); ?>><?php echo e($acyear->start_date_formatted.' - '.$acyear->end_date_formatted); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required">Program</label>
                                    
                                   
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e($enquiry->class == $course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id">Semester</label>
                                  <?php $semester_id = old('semester_id') ? old('semester_id'):$prev_adm->semester_id; ?>
                                    <select class="form-control" id="semester_id" name="semester_id">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester_id==$semester->semester_id ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="clno">Class No</label>
                                    <input type="text" class="form-control text" id="clno" name="clno" value="<?php echo e(old('clno')); ?>">
                                    <?php $__errorArgs = ['clno'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="seclang">Common Course Selected</label>
                                   
                                    <select class="form-control" id="seclang" name="seclang">
                                        <option value="">Select</option>
                                        <option value="Malayalam" <?php echo e(old('seclang')=='Malayalam' ? "selected":""); ?>>Malayalam</option>
                                        <option value="Hindi" <?php echo e(old('seclang')=='Hindi' ? "selected":""); ?>>Hindi</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="category_id" class="required">Fee Category</label>
                                    <?php $category_id = old('category_id') ? old('category_id'):$prev_adm->category_id; ?>
                                    <select class="form-control text" id="category_id" name="category_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($category->category_id); ?>" <?php echo e($category_id==$category->category_id ? "selected":""); ?>><?php echo e($category->category_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['category_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="quota">Admission Quota</label>
                                    <select class="form-control text" id="quota" name="quota">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $acquota; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quota): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                      <option value="<?php echo e($quota->aq_id); ?>" <?php echo e($quota== $quota->quota ? "selected":""); ?>><?php echo e($quota->quota); ?></option>
                                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                         <?php $__errorArgs = ['quota'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                  
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI"><b>Minor I</b></label>
                                     <select class="form-control" id="minorI" name="minorI">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII"><b>Minor II</b></label>
                                     <select class="form-control" id="minorII" name="minorII">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI"><b>MDC I</b></label>
                                     <select class="form-control" id="mdcI" name="mdcI">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Register</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/student.js')); ?>"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/caste.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/getcaste.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/minorI.js')); ?>"></script>
     <script src="<?php echo e(asset('public/js/minorII.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/enquiry/admission.blade.php ENDPATH**/ ?>