<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
        <form action="<?php echo e(route('stu.attendance.grade.save')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <input type="hidden" id="course" name="course" value="<?php echo e($course); ?>">
            <input type="hidden" id="sub" name="sub" value="<?php echo e($sub); ?>">
            <input type="hidden" id="sem" name="sem" value="<?php echo e($sem); ?>">
            <input type="hidden" id="ac_id" name="ac_id" value="<?php echo e($ac_id); ?>">

            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <br>
                        <table id="table-fine" class="table table-bordered">
                            <thead style="background-color:#8FBC8F">
                                <tr>
                                    <th><input type="checkbox" id="checkAll"> </th> 
                                    <th>#</th>
                                    <th>Student Name</th>
                                    <th>Adno</th>
                                    <th>Attendance Percentage</th>
                                    <th>Grade-Point</th>
                                    <th>Letter Grade</th>
                                </tr>
                            </thead>
                            <tbody>
                               <?php $__currentLoopData = $attendanceSummary; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $summary): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><input type="checkbox" class="student-checkbox" name="attendance[<?php echo e($summary['student_id']); ?>]" value="1"></td> <!-- Student Checkbox -->
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e(strtoupper($summary['student_name'])); ?></td>
                                    <td><?php echo e($summary['admission_number']); ?></td>
                                    <td><?php echo e($summary['attendance_percentage']); ?>%</td>
                                    <td>
                                        <input type="text" name="gradepoint[<?php echo e($summary['student_id']); ?>]" value="<?php echo e($summary['gradepoint']); ?>" class="form-control">
                                    </td>
                                    <td>
                                        <input type="text" name="grade[<?php echo e($summary['student_id']); ?>]" value="<?php echo e($summary['lettergrade']); ?>" class="form-control">
                                    </td>
                                </tr>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <input type="submit" name="submit" value="Save" class="btn btn-primary">
        </form>
    </div>
</div>

<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>

<script>
    $('#checkAll').change(function() {
        var isChecked = $(this).prop('checked');
        
        $('.student-checkbox').prop('checked', isChecked);
    });
</script>

<style>
    input[type="checkbox"] {
        width: 2.5em;   
        height: 2.5em;  
        display: inline-block; 
        margin: 0;
        accent-color: green;
    }
    
    #checkAll {
        width: 2.5em;   /* Adjust width */
        height: 2.5em;  /* Adjust height */
    }
</style>
<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/internalassessment/attendance_get.blade.php ENDPATH**/ ?>