
<?php $__env->startSection('title','Staff Attendance'); ?>
<?php $__env->startSection('heading','Staff Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home / Staff / Attendance'); ?>
<?php $__env->startSection('content'); ?>
    <style>
        .scroll {
            overflow-x: auto;
            -webkit-overflow-scrolling: touch;
        }
        .custom-check{
            width: 20px;
            height: 20px;
            accent-color: #38ce3c;
            cursor: pointer;
        }
        .custom-check:checked {
            accent-color: #38ce3c;
        }
        .square{
            width: 20px;
            height: 20px;
        }
        .am {
            background: linear-gradient(to right, #38ce3c 50%, #ff4d6b 50%);
        }
        .pm {
            background: linear-gradient(to right, #ff4d6b 50%, #38ce3c 50%);
        }
    </style>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="type">Designation</label>
                            <select class="js-example-basic-single" id="type" name="type" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($type->type_id); ?>" <?php echo e($type->type_id==$typeId ? "selected":""); ?>><?php echo e($type->type_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="month">Month</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="month" class="form-control" id="month" name="month" value="<?php echo e($month); ?>" required>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <?php if(!empty($staffs)): ?>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-success"></div> Present
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-danger"></div> Absent
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square am"></div> Forenoon
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square pm"></div> Afternoon
                        </div>
                    </div>
                </div>
                <div class="scroll">
                    <table class="table table-bordered" width="100%">
                        <thead>
                        <tr>
                            <th width="5%">#</th>
                            <th width="10%">Emp Id.</th>
                            <th width="30%">Staff Name</th>
                            <th width="20%">Designation</th>
                            <?php $__currentLoopData = $dates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <th width="9%"><span class="date"><?php echo e(date('d',strtotime($date))); ?></span><br><br><span class="day"><?php echo e(strtoupper(date('D',strtotime($date)))); ?></span></th>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $staffs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staff): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td align="center"><?php echo e($loop->iteration); ?></td>
                                    <td align="center"><?php echo e($staff->employee_id_num); ?></td>
                                    <td><?php echo e($staff->name); ?></td>
                                    <td align="center"><?php echo e($staff->desig->type_name); ?></td>
                                    <?php $__currentLoopData = $dates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <td align="center" <?php if(date('l',strtotime($date))=='Sunday' || in_array(date('Y-m-d',strtotime($date)),$holidays)): ?> class="bg-light-red" <?php endif; ?>>
                                            <?php if(isset($data[$staff->user_id][$date])): ?>
                                                <?php if($data[$staff->user_id][$date]['am']==1 && $data[$staff->user_id][$date]['pm']==1): ?>
                                                    <div class="square bg-success"></div>
                                                <?php elseif($data[$staff->user_id][$date]['am']==0 && $data[$staff->user_id][$date]['pm']==0): ?>
                                                    <div class="square bg-danger"></div>
                                                <?php elseif($data[$staff->user_id][$date]['am']==1 && $data[$staff->user_id][$date]['pm']==0): ?>
                                                    <div class="square am"></div>
                                                <?php elseif($data[$staff->user_id][$date]['am']==0 && $data[$staff->user_id][$date]['pm']==1): ?>
                                                    <div class="square pm"></div>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        </td>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-danger">No Result Found !</div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/staff-attendance/report.blade.php ENDPATH**/ ?>