 
<?php $__env->startSection('title', 'Daybook'); ?> 
<?php $__env->startSection('heading', 'Daybook'); ?> 
<?php $__env->startSection('breadcrumb', 'Home / Account / Report / Daybook'); ?> 
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form action="<?php echo e(route('accounts.report.daybook')); ?>" method="GET">
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group">
                        <label for="fdate">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e($fdate); ?>" required>
                    </div>
                </div>
                <div class="col-12 col-sm-8">
                    <div class="form-group">
                        <label for="tdate">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e($tdate); ?>" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <?php if($vouchers->count() > 0): ?>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <?php if($export==1): ?>
                                <a href="<?php echo e(route('accounts.report.daybook.export',['fdate'=>$fdate,'tdate'=>$tdate, 'accountid'=>$accountid])); ?>" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <table class="table table-bordered mt-2">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>Vocher No</th>
                        <th>Date</th>
                        <th>Voucher Type</th>
                        <th>Particulars</th>
                        <th>Debit</th>
                        <th>Credit</th>
                    </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $vouchers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $voucher): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php $dr_amount = $cr_amount = 0; 
                            $particulars = $voucher->credit->ledger_name." To ".$voucher->debit->ledger_name;
                            if($voucher->vid == 2 || $voucher->vid == 3){
                                $cr_amount = $voucher->vamount;
                            }else{
                                $dr_amount = $voucher->vamount;
                            }
                            ?>
                            <tr>
                                <td align="center"><?php echo e($loop->iteration); ?></td>
                                <td align="center"><?php echo e($voucher->vno); ?></td>
                                <td align="center"><?php echo e($voucher->vdate_formatted); ?></td>
                                <td align="center"><?php echo e($voucher->vtype->vtype_name); ?></td>
                                <td><?php echo e($particulars); ?></td>
                                <td align="right"><?php echo e(number_format($dr_amount,2)); ?></td>
                                <td align="right"><?php echo e(number_format($cr_amount,2)); ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-info">No Result Found !</div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/account/report/daybook.blade.php ENDPATH**/ ?>