
<?php $__env->startSection('title','Logins'); ?>
<?php $__env->startSection('heading','Staff Logins'); ?>
<?php $__env->startSection('breadcrumb','Home / Logins / Staff'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="type">Staff Type</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <select class="js-example-basic-single" id="type" name="type" style="width:100%">
                                            <option value="">Select</option>
                                            <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($type->type_id); ?>" <?php echo e($type->type_id == $typeId ? "selected":""); ?>><?php echo e($type->type_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <?php if($staffs->count() > 0): ?>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <a href="<?php echo e(route('logins.staff.print', ['type' => $typeId])); ?>" class="btn btn-sm btn-success btn-icon-text" target="_blank">
                                <i class="icon-printer btn-icon-prepend"></i> Print
                            </a>
                            <a href="<?php echo e(route('logins.staff.send', ['type' => $typeId])); ?>" class="btn btn-sm btn-info btn-icon-text" target="_blank">
                                <i class="icon-envelope-letter btn-icon-prepend"></i> Send Mail
                            </a>
                        </div>
                    </div>
                </div>
                <div class="scroll">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Staff Name</th>
                            <th>Designation</th>
                            <th>Mobile</th>
                            <th>Email</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $staffs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staff): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td align="center"><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e($staff->name); ?></td>
                                    <td align="center"><?php echo e($staff->utype?->type_name); ?></td>
                                    <td align="center"><?php echo e($staff->mobile); ?></td>
                                    <td align="center"><?php echo e($staff->email); ?></td>
                                    <td align="center"><?php echo e($staff->status==0 ? 'Blocked':'Active'); ?></td>
                                    <td align="center">
                                        <a href="<?php echo e(route('logins.staff.edit',encrypt($staff->user_id))); ?>" title="Edit"><i class="icon icon-pencil text-primary"></i></a>&nbsp;&nbsp;&nbsp;
                                        <?php if($staff->status==1): ?>
                                            <a href="<?php echo e(route('logins.staff.block',[encrypt($staff->user_id),0])); ?>" title="Block"><i class="icon icon-lock text-danger"></i></a>
                                        <?php else: ?>
                                            <a href="<?php echo e(route('logins.staff.block',[encrypt($staff->user_id),1])); ?>" title="Unblock"><i class="icon icon-lock-open text-success"></i></a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-danger">No Result Found !</div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/logins/staff.blade.php ENDPATH**/ ?>