
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Edit Staff Details'); ?>
<?php $__env->startSection('breadcrumb','Home'); ?>
<?php $__env->startSection('content'); ?>

 <link href="<?php echo e(asset('public/css/custom.css')); ?>">


    <form action="<?php echo e(route('user.update')); ?>" method="post" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background: #005A9C;color:white;"><b>Edit Staff Details</b></div>
                <div class="card-body">
                        <input type="hidden" name="user_id" value="<?php echo e(encrypt($user->user_id)); ?>"> 
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="staftyp_id" class="required">Staff Type</label>
                                    <select class="js-example-basic-single form-control" id="stype_id" name="staftyp_id" required style="width:100%;border:1px solid #E0E0E0;">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $stafftyp; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stafftyps): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($stafftyps->staftyp_id); ?>" <?php echo e($user->staftyp_id==$stafftyps->staftyp_id ? "selected":""); ?>><?php echo e($stafftyps->type_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['staftyp_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>    
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="type_id" class="required"><b>Designation</b></label>
                                    <select class="js-example-basic-single" id="type_id" name="type_id" required style="width:100%">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $utypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $utype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($utype->type_id); ?>" <?php echo e($user->type_id==$utype->type_id ? "selected":""); ?>><?php echo e($utype->type_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['type_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="employee_id_num" class="required">Employee ID</label>
                                    <input type="text" class="form-control" id="employee_id_num" placeholder="Employee ID" name="employee_id_num" value="<?php echo e($user->employee_id_num); ?>">
                                    <?php $__errorArgs = ['employee_id_num'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div> 
                            
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="working_type" class="required">Working Type</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="permanent" name="working_type" value="permanent" <?php echo e($user->working_type =='permanent' ? "checked":""); ?>> Permanent </label>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="temporary" name="working_type" value="temporary" <?php echo e($user->working_type =='temporary' ? "checked":""); ?>> Temporary </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                          
                           </div>
                           <div class="row">
                                 <div class="col-md-3">
                                <div class="form-group">
                                    <label for="name" class="required"><b>First Name</b></label>
                                    <input type="text" class="form-control" id="name" name="name" value="<?php echo e($user->name); ?>" required autocomplete="off">
                                    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lname">Last Name</label>
                                    <input type="text" class="form-control" id="lname" name="lname" placeholder="Last Name" value="<?php echo e($user->lname); ?>">
                                    <?php $__errorArgs = ['lname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="father_guardian">Father/Spouse</label>
                                    <input type="text" class="form-control" id="father_guardian" name="father_guardian" placeholder="Father/Spouse" value="<?php echo e($user->father_guardian); ?>">
                                    <?php $__errorArgs = ['father_guardian'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="community_id">Community Category</label>
                                    <select class="js-example-basic-single form-control" id="community_id" name="community_id" style="width:100%">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $community; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($comm->community_id); ?>" <?php echo e($user->community_id==$comm->community_id ? "selected":""); ?>><?php echo e($comm->community); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['community'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>   
                            
                            </div> 
                            
                            <div class="row">
                                
                                <div class="col-md-3">
                                    <div class="form-group">
                                         <label for="dob">Date of Birth</label>  
                                        <input type="date" class="form-control" id="dob"  name="dob" value="<?php echo e($user->dob); ?>" autocomplete="off">
                                        <?php $__errorArgs = ['dob'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div> 
                                
                                 <div class="col-md-3">
                                <div class="form-group">
                                     <label for="text" class="required">Age</label>  
                                    <input type="age" class="form-control" id="age"  name="age" value="<?php echo e($user->age); ?>" placeholder="Age" required autocomplete="off">
                                    <?php $__errorArgs = ['age'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div> 
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="blood_group">Blood Group</label>  
                                    <input type="text" class="form-control" id="blood_group"  name="blood_group" value="<?php echo e($user->blood_group); ?>" placeholder="Blood Group" autocomplete="off">
                                    <?php $__errorArgs = ['blood_group'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="male" class="required">Gender</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" <?php echo e($user->gender=='male' ? "checked":""); ?>> Male </label>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" <?php echo e($user->gender=='female' ? "checked":""); ?>> Female </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>    
                            </div>
                            
                            </div>
                            
                            
                            <div class="row"> 
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="phy_handi">Physically Handicapped<br>(if yes,furnish details)</label>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-control hand <?php $__errorArgs = ['phy_handi'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="textCheckbox" name="phy_handi" style="height:15px;width:15px"  value="yes" <?php echo e($user->phy_handi=='yes' ? "checked":""); ?>> yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-control hand <?php $__errorArgs = ['phy_handi'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"  name="phy_handi"  style="height:15px;width:15px"  value="no" <?php echo e($user->phy_handi=='no' ? "checked":""); ?>> no </label>
                                            </div>
                                        </div>
                                    </div>
                                    <textarea name="phyhandi_det" id="textBox" class="form-control" style="display:none;"><?php echo e($user->phyhandi_det); ?></textarea>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mother_tongue">Mother Tongue</label>
                                    <input type="text" class="form-control" id="mother_tongue" name="mother_tongue" value="<?php echo e($user->mother_tongue); ?>" required autocomplete="off">
                                    <?php $__errorArgs = ['mother_tongue'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="address">Address</label>
                                    <textarea class="form-control" id="address" name="address" placeholder="Address"><?php echo e($user->address); ?></textarea>
                                    <?php $__errorArgs = ['address'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div> 
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="nationality">Nationality</label>
                                    <input type="text" class="form-control" id="nationality" name="nationality" value="<?php echo e($user->nationality); ?>" required autocomplete="off">
                                    <?php $__errorArgs = ['nationality'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>   
                            
                           </div>
                          <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="state">State</label>
                                    <input type="text" class="form-control" id="state" name="state" value="<?php echo e($user->state); ?>" required autocomplete="off">
                                    <?php $__errorArgs = ['state'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>   
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="dateof_join" class="required">Date of Joining</label>
                                    <input type="date" class="form-control" id="dateof_join" name="dateof_join" value="<?php echo e($user->dateof_join); ?>" required autocomplete="off">
                                    <?php $__errorArgs = ['dateof_join'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>   
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="qualification" class="required">Qualification</label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['qualification'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="qualification" placeholder="Qualification" name="qualification" value="<?php echo e($user->qualification); ?>" autocomplete="off">
                                    <?php $__errorArgs = ['qualification'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="experience">Experience</label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['experience'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="experience" placeholder="Experience" name="experience" value="<?php echo e($user->experience); ?>" autocomplete="off">
                                    <?php $__errorArgs = ['experience'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                           
                            <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="dept_id" class="required">Department</label>
                                    <select class="js-example-basic-single form-control" id="dept_id" name="dept_id" style="width:100%;border:1px solid #E0E0E0;">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $dept; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $depts): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($depts->id); ?>" <?php echo e($user->dept_id==$depts->id ? "selected":""); ?>><?php echo e($depts->dept_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['dept_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>    
                                
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mobile"><b>Mobile</b></label>
                                    <input type="text" class="form-control" id="mobile" name="mobile" value="<?php echo e($user->mobile); ?>" required autocomplete="off">
                                    <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="email_id"><b>Email ID</b></label>
                                    <input type="email" class="form-control" id="email" name="email" value="<?php echo e($user->email); ?>" required autocomplete="off">
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                               <div class="col-sm-3">
                                <div class="form-group">
                                    <label for="password" class="required"><b>Password</b></label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="password" name="password" value="<?php echo e($user->mobile); ?>" autocomplete="off">
                                    <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                        </div>
                        
                        <div class="row">
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label for="cpassword" class="required"><b>Confirm Password</b></label>
                                   
                                            <input type="text" class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="cpassword" name="password_confirmation" value="<?php echo e($user->mobile); ?>" autocomplete="off">
                                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                       
                                </div>
                            </div>
                            
                             <div class="col-sm-4">
                                <div class="form-group">
                                    <label for="status" >Status</label>
                                    <div>
                                      <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                <input type="checkbox" class="custom-control-input" id="status" name="status" <?php echo e($user->status==1 ? "checked":""); ?> value="1">
                                                <label class="custom-control-label" for="status"><b>Active</b></label>
                                      </div>
                                    </div>
                                </div>
                            </div>
                            
                            
                        </div>
                        
                        
                         </div>
            </div>
        </div>
    </div>
    
    
                        <div class="row">
                        <div class="col-lg-12 grid-margin stretch-card">
                            <div class="card">
                                <div class="card-header" style="background:#004170;color:white;"><b>Qualification Details</b></div>
                                    <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label for="net_qualified" class="required">1. Net Qualified</label>
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-check form-check-success">
                                                            <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="net_qualified" value="yes" <?php echo e($user->net_qualified == 'yes' ? "checked":""); ?>> Yes </label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-check form-check-success">
                                                            <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="net_qualified" value="no" <?php echo e($user->net_qualified == 'no' ? "checked":""); ?> checked> No </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>    
                                        </div>
                                        
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="doing_research" class="required">2. Doing Research</label>
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-check form-check-success">
                                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="doing_research" value="yes" <?php echo e($user->doing_research == 'yes' ? "checked":""); ?>> Yes </label>
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-check form-check-success">
                                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="doing_research" value="no" <?php echo e($user->doing_research == 'no' ? "checked":""); ?>> No </label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>    
                                    </div>
                                        
                                    </div>
                            <?php $__currentLoopData = $staff_qualifdet; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $qualif): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>       
                                    <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="qualificationloop">Qualification</label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['qualificationloop'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" placeholder="Qualification" value="<?php echo e($qualif->qualificationloop); ?>" id="qualificationloop" name="qualificationloop[]" autocomplete="off">
                                    <?php $__errorArgs = ['qualificationloop'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="institute">Institute</label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['institute'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="institute" placeholder="Institute" value="<?php echo e($qualif->institute); ?>" name="institute[]" autocomplete="off">
                                    <?php $__errorArgs = ['institute'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="uni_board">University/Board</label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['uni_board'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="uni_board" placeholder="University/Board" value="<?php echo e($qualif->uni_board); ?>" name="uni_board[]" autocomplete="off">
                                    <?php $__errorArgs = ['uni_board'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="mark_grade">Mark/Grade</label>
                                    <input type="text" class="form-control <?php $__errorArgs = ['mark_grade'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="mark_grade" placeholder="Mark/Grade" value="<?php echo e($qualif->mark_grade); ?>" name="mark_grade[]" autocomplete="off">
                                    <?php $__errorArgs = ['mark_grade'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <label for="passotyr">Pass out Year</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control <?php $__errorArgs = ['passotyr'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="passotyr" placeholder="Pass out Year" value="<?php echo e($qualif->passotyr); ?>"  name="passotyr[]" autocomplete="off">
                                            <?php $__errorArgs = ['passotyr'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <button type="button" class="btn btn-sm btn-success"  id="addquali"><i class="icon icon-plus"></i></button>
                                        </div>
                                    </div>
                                    
                                     </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <div id="moreappend"></div> 
                                    
                                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background:#004170;color:white"><b>Uploads</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="biodata" >Biodata</label>
                                    <input type="file" class=" <?php $__errorArgs = ['biodata'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="biodata" name="biodata" autocomplete="off">
                                    <?php $__errorArgs = ['biodata'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="image" >Upload Photo</label>
                                    <input type="file" class="<?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="image" name="image" autocomplete="off">
                                    <?php $__errorArgs = ['image'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <?php if($user->image): ?>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Current Profile Photo</label>
                                         <img src="<?php echo e(asset('public/uploads/staff/photo/' . $user->image)); ?>" alt="User Image" class="img-thumbnail" style="width: 150px; height: 150px;">
                                    </div>
                                </div>
                            <?php endif; ?>
                           
                        </div>
                    </div>               
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="form-group">
                    <button type="submit" class="btn btn-primary float-right">Update</button>
                </div>
            </div>
        </div>
                       
            </form>
               
    
    
   
    <style>
    .form-control{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;

          
        }
    </style>
     <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/user/add.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/users/user_edit.blade.php ENDPATH**/ ?>