
<?php $__env->startSection('title','Ledger'); ?>
<?php $__env->startSection('heading','Ledgers'); ?>
<?php $__env->startSection('breadcrumb','Home / Ledgers'); ?>
<?php $__env->startSection('content'); ?>
    <?php if($add==1): ?>
        <div class="card card-primary">
            <div class="card-header"><b>Add Ledger</b></div>
            <div class="card-body">
                <form action="<?php echo e(route('accounts.ledger.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-12 col-sm-4">
                            <div class="form-group">
                                <label for="ledger_name" class="required">Ledger Name</label>
                                <input type="text" class="form-control <?php $__errorArgs = ['ledger_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="ledger_name" name="ledger_name" value="<?php echo e(old('ledger_name')); ?>">
                                <?php $__errorArgs = ['ledger_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <div class="col-12 col-sm-4">
                            <div class="form-group">
                                <label for="acsubgrp_id" class="required">Group of</label>
                                <select class="form-control" id="acsubgrp_id" name="acsubgrp_id" required>
                                    <?php $__currentLoopData = $acgroups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acgroup): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($acgroup->acsubgrp_id); ?>" <?php echo e(old('acsubgrp_id')==$acgroup->acsubgrp_id ? "selected":""); ?>><?php echo e($acgroup->subgroup); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['acsubgrp_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <div class="col-12 col-sm-4">
                            <div class="form-group">
                                <label for="opening_balance">Opening Balance</label>
                                <input type="text" class="form-control <?php $__errorArgs = ['opening_balance'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="opening_balance" name="opening_balance" placeholder="0.00" value="<?php echo e(old('opening_balance')); ?>">
                                <?php $__errorArgs = ['opening_balance'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <button type="submit" class="btn btn-success float-right">Save</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <br>
    <?php endif; ?>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="ledgerTable" width="100%">
                <thead>
                <tr>
                    <th class="no-sort">#</th>
                    <th>Ledger Name</th>
                    <th>Sub Group</th>
                    <th>Opening Balance</th>
                    <th>Dr/Cr</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(function () {
            var ledgerTable = $("#ledgerTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                stateSave : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '<?php echo e(route('accounts.ledgers.ajax')); ?>',
                    dataType : 'json',
                    type : 'GET',
                },
                columns : [
                    { data : 'sno' },
                    { data : 'name' },
                    { data : 'group' },
                    { data : 'balance' },
                    { data : 'dc' },
                    { data : 'action' },
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/account/ledger/report.blade.php ENDPATH**/ ?>