
<?php $__env->startSection('title','OBE'); ?>
<?php $__env->startSection('heading','Activity Outcome-PO Mapping'); ?>
<?php $__env->startSection('breadcrumb','Settings / OBE / Activity Outcome-PO Mapping'); ?>
<?php $__env->startSection('content'); ?>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
        <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
          <?php echo e(app_button_links_vl(array(253,254,255))); ?>

    </div>
    <div class="card-body">


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
             
            <div class="card-header" style="background:#005A9C;color:white;"><b>Activity Outcome-PO Mapping</b></div>
   
                <div class="card-body">
                    <form action="<?php echo e(route('aopomapping.save')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="a_outcome" class="required"><b>Activity Outcome</b></label>
                                    <select class="js-example-basic-single" id="a_outcome" name="a_outcome" style="width:100%" required>
                                        <option value="">SELECT</option>
                                        <?php $__currentLoopData = $activityoutcome; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $actv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($actv->id); ?>" <?php echo e(old('a_outcome ') == $actv->id  ? "selected":""); ?>><?php echo e($actv->activity_outcome); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['a_outcome'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            
                          <div class="col-md-6">
                            <div class="form-group">
                               <label for="p_outcome" class="required"><b>Program Outcome</b></label>
                               <select class="js-example-basic-single" id="p_outcome" name="p_outcome" style="width:100%" required>
                                <option value="">SELECT</option>
                                   <?php $__currentLoopData = $po; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($pm->id); ?>" <?php echo e(old('p_outcome ') == $pm->id  ? "selected":""); ?>><?php echo e($pm->po_name); ?></option>
                                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                               </select>
                                    <?php $__errorArgs = ['p_outcome'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        </div>
                         <div class="row">
                         <div class="col-md-12">
                             <div class="form-group">
                               <label></label>
                                 <button type="submit" class="btn btn-primary float-right">Save</button>
                             </div>
                             </div>
                         </div>   
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Activity Outcome</b></th>
                            <th><b>Program Outcome</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $aopomapping; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $aopo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo e($aopo->aoutcome->activity_outcome); ?></td>
                                    <td><?php echo e($aopo->poutcome->po_name); ?></td>
                                    <td><?php echo e(app_table_links($aopo->id,array(316,315))); ?></td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
     </div>
            </div>
        </div>
    </div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/aopo_mapping.blade.php ENDPATH**/ ?>