
<?php $__env->startSection('title','OBE'); ?>
<?php $__env->startSection('heading','Outcome Based Education'); ?>
<?php $__env->startSection('breadcrumb','Home / OBE / Activity / View Activity Outcome Mark'); ?>
<?php $__env->startSection('content'); ?>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
         <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         <?php echo e(app_button_links_v(array(308,309,310,311,312))); ?>

    </div>
    <div class="card-body">

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background-color:#005A9C;color:white"><b>View Activity Outcome Mark</b></div>
                <div class="card-body">
                    <form action="<?php echo e(route('viewstudperformancemrk.get')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        
                            
                            <div class="row">
                                
                              <div class="col-md-3">
                                <div class="form-group">
                                <label for="course" class="required"><b>Program</b></label>
                                <select class="form-control" id="course" name="course" required>
                                <option value="">Select</option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($crs->course_id); ?>" <?php echo e(old('course')==$crs->course_id ? "selected":""); ?>><?php echo e($crs->course_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['course'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                             </div>  
                                
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="semester_id" class="required"><b>Semester</b></label>
                                <select class="form-control" id="semester_id" name="semester_id" required>
                                <option value="">select</option>
                                </select>
                                </div>
                                </div>
                    
                                
                                
                               <div class="col-md-3">
                                 <div class="form-group">
                                    <label for="domain_id" class="required"><b>Domain</b></label>
                                        <select class="form-control" id="domain_id" name="domain_id" required>
                                            <option value="">Select</option>
                                                <?php $__currentLoopData = $domains; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dms): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($dms->id); ?>" <?php echo e(old('domain_id')==$dms->id ? "selected":""); ?>><?php echo e($dms->domain); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                                <?php $__errorArgs = ['domain_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                 </div>
                                </div>
                                
                                
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="activity_id" class="required"><b>Activity</b></label>
                                        <select class="form-control" id="activity_id" name="activity_id" required>
                                        <option value="">select</option>
                                        </select>
                                    </div>
                                 </div>
                 
                  
                
                 
                                  <div class="col-md-3">
                                    <div class="form-group">
                                        <label for="activity_outcome" class="required"><b>Activity Outcome</b></label>
                                        <select class="form-control" id="activity_outcome" name="activity_outcome" required>
                                        <option value="">select</option>
                                        </select>
                                    </div>
                                 </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                     <div class="form-group">
                                        <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>        
                                     </div>
                                </div>
                            </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
  
    
    
    <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
    
    
    
     </div>
            </div>
        </div>
    </div>
     <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
     <script src="<?php echo e(asset('public/js/semester.js')); ?>"></script> 
    <script src="<?php echo e(asset('public/js/activity.js')); ?>"></script> 
    <script src="<?php echo e(asset('public/js/activityoutcome.js')); ?>"></script> 
    <script src="<?php echo e(asset('public/js/studperformancemarkreport.js')); ?>"></script> 
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
       
    </style>
      
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/studperformancemrk_view.blade.php ENDPATH**/ ?>