
<?php $__env->startSection('title', 'Progression'); ?>
<?php $__env->startSection('heading', 'Progression'); ?>
<?php $__env->startSection('breadcrumb', 'Home / Progression'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <?php echo e(app_button_links(array(735))); ?>

            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="status">Current Status</label>
                        <select class="js-example-basic-single form-control" id="status">
                            <option value="">Select</option>
                            <option value="Working">Working</option>
                            <option value="Exam Preparation">Exam Preparation</option>
                            <option value="Not Working">Not Working</option>
                        </select>
                    </div>
                </div>
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="date">From Date</label>
                        <input type="date" class="form-control" id="fdate">
                    </div>
                </div>
                <div class="col-12 col-md-6">
                    <div class="form-group">
                        <label for="date">To Date</label>
                        <div class="row">
                            <div class="col-12 col-md-6">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate">
                                </div>
                            </div>
                            <div class="col-12 col-md-6">
                                <div class="form-group">
                                    <button type="button" class="btn btn-sm btn-success" id="filter">Filter</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="progressionTable" width="100%">
                <thead>
                <tr>
                    <th class="no-sort">#</th>
                    <th>Student Name</th>
                    <th>Adm. No</th>
                    <th>Program</th>
                    <th>Passout Year</th>
                    <th>Status</th>
                    <th>Company</th>
                    <th>Location</th>
                    <th>Position</th>
                    <th>Contact No</th>
                    <th>Email</th>
                    <th>Remarks</th>
                    <th>Date</th>
                    <th class="no-sort">Action</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script>
        $(function () {
            var progressionTable = $("#progressionTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                stateSave : true,
                order : [],
                columnDefs : [
                    { targets: 'no-sort', orderable: false },
                    { targets: [0, 1, 3, 4, 5, 6, 7, 8, 9, 11, 12], className: 'text-center' }
                ],
                ajax : {
                    url : '<?php echo e(route('progression.ajax')); ?>',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.status = $('#status').val(),
                        data.fdate = $('#fdate').val(),
                        data.tdate = $('#tdate').val();
                    }
                },
                columns : [
                    { data : 'sno' },
                    { data : 'name' },
                    { data : 'adno' },
                    { data : 'course' },
                    { data : 'passout' },
                    { data : 'status' },
                    { data : 'company' },
                    { data : 'location' },
                    { data : 'position' },
                    { data : 'contact' },
                    { data : 'email' },
                    { data : 'remarks' },
                    { data : 'date' },
                    { data : 'action' },
                ]
            });
            
            $('#filter').click(function(){
                progressionTable.draw();
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/progression/report.blade.php ENDPATH**/ ?>