
<?php $__env->startSection('title','Settings'); ?>
<?php $__env->startSection('heading','SectionHead'); ?>
<?php $__env->startSection('breadcrumb','Settings / Staff Setting /SectionHead'); ?>
<?php $__env->startSection('content'); ?>


 <div class="row">
                <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
             <form action="<?php echo e(route('hod.save')); ?>" method="post">
    <?php echo csrf_field(); ?>    
            <div class="row">
                <div class="col-md-3">
                <div class="form-group">
                <label for="ac_id" class="required"><b>Academic Year</b></label>
                <select class="form-control" id="ac_id" name="ac_id" required>
                    <option value="">Select</option>
                <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e(old('ac_id')==$acyear->ac_id ? "selected":""); ?>><?php echo e($acyear->start_date_formatted.' - '.$acyear->end_date_formatted); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
                </div>
                <div class="col-md-3">
                <div class="form-group">
                <label for="dept_id" class="required"><b>Department</b></label>
                <select class="form-control" id="dept_id" name="dept_id" required>
                <option value="">Select</option>
                <?php $__currentLoopData = $department; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dept): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($dept->id); ?>" <?php echo e(old('dept_id')==$dept->id ? "selected":""); ?>><?php echo e($dept->dept_name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php $__errorArgs = ['dep_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
                </div>
                
                <div class="col-md-3">
                <div class="form-group">
                <label for="id" class="required"><b>Teacher</b></label>
                <select class="form-control" id="user_id" name="user_id" required>
                <option value="">Select</option>
                <?php $__currentLoopData = $user; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $users): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($users->user_id); ?>" <?php echo e(old('user_id')==$users->id ? "selected":""); ?>><?php echo e($users->name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
                </div>
                
                </div>
                
                 <div class="row">
                     <div class="col-md-12">
                <div class="form-group">
                     <button type="submit" class="btn btn-primary float-right">Save</button>
                     </div>
                     </div>
                </div>
                
                
                  </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
     <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Acyear</b></th>
                            <th><b>Department</b></th>
                            <th><b>HOD</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $HOD; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $HODS): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                   <?php 
                                   $startDate=$HODS->acyear->sdate;
                                   $endDate=$HODS->acyear->edate;
                                   $startYear=date('Y',strtotime($startDate));
                                   $endYear=date('Y',strtotime($endDate));
                                
                                   
                                   ?>
                                   <td><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e($startYear); ?>-<?php echo e($endYear); ?></td>
                                    <td><?php echo e($HODS->dept->dept_name); ?></td>
                                    <td><?php echo e($HODS->user->name); ?></td>
                                   <td><?php echo e(app_table_links($HODS->hod_id,array(359))); ?></td>
                                   
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    <style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        } 
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staff/sectionhead.blade.php ENDPATH**/ ?>