<?php if($students->count() > 0): ?>
    <style>
        .date{
            font-size: 18px;
            font-weight: 600;
        }
        .attend{
            display: flex;
        }
        .b-1{
            border: 1px solid #000;
        }
    </style>
    <div class="row">
        <div class="col-12 col-sm-2">
            <div class="form-group d-flex">
                <div class="square bg-success"></div> Present
            </div>
        </div>
        <div class="col-12 col-sm-2">
            <div class="form-group d-flex">
                <div class="square bg-danger"></div> Absent
            </div>
        </div>
        <div class="col-12 col-sm-2">
            <div class="form-group d-flex">
                <div class="square bg-light-red"></div> Holiday
            </div>
        </div>
        <div class="col-12 col-sm-2">
            <div class="form-group d-flex">
                <div class="square b-1 text-dark">1</div> Period
            </div>
        </div>
    </div>
    <div class="scroll">
    <table class="table table-bordered">
        <thead>
        <tr>
            <th width="5%">#</th>
            <th width="10%">Adm No.</th>
             <th width="10%">Roll No.</th>
            <th>Name</th>
            <?php $__currentLoopData = $dates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <th width="9%"><span class="date"><?php echo e(date('d',strtotime($date))); ?></span><br><br><span class="day"><?php echo e(strtoupper(date('D',strtotime($date)))); ?></span></th>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td align="center"><?php echo e($loop->iteration); ?></td>
                    <td align="center"><?php echo e($student->adno); ?></td>
                    <td align="center"><?php echo e($student->rollno); ?></td>
                    <td><?php echo e(strtoupper($student->name)); ?></td>
                    <?php $__currentLoopData = $dates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <td align="center" <?php if(date('l',strtotime($date))=='Sunday' || in_array(date('Y-m-d',strtotime($date)),$holidays)): ?> class="bg-light-red" <?php endif; ?>>
                            <div class="attend">
                                <?php if(isset($data[$student->student_id][$date])): ?>
                                    <?php $__currentLoopData = $data[$student->student_id][$date]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="square" style="background-color: <?php echo e($period['color']); ?>;" title="<?php echo e($period['reason']); ?>"><?php echo e($period['period']); ?></div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </div>
                        </td>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    </div>
<?php else: ?>
    <div class="alert alert-warning">No Result Found !</div>
<?php endif; ?><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/student-attendance/week.blade.php ENDPATH**/ ?>