
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Leave'); ?>
<?php $__env->startSection('breadcrumb','Home/Staff/Leave'); ?>
<?php $__env->startSection('content'); ?>


<?php if(session('success')): ?>
    <div class="alert alert-success">
        <?php echo e(session('success')); ?>

    </div>
<?php endif; ?>

<?php if(session('error')): ?>
    <div class="alert alert-danger">
        <?php echo e(session('error')); ?>

    </div>
<?php endif; ?>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
         <div class="card-tools">
    <?php echo e(app_button_links(array(330,331,332,333))); ?>

    </div>
        
        
        
        
        
        
        </div>
       
        </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#073980;color:white;"><b>Pending Request</b></div>
    <div class="card-body">
      
 <?php if(auth()->user()->type_id == 17): ?>

        
    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Applied By</b></th>
                            <th><b>employee ID</b></th>
                            <th><b>Forwarded By</b></th>
                            <th><b>Applied On</b></th>
                            <th><b>Leave From</b></th>
                            <th><b>Leave Until</b></th>
                            <th><b>Status</b></th>
                            <th colspan="2"><b>Actions</b></th>

                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $staffleavreport; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $request): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                               
                                
                                
                                <tr>
                                    <td><?php echo e($request->staff->name); ?></td>
                                    <td><?php echo e($request->staff->employee_id_num); ?></td>
                                     <td></td>
                                    <td><?php echo e(date('d-m-Y',strtotime($request->applied_on))); ?></td>
                                    <td><?php echo e(date('d-m-Y',strtotime($request->lfrom))); ?></td>
                                    <td><?php echo e(date('d-m-Y',strtotime($request->luntil))); ?></td>
                                   <td>
                                       <?php if($request->status==0): ?>
                                        <span class="text-primary">Pending</span>
                                       <?php endif; ?>
                                       <?php if($request->status==1): ?>
                                        <span class="text-primary">Approved</span>
                                       <?php endif; ?>
                                         <?php if($request->status==2): ?>
                                        <span class="text-primary">Rejected</span>
                                       <?php endif; ?>
                                   </td>   
                                    
                                  
                                        <td>
                                        <button type="button" class="btn view-btn" data-url="<?php echo e(route('staff.leave.status.pending', ['stfleavereq_id' => $request->stfleavereq_id])); ?>">
                                            <i class="fa-solid fa-magnifying-glass"></i>
                                        </button>
                                        </td>
                                        <td>
                                            <form action="<?php echo e(route('staff.leave.request.forward',['stfleavereq_id' => $request->stfleavereq_id])); ?>"  method="post">
                                <?php echo csrf_field(); ?>
                                 <input type="hidden" name="applied_by" value="<?php echo e($request->staff->user_id); ?>">
                               
                                <div class="dropdown d-inline">
                                        <label for="forwardTo">Forward To</label>
                               <select class="form-control" id="forwardTo" name="user_id">
                                    <option value="<?php echo e($user->user_id); ?>"><?php echo e($user->name); ?></option>
                                </select>
                                    </div>
                                    <input type="submit" name="sub" value="Submit" class="btn btn-success btn-sm"> 
                                      </form>      
                                        </td>
                                   

                                 
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table> 
        
         <?php elseif(auth()->user()->type_id == 1): ?>
        
         <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Applied By</b></th>
                            <th><b>employee ID</b></th>
                            <th><b>Forwarded By</b></th>
                            <th><b>Status</b></th>
                            <th colspan="2"><b>Actions</b></th>

                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $staffforward; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $request): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                               
                                
                                
                                <tr>
                                    <td><?php echo e($request->staffs->name); ?></td>
                                    <td><?php echo e($request->staffs->employee_id_num); ?></td>
                                     <td><?php echo e($request->forwardedbyUser->name); ?></td>
                                   <td>
                                       <?php if($request->status==0): ?>
                                        <span class="text-primary">Pending</span>
                                       <?php endif; ?>
                                       <?php if($request->status==1): ?>
                                        <span class="text-primary">Approved</span>
                                       <?php endif; ?>
                                         <?php if($request->status==2): ?>
                                        <span class="text-primary">Rejected</span>
                                       <?php endif; ?>
                                   </td>   
                                    
                                  
                                        <td>
                                        <button type="button" class="btn view-btns" data-url="<?php echo e(route('staff.leave.forward.pending', ['stfleavfrwd' => $request->stfleavfrwd])); ?>">
                                            <i class="fa-solid fa-magnifying-glass"></i>
                                        </button>
                                        </td>
                                         <td>
                                       
                                        </td>
                                      
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table> 
        
        
       
        
        
        
        
       <?php elseif(auth()->user()->type_id == 13): ?>
        
         <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Applied By</b></th>
                            <th><b>employee ID</b></th>
                            <th><b>Reason</b></th>
                            <th><b>Applied On</b></th>
                            <th><b>Leave From</b></th>
                            <th><b>Leave Until</b></th>
                            <th><b>Status</b></th>
                            <th colspan="2"><b>Actions</b></th>

                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $staffleavreport; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $request): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                               
                                
                                
                                <tr>
                                     <td><?php echo e($request->staff->name); ?></td>
                                    <td><?php echo e($request->staff->employee_id_num); ?></td>
                                     <td><?php echo e($request->reason); ?></td>
                                    <td><?php echo e(date('d-m-Y',strtotime($request->applied_on))); ?></td>
                                    <td><?php echo e(date('d-m-Y',strtotime($request->lfrom))); ?></td>
                                    <td><?php echo e(date('d-m-Y',strtotime($request->luntil))); ?></td>
                                   <td>
                                       <?php if($request->status==0): ?>
                                        <span class="text-primary">Pending</span>
                                       <?php endif; ?>
                                       <?php if($request->status==1): ?>
                                        <span class="text-primary">Approved</span>
                                       <?php endif; ?>
                                         <?php if($request->status==2): ?>
                                        <span class="text-primary">Rejected</span>
                                       <?php endif; ?>
                                   </td>   
                                    
                                    
                                  
                                        <td>
                                        <button type="button" class="btn view-btn" data-url="<?php echo e(route('staff.leave.status.pending', ['stfleavereq_id' => $request->stfleavereq_id])); ?>">
                                            <i class="fa-solid fa-magnifying-glass"></i>
                                        </button>
                                        </td>
                                      
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table> 
        
        
        <?php endif; ?>
        
        
        
        
        
        
        
        
        

  
        
        
        
        


</div>
        </div>
        </div>
        </div>




<div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color:#005A9C;color:white;">
                    <h5 class="modal-title" id="viewModalLabel"><b>REQUEST DETAILS</b></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                   
                </div>
            </div>
        </div>
    </div>







<div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="viewModalLabel">Request Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                   
                </div>
            </div>
        </div>
    </div>







<style>
    
      .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
       
       
        .form-control{
            border:1px solid #E8E8E8;
        }
.modal-dialog.modal-sm {
    max-width: 50%; 
}
</style>
<!--<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>-->
<!-- Bootstrap JavaScript -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>

<!--<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>-->
<!--<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>-->
<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script>
    $(document).ready(function() {
        $('.view-btn').on('click', function(e) {
            e.preventDefault();
            var url = $(this).data('url');

            $.get(url, function(data) {
                $('#viewModal .modal-body').html(data);
                $('#viewModal').modal('show');
            });
        });
  
          $('.view-btns').on('click', function(e) {
            e.preventDefault();
            var url = $(this).data('url');

            $.get(url, function(data) {
                $('#viewModal .modal-body').html(data);
                $('#viewModal').modal('show');
            });
        });

  
  
  
  
  
    });
</script>

<?php $__env->stopSection(); ?>       
        
        
        
        
        
      
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staff/staff_pending.blade.php ENDPATH**/ ?>