

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Leave Form</title>
    <!-- Bootstrap CSS -->
    <!--<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">-->
</head>
<body>

<!-- Existing Content -->
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background:#FEBE10;">
                <b>Leave Form</b>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th><b>Applied By</b></th>
                            <th><b>Employee ID</b></th>
                            <th><b>Applied Date</b></th>
                            <th><b>Leave From</b></th>
                            <th><b>Leave Until</b></th>
                            <th><b>Reason</b></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td><?php echo e($stflvrqst->staff->name); ?></td>
                            <td><?php echo e($stflvrqst->staff->employee_id_num); ?></td>
                            <td><?php echo e(date('d-m-Y',strtotime($stflvrqst->applied_on))); ?></td>
                            <td><?php echo e(date('d-m-Y',strtotime($stflvrqst->lfrom))); ?></td>
                            <td><?php echo e(date('d-m-Y',strtotime($stflvrqst->luntil))); ?></td>
                            <td><?php echo e($stflvrqst->reason); ?></td>
                        </tr>
                    </tbody>
                </table>

                <div class="row mt-4">
                    <div class="col-md-12 text-center">
                        <?php if($stflvrqst->status == 0): ?>
                            <a href="<?php echo e(route('staff.leave.status.pending.approve', ['stfleavereq_id' => $stflvrqst->stfleavereq_id])); ?>" data-id="<?php echo e($stflvrqst->stfleavereq_id); ?>">
                                <span class="btn btn-success approve-btn" >Approve</span>
                            </a>
                            <a href="<?php echo e(route('staff.leave.status.pending.reject', ['stfleavereq_id' => $stflvrqst->stfleavereq_id])); ?>">
                                <span class="btn btn-danger">Reject</span>
                            </a>
                            <!--<button type="button" class="btn btn-warning forward-btn" data-id="<?php echo e($stflvrqst->stfleavereq_id); ?>">-->
                            <!--    <i class="fa-solid fa-share"></i> Forward-->
                            <!--</button>-->
                        <?php elseif($stflvrqst->status == 1): ?>
                            <p class="text-success" style="font-size:25px;"><b>Approved</b></p>
                        <?php else: ?>
                            <p class="text-danger" style="font-size:25px;"><b>Rejected</b></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Modal -->
<!--<div class="modal fade" id="forwardModal" tabindex="-1" role="dialog" aria-labelledby="forwardModalLabel" aria-hidden="true">-->
<!--    <div class="modal-dialog modal-sm" role="document">-->
<!--        <div class="modal-content">-->
<!--            <div class="modal-header">-->
<!--                <h5 class="modal-title" id="forwardModalLabel">Forward Request</h5>-->
<!--                <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                    <span aria-hidden="true">&times;</span>-->
<!--                </button>-->
<!--            </div>-->
<!--            <div class="modal-body">-->
<!--                <form id="forwardForm" method="post" action="<?php echo e(route('staff.leave.request.forward',['stfleavereq_id' => $stflvrqst->stfleavereq_id])); ?>">-->
<!--                    <?php echo csrf_field(); ?>-->
<!--                    <input type="hidden" name="stfleavereq_id" id="forwardRequestId">-->
<!--                    <div class="form-group">-->
<!--                        <label for="forwardTo">Forward To</label>-->
<!--                        <select class="form-control" id="forwardTo" name="user_id">-->
<!--                            <?php $__currentLoopData = $user; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staff): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>-->
<!--                                <option value="<?php echo e($staff->user_id); ?>"><?php echo e($staff->name); ?></option>-->
<!--                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>-->
<!--                        </select>-->
<!--                    </div>-->
<!--                    <button type="submit" class="btn btn-primary">Forward</button>-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</div>-->


<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<script>
$(document).ready(function() {
    $('.forward-btn').on('click', function(e) {
        e.preventDefault();
        var requestId = $(this).data('id');
        $('#forwardRequestId').val(requestId);
        $('#forwardModal').modal('show');
    });


    // $('.approve-btn').on('click', function(e) {
    //     e.preventDefault();
    //     var url = $(this).attr('href');
    //     var confirmation = confirm('Do you want to approve and forward the request?');
    //     if (confirmation) {
         
    //         $.get(url, function(response) {
                
    //             if (response.success) {
    //                 alert(response.message); 
    //                 $('#forwardRequestId').val(response.request_id); 
    //                 $('#forwardModal').modal('show'); 
    //             } else {
    //                 alert('Error: ' + response.message);
    //             }
    //         }).fail(function() {
    //             alert('An error occurred. Please try again.');
    //         });
    //     }
    // });
    
    
});
</script>

</body>

<?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staff/staff_leave_status_pending.blade.php ENDPATH**/ ?>