<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;

use Illuminate\Support\Facades\Auth;

use App\Models\Semester;
use App\Models\StaffSubject;
use App\Models\Subject;

class Ajax extends Controller
{
    public function getStaffSemester($courseId)
    {
        $semesters = [];
        $user = Auth::user();
        $acyearId = getAcyear();
        
        $rows = Semester::getStaffSemesters($courseId);
        foreach($rows as $row){
            $semesters[$row->semester_id] = $row->semester_name;
        }
        return json_encode($semesters);
    }
    
    public function getStaffSubject($semesterId)
    {
        $subjects = [];
        $user = Auth::user();
        $acyearId = getAcyear();
        
        $rows = Subject::getStaffSubjects($semesterId);
        foreach($rows as $row){
            $subjects[$row->subject_id] = $row->subcategoryname->category.' - '.$row->subject_name;
        }
        return json_encode($subjects);
    }
}