<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\EcontentStud;
use App\Models\Acyear;
use App\Models\Student;

class Econtent extends Controller
{
    public function report(){
        
        $ac_id = getAcyear();
        $student_id = Auth::guard('student')->id();
        
        $contents = array();
        $contents = EcontentStud::Join('econtent','econtent_stud.econtent_id','=','econtent.econtent_id')->join('subjects', 'econtent.subject_id', '=', 'subjects.subject_id')->join('users', 'users.user_id', '=', 'econtent.user_id')->where(array('econtent.ac_id'=>$ac_id,'econtent_stud.stud_id'=>$student_id))->select('econtent.*','subjects.subject_name','users.name')->get();
        
      
        return view('student.econtent.report',compact('contents'));
    }
}
