<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StudentExamSubjectPract extends Model
{
     use HasFactory, SoftDeletes;
     protected $table = 'student_exam_subjects_practical';
    protected $primaryKey = 'exsbp_id'; 
    protected $guarded = [];
    
    protected $hidden = ['exsbp_id'];
      public function esesubn(){
        return $this->belongsTo(Subject::class,'subject_id','subject_id');
    }
    
    public function exmarks()
    {
         return $this->hasmany(MainstreamPracExamMarks::class,'subject_id','subject_id');
    }
}
