<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
   @if($stud_array && collect($stud_array)->isNotEmpty())
    <div align="right">
    <a href="{{ route('fyugpminorstudsub.pdf', ['course' => $course,'semester_id'=>$semester_id,'category_id'=>$category_id,'sub_id'=>$sub_id]) }}" target="blank_"><i class="fa-solid fa-file-pdf text-danger" style="font-size:30px"></i>
</a></div>
  <form action="{{ route('fyugpminorstudsub.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($semester_id) }}">
    <input type="hidden" id="category_id" name="category_id" value="{{ encrypt($category_id) }}">
    <input type="hidden" id="sub_id" name="sub_id" value="{{ encrypt($sub_id) }}">
    
    <div id="totalStudents" class="mb-3"></div>
     @if($total_seat)
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <div><b>Total Seat : {{$total_seat->allotd_seat}}</b></div>
     <div class="div_scroller">   
    <table id="table-fine" class="table table-bordered">
    <thead >
    <tr>
        <th>
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th><b>Sno.</b></th>
        <th><b>Adno</b></th>
        <th><b>Student Name</b></th>
        <th><b>%</b></th>
        <th><b>{{$categ_name->category}}</b></th>
        <th><b>Program</b></th>
        </tr>
    </thead>
    <tbody>
        @php $kp=0; @endphp
    @foreach($stud_array as $fyugpsub)
    
    @php
    $kp ++;
    $minorIsub = App\Models\FyugpStudSubPreferences::Join('subjects','fyugp_stud_sub_preferences.pref_Id','=','subjects.subject_id')->where(array('fyugp_stud_sub_preferences.acyear_id'=>$fyugpsub['acyear_id'],'fyugp_stud_sub_preferences.course'=>$fyugpsub['course'],'fyugp_stud_sub_preferences.sem'=>$fyugpsub['sem'],'fyugp_stud_sub_preferences.stud_id'=>$fyugpsub['stud_id'],'fyugp_stud_sub_preferences.sub_cat'=>$category_id))->select('subjects.*','fyugp_stud_sub_preferences.type')->orderBy('fyugp_stud_sub_preferences.type')->get();

    
    @endphp
        <tr>
             <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $fyugpsub['stud_id'] }}"></label>
                </div>
             
            </td> 
            <td>{{$kp;}}</td>
           <td>{{$fyugpsub['adno']}}</td>
           <td align="left">{{strtoupper($fyugpsub['name'])}}</td>
           <td>{{$fyugpsub['percentage']}}</td>
           <td>
            <select class="form-control" id="minorI" name="minorI{{ $fyugpsub['stud_id'] }}">
                <option value="">Select</option>
                  @foreach($minorIsub as $minI)
                <option value="{{ $minI->subject_id  }}" {{ $fyugpsub['sub_id']==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name.' [ '. $minI->type }} Preferences]</option>
                  @endforeach
             </select> 
            @error('minorI')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror   
           
           </td>
           <td>{{$fyugpsub['course_name']}}</td>
        </tr>
    @endforeach
    </tbody>
     </table>
    </div>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
             @else
            <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Please set total Seat of Course !</div>
            </div>
        </div>
            @endif
        </form>
        @else
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Result not Found !</div>
            </div>
        </div>
    @endif   
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/studall.js') }}"></script>
<style>
  
input[type="checkbox"] {
  width: 2em;
  height: 2rem;
  display: inline-block; 
  margin: 0;
 
  accent-color: green;
}


</style>


