@extends('layouts.template')
@section('title','FYUGP')
@section('heading','Four-Year Undergraduate Programme')
@section('breadcrumb','Home / FYUGP / Set AEC Subject')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">

    <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
                     
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Select the Criteria</b></div>
        <div class="card-body">
        <form >
        @csrf
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course" class="required"><b>Program</b></label>
         <select class="form-control" id="course_id" name="course_id" required>
           <option value="">Select</option>
            @foreach($courses as $course)
           <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
            @endforeach
         </select>
            @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="semester_id" class="required"><b>Semester</b></label>
         <select class="form-control" id="semester_id" name="semester_id">
            <option value="">Select</option>
         </select>
        </div>
        </div>
         </div>                   
                            
      
        
       <div class="row">
        <div class="col-md-12">
        <div class="form-group">
         <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
        
        </div>
        </div>
        </div>
    </div>
    
       
    
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/universitymark.js') }}"></script>
    <script src="{{ asset('public/js/addfyugpaec.js') }}"></script>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>
@endsection