
    <div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
    @if($students && $students->isNotEmpty())      
    <form action="{{ route('viva.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ $course}}">
  
    <input type="hidden" id="sem" name="sem" value="{{ $sem}}">
    <input type="hidden" id="sub" name="sub" value="{{$sub}}">
    <input type="hidden" id="ac_id" name="ac_id" value="{{$ac_id}}">
    
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
         <br>
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
            <th colspan="1" rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
            <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th>Adno</th>
        <th>Student Name</th>
        <th>Conducted Date</th>
        <th>Grade-point</th>
        <th>Grade</th>
    </tr>
   
    </thead>
    <tbody>
            @foreach($students as $student)
            <input type="hidden" name="student_id" value="{{$student->student_id}}">
            
           <tr>
           <td align="center" width="10%">
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}"></label>
                </div>
             
            </td> 
            <td width="10%">{{ $student->adno }}</td>
            <td width="30%">{{ $student->name }}</td>
           
            
             
  
                                                   <td>
                                                       <input type="date" class="required" id="conducted_date{{$student->student_id}}" name="conducted_date{{$student->student_id}}" value="{{ isset($existingMarks[$student->student_id]) ? $existingMarks[$student->student_id]->conducted_date : '' }}">
                                                   </td>
                                                   <td>
                                                       <input type="text"  id="gradepoint{{$student->student_id}}" name="gradepoint{{$student->student_id}}" value="{{ isset($existingMarks[$student->student_id]) ? $existingMarks[$student->student_id]->gradepoint : '' }}">
                                                   </td>
        <td>
                                                       <input type="text"  id="grade{{$student->student_id}}" name="grade{{$student->student_id}}" value="{{ isset($existingMarks[$student->student_id]) ? $existingMarks[$student->student_id]->grade : '' }}">
                                                   </td>
                                                   </tr> 
        
            @endforeach
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                <div class="form-group">
                <button type="submit" class="btn btn-primary float-right">Save</button>
                </div>
                </div>
            </div>
            </form>
    @else
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Student not Found !</div>
            </div>
        </div>
    @endif
 </div>
</div>
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   
       <script>
    $(document).ready(function() {
     
    function getGradeFromPoint(gradePoint) {
        if (gradePoint >= 8.0 && gradePoint <= 10.0) {
            return 'A';
        } else if (gradePoint >= 6.0 && gradePoint <= 7.0) {
            return 'B';
        } else if (gradePoint >= 4.0 && gradePoint <= 5.0) {
            return 'C';
        } else if (gradePoint >= 2.0 && gradePoint <= 3.0) {
            return 'D';
        }
         else if (gradePoint <= 1.0) {
            return 'E';
        }
       
    }

    
    $("input[id^='gradepoint']").on("input", function() {
        var studentId = $(this).attr('id').replace('gradepoint', '');
        var gradePoint = parseFloat($(this).val()); 

        if (!isNaN(gradePoint)) {
            var grade = getGradeFromPoint(gradePoint); 
            $('#grade' + studentId).val(grade); 
        } else {
            $('#grade' + studentId).val(''); 
        }
    });

        $('#checkAll').change(function() {
            $('.checkSub').prop('checked', this.checked);
        });
 $('#submit_date_all').change(function() {
        var selectedDate = $(this).val(); 

       
    });

    });

   </script>
   <style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

  


input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>