@extends('layouts.template')
@section('title','OBE')
@section('heading','Outcome Based Education')
@section('breadcrumb','Home / OBE / Activity / Performance Mark')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
         <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(308,309,310,311,312)) }}
    </div>
    <div class="card-body">

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Performance Mark</b></div>
                <div class="card-body">
                    <form action="{{ route('performancemrk.save') }}" method="post">
                        @csrf
                        
                            
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                    <label for="course" class="required"><b>Mark</b></label>
                                         <input type="text" class="form-control @error('mark') border-danger @enderror" id="mark" name="mark" value="{{ old('mark') }}">
                                         @error('mark')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                                
                                 <div class="col-md-8">
                                    <div class="form-group">
                                    <label for="course" class="required"><b>Remarks</b></label>
                                         <input type="text" class="form-control @error('remark') border-danger @enderror" id="remark" name="remark" value="{{ old('remark') }}">
                                         @error('remark')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                     <div class="form-group">
                                        <button type="submit" class="btn btn-primary float-right">Save</button>        
                                     </div>
                                </div>
                          
                               
                           
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
  
    
    
    
    
    
    
     </div>
            </div>
        </div>
    </div>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
       
    </style>
       <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                          
                            <th><b>Mark</b></th>
                            <th><b>Performance</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>  
                            @forelse($activityperformance as $actvp)
                                <tr>
                                  <td>{{$actvp->mark}}</td>
                                  <td>{{strtoupper($actvp->remark)}}</td>
                                  <td>{{app_table_links($actvp->id,array(314,313)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection