<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
    <input type="hidden" id="sub_id" name="sub_id" value="{{ $sub_id }}">
    <input type="hidden" id="ac_id" name="ac_id" value="{{ $ac_id }}">
    <input type="hidden" id="batch_id" name="batch_id" value="{{ $batch_id }}">
    

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
   
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
    <input type="hidden" name="sub_id" value="{{ encrypt($sub_id) }}" >
    <input type="hidden" name="ac_id" value="{{ encrypt($ac_id) }}" >
    <input type="hidden" name="batch_id" value="{{ encrypt($batch_id ) }}" >
   

@if(!empty($co))
 <div class="div_scroller">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
          
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">#</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Course Outcome</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Target Achieve</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Target Not-Achieve</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">% of Students Achieving Target</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Attainment Level</th>
        </tr>
    </thead>
    <tbody>
        @php
        $i=0;
        @endphp
       @foreach($co as $cn)
       @php 
       $i++;$target_notachieved=0;$target_achieved=0;$tot_target_appeared=0;$achieve_target=0;
			$coutcome = $cn->id;
            $target_level = $query_target->level;
            if($students)
            {
                foreach($students as $student)
                {
                   $cnt_ppt=0;$co_ach_lvl=0;$overallco_ach_lvl=0; 
                   foreach($assessmentmethods as $assmthd)
                   {
                        $assmnt_methodID = $assmthd->id;
                        $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmnt_methodID)->where('ac_id', $ac_id) ->where('subject', $sub_id) ->where('course', $course) ->where('division', $semester_id)->get();
                        foreach ($obeNames as $obeName) 
                        {
                            $examID = $obeName->id;$percentage=0;
                            $questions = \App\Models\ObeQuestions::where('course_id', $course)->where('division_id', $semester_id) ->where('subject_id', $sub_id)->where('exam_id', $examID)->where('assmnt_method', $assmnt_methodID)->where('ac_id', $ac_id)->where('co_id', $coutcome)->get();
                            if ($questions->isNotEmpty())
                            {
                                 foreach ($questions as $question) 
                                 {
                                    $questnID = $question->id; 
                                    $studentMark = \App\Models\ObeStudMarkList::where('course_id', $course) ->where('semester_id', $semester_id) ->where('ac_id', $ac_id) ->where('sub_id', $sub_id) ->where('stud_id', $student->student_id) ->where('assessmnt_method', $assmnt_methodID) ->where('exam', $examID)->where('question_id', $questnID) ->first();
                                    if($studentMark)
                                    {
                                        $percentage = ($studentMark->mark/$question->question_mark)*100;
    				                    $percentage = round($percentage);
    				                    $ach_lvl = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percentage)->where('t_per', '>=', $percentage)->where('ac_id',$ac_id)->first();
    				                    $co_ach_lvl +=$ach_lvl->level;
				                        $cnt_ppt++;
    				                }
                                 }
                            }
                        }
                   }
                  if($cnt_ppt != 0)
                   {
                        $internal_lvl = round($co_ach_lvl/$cnt_ppt);
                   }
                   else
                   {
                       $internal_lvl =0; 
                   }
                   
                   $mrk_sub = $student->universitysubmark->where('course_id', $course)->where('sem_id', $semester_id)->where('sub_id', $sub_id)->where('ac_id', $ac_id)->where('stud_id', $student->student_id)->pluck('mark')->first();
                   $sub_max = $sub_max_all->max_mark ?? 0;
                   if($sub_max !=0)
                   {
			       $percen_mrk = 	($mrk_sub/$sub_max)*100; }else{ $percen_mrk = 0; }	
			       $ach_lvl1 = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percentage)->where('t_per', '>=', $percentage)->where('ac_id',$ac_id)->first();
			       $external_lvl =	$ach_lvl1->level;
			       $external_percentage = $externalpercentage->percentage;
			       $internal_percentage = 100-$external_percentage;
			       $i1 = $internal_percentage/100;									
			       $e1 = $external_percentage/100;								
			       $overallco_ach_lvl = ($i1*$internal_lvl)+($e1*$external_lvl);
			       if($overallco_ach_lvl >= $target_level)
    				{
    					$target_achieved++;
    				}
    				else
    				{
    					$target_notachieved++;
    				}
                }
            }
       @endphp
       <tr>
        <td align="center">{{ $i }}</td>
        <td align="center" style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{strtoupper($cn->co_name)}}</td>
        <td align="center"><u><a href="{{ route('coattainmentachieve.print', ['course' => $course, 'semester_id' => $semester_id, 'sub_id' => $sub_id, 'ac_id' => $ac_id, 'co_id' => $coutcome,'tg' => 1,'batch_id'=>$batch_id ?? 0]) }}" target="blank_">{{$target_achieved}}</a></u></td>
        <td align="center"><u><a href="{{ route('coattainmentachieve.print', ['course' => $course, 'semester_id' => $semester_id, 'sub_id' => $sub_id, 'ac_id' => $ac_id, 'co_id' => $coutcome,'tg' => 0,'batch_id'=>$batch_id ?? 0]) }}" target="blank_">{{$target_notachieved}}</a></u></td>
        @php
            $tot_target_appeared =$target_achieved+$target_notachieved;
			$achieve_target =($target_achieved/$tot_target_appeared)*100;
			$qry_att_lvl = \App\Models\ObeCoAchievement::where('f_per', '<=', $percentage)->where('t_per', '>=', $percentage)->where('ac_id',$ac_id)->first();
			$att_lvl =	$qry_att_lvl->level;	
        @endphp
        <td align="center">{{number_format($achieve_target,2)}} %</td>
        <td align="center">{{ $att_lvl }}</td>
      </tr>
       @endforeach
    </tbody>    
    </table>
</div>
@else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
   
     </div>
    </div>
    </div>
  </div>