<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
   

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
   
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
   
   <div align="right">
    <a href="{{ route('coexternalmrkreport.print', ['course' => $course, 'semester_id' => $semester_id]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div> 
<div class="div_scroller">
     @if(!empty($students))
    
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
          
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Adno</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Roll no</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Student Name</th>
            @foreach($subjects as $subj)
           
            <th rowspan="1" colspan="3">{{$subj->subject_name}}(Max Mark :  {{$subj->sub_max_mark}} )</th>
            @endforeach
        </tr>
      <tr>
          @foreach($subjects as $subj) 
         
          <th>Mark Obtained</th>
		  <th>% of Marks</th>
		  <th>Achievement Level</th>
          @endforeach
      </tr>
        
     </thead>
     <tbody>
           @foreach($students as $student)
@php
$mrk_stud_total = 0; $k = 0;
@endphp
<tr>
    <td>{{ $student->adno }}</td>
    <td>{{ $student->rollno }}</td>
    <td>{{ strtoupper($student->name) }}</td>
    @foreach($subjects as $subj)
    @php
    $k++; $mrk_sub = $sub_max = 0;
    $subID = $subj->subject_id;  // Using subject_id directly
    $mrk_sub = $subj->marklists->whereIn('sem_id', $semesterIds)
                                
                                ->where('stud_id', $student->student_id)
                                ->where('ac_id', $ac_id)
                                ->pluck('mark')->first();
    $sub_max = $subj->sub_max_mark;  // This is set from the controller
    
    $percentage = isset($externalpercentage) && $externalpercentage ? $externalpercentage->percentage : 0;
    $mark_per = $mrk_sub * $percentage / 100;
    $outcome_cnt = $subj->subco->whereIn('semester_id', $semesterIds)
                               
                                ->count();

    $mrk_tot = $outcome_cnt != 0 ? $mark_per / $outcome_cnt : 0;
    $mrk_stud_total += $mrk_tot;

    $percen_mrk = $sub_max != 0 ? ($mrk_sub / $sub_max) * 100 : 0;

    $ach_lvl = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percen_mrk)
                                                 ->where('t_per', '>=', $percen_mrk)
                                                 ->first();
    @endphp
    <td>{{ $mrk_sub }}</td>
    <td>{{ round(number_format($percen_mrk, 2)) }}</td>
    <td>{{ $ach_lvl->level }}</td>
    @endforeach
</tr>
@endforeach
     </tbody>
    </table>
  
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
    </div> 
     </div>
    </div>
    </div>
  </div>
</div> 
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/studall.js') }}"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       
        .div_scroller{
    	overflow:auto;
      }

        
    </style>  
  