<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
    
   
   

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div align="right">
    <a href="{{ route('psoachievement.print', ['course' => $course, 'semester_id' => $semester_id]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div> 
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
   
     @if(!empty($students))
     @php
        $qry2_dv = \App\Models\Semester::where('semester_id', '<=', $semester_id)
            ->where('course_id', $course)
            ->select('semester_id', 'semester_name')
            ->get();
     @endphp
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
          
            <th>Adno</th>
            <th>Student Name</th>
            @foreach($pso as $ps)
            <th style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$ps->pso_no.' - '.$ps->pso_name}}</th>
            @endforeach
        </tr>
     </thead>
     <tbody>
          @foreach($students as $student)
    @php
        $mrk_stud_total = 0;
        $co_ach_lvl = 0;
        $internal_lvl = 0;
    @endphp
    <tr>
        <td>{{ $student->adno }}</td>
        <td>{{ strtoupper($student->name) }}</td>
        @foreach($pso as $ps)
            @php
                $ps_outcome = $ps->id;
                $pso_lvls = 0;
                $map_lvl_tot = 0;

                foreach($qry2_dv as $div) {
                    foreach($subjects as $sub) {
                        $subject_id = $sub->subject_id;
                        $co_list = $sub->subco->whereIn('semester_id', $semesterIds);
                        
                        foreach($co_list as $ct) {
                            $coutcome = $ct->id;
                            $cnt_ppt = 0;
                            $overallco_ach_lvl = 0;
                            $co_ach_lvl = 0;
                            $percen_mrk = 0;

                            foreach($assessmentmethods as $assmthd) {
                                $assmnt_methodID = $assmthd->id;
                                $obeNames = $assmthd->exams->where('ac_id', $ac_id)->whereIn('division', $semesterIds)->where('subject', $subject_id);

                                foreach ($obeNames as $obeName) { 
                                    $examID = $obeName->id;
                                    $mquestions = $assmthd->questions->where('exam_id', $examID)
                                        ->where('ac_id', $ac_id)
                                        ->where('subject_id', $subject_id)
                                        ->where('co_id', $coutcome)
                                       
                                        ->whereIn('division_id', $semesterIds);

                                    foreach ($mquestions as $obequestns) {
                                         $questnID = $obequestns->id;
                                        $ObeStudMrkList = $student->internalmark
                                            ->where('assessmnt_method', $assmthd->id)
                                            ->where('ac_id', $ac_id)
                                            ->where('question_id', $questnID)
                                            ->where('exam', $examID)
                                            
                                            ->whereIn('semester_id', $semesterIds)
                                            ->where('sub_id', $subject_id)
                                            ->pluck('mark')
                                            ->first();

                                        if ($ObeStudMrkList) {
                                        if($obequestns->question_mark)
                                        {
                                            $percentage = ($ObeStudMrkList / $obequestns->question_mark) * 100;
                                            $percentage = round($percentage);
                                        }
                                        else
                                        {
                                          $percentage=0;
                                        }
                                            $ach_lvl = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percentage)
                                                ->where('t_per', '>=', $percentage)->where('ac_id',$ac_id)
                                                ->first();

                                            if ($ach_lvl) {
                                                $co_ach_lvl += $ach_lvl->level;
                                                $cnt_ppt++;
                                            }
                                        }
                                    }
                                }
                            }

                            $internal_lvl = $cnt_ppt > 0 ? round($co_ach_lvl / $cnt_ppt) : 0;

                            $mrk_sub = $student->universitysubmark
                                
                                ->whereIn('sem_id', $semesterIds)
                                ->where('sub_id', $subject_id)
                                ->where('ac_id', $ac_id)
                                ->pluck('mark')
                                ->first();

                            $sub_max = $sub->submax
                                ->whereIn('sem_id', $semesterIds)
                                ->where('sub_id', $subject_id)
                                ->where('ac_id', $ac_id)
                                ->pluck('max_mark')
                                ->first();

                            if ($mrk_sub && $sub_max) {
                                $percen_mrk = ($mrk_sub / $sub_max) * 100;

                                $ach_lvl1 = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percen_mrk)
                                    ->where('t_per', '>=', $percen_mrk)
                                    ->first();

                                $external_lvl = $ach_lvl1 ? $ach_lvl1->level : 0;
                                $internal_percentage = 100 - $externalpercentage->percentage;
                                $i1 = $internal_percentage / 100;
                                $e1 = $externalpercentage->percentage / 100;
                                $overallco_ach_lvl = ($i1 * $internal_lvl) + ($e1 * $external_lvl);
                            }

                            $qry6_maplvl = \App\Models\CoPsoMapping::where('pso_id', $ps_outcome)
                                ->where('co_id', $coutcome)
                                ->where('ac_id', $ac_id)
                                ->first();

                            if ($qry6_maplvl) {
                                $mapping_level = $qry6_maplvl->mapping_level;
                                $pso_lvls += $overallco_ach_lvl * $mapping_level;
                                $map_lvl_tot += $mapping_level;
                            }
                        }
                    }
                }
            @endphp
            <td align="center">{{ $map_lvl_tot > 0 ? number_format(($pso_lvls / $map_lvl_tot), 2) : 'N/A' }}</td>
        @endforeach
    </tr>
@endforeach
     </tbody>
    </table>
    
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
   
     </div>
    </div>
    </div>
  </div>
 
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/studall.js') }}"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       


        
    </style>  
  