<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
       
        
        <form action="{{ route('lessonplanner.add.hours.save') }}" method="post">
    @csrf
    <input type="hidden" name="course" value="{{$course}}">
    <input type="hidden" name="sem" value="{{$sem}}">
    <input type="hidden" name="sub" value="{{$sub}}">
    <input type="hidden" name="chapter" value="{{$chapter}}">
    <input type="hidden" name="userId" value="{{$userId}}">
    
    <table class="table table-bordered">
        <thead>
            <tr>
                <th style="width:3%;">
                    <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                        <label class="container">
                            <input type="checkbox" class="form-check-input" id="checkAll">
                        </label>
                    </div>
                </th>
                <th><b>#</b></th>
                <th><b>Topic</b></th>
                <th><b>Current Hours</b></th>
                <th><b>New Hours</b></th>
                <th><b>Created By</b></th>
            </tr>
        </thead>
        <tbody>
            @forelse($lessonplanner as $lesson)
                <tr>
                   <input type="hidden" name="lessonplanner[]" value="{{ $lesson->id }}">
                    <td align="center">
                        <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                            <label class="container">
                                <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $lesson->id }}">
                                
                            </label>
                        </div>
                    </td>
                    <td>{{ $loop->iteration }}</td>
                    <td>{{ strtoupper($lesson->topic) }}</td>
                    <td>{{ strtoupper($lesson->hours) }}</td>
                  
                    <td>
                        <!--<input type="text" name="newhours[]"  placeholder="New Hours"  value="{{ $lesson->new_hours ? $lesson->new_hours : '' }}">-->
                        <input type="text" name="newhours[]" placeholder="New Hours" 
                                    value="{{ 
                                        $lesson->ac_id == $ac_id && $lesson->new_hours ? $lesson->new_hours : $lesson->hours 
                                    }}">
                                    
                    </td>
                  
                    <td>{{ strtoupper($lesson->name) }}</td>
                </tr>
            @empty
                <tr>
                    <td colspan="6">No Result Found!</td>
                </tr>
            @endforelse
        </tbody>
    </table>

    <div id="load"></div>
    <br>
    <input type="submit" class="btn btn-success float-right" value="Save">
</form>

        </div>
        </div>
        
           <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  
       <script>
    $(document).ready(function() {
     
        $('#checkAll').change(function() {
            $('.checkSub').prop('checked', this.checked);
        });
    });

   </script>
<style>
  
 input[type="checkbox"] {
        width: 2em;
        height: 2rem;
        display: inline-block; 
        margin: 0;
        accent-color: green;
    }
    .container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>