@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit Semester')
@section('breadcrumb','Settings /Semester / Edit Semester')
@section('content')




<!--<a href="{{route('semester')}}" class="back-button">-->
<!--		<svg baseProfile="tiny" height="35px" id="Layer_1" version="1.2" viewBox="0 0 24 24" width="35px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M12,9.059V6.5c0-0.256-0.098-0.512-0.293-0.708C11.512,5.597,11.256,5.5,11,5.5s-0.512,0.097-0.707,0.292L4,12l6.293,6.207  C10.488,18.402,10.744,18.5,11,18.5s0.512-0.098,0.707-0.293S12,17.755,12,17.5v-2.489c2.75,0.068,5.755,0.566,8,3.989v-1  C20,13.367,16.5,9.557,12,9.059z"/></svg>-->
<!--        Back-->
<!--        </a>-->
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header"  style="background-color:#005A9C;color:white"><b>Edit</b></div>
                <div class="card-body">
                    <form action="{{ route('semester.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="semester_id" value="{{ encrypt($semester_det->semester_id) }}">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Program</b></label>
                                    <select class="js-example-basic-single" id="course_id" name="course_id" style="width:100%">
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ $semester_det->course_id == $course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="semester_name" class="required"><b>Semester Name</b></label>
                                    <input type="text" class="form-control @error('semester_name') border-danger @enderror" id="semester_name" name="semester_name" value="{{ $semester_det->semester_name }}">
                                    @error('semester_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Update</button>
                                </div>
                            </div>
                        </div>
                    </form>
               
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection