<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
       
  @if(!$tasksall->isEmpty())    
  <form action="{{ route('save.task.pending') }}" method="post">
  @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
     
      <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
 
    
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        @if($status== '0')
                        <th rowspan="2">
                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
                            </div>
                        </th>
                        @endif
                        <th>Course</th>
                        <th>Task</th>
                        <th>Description</th>
                        <th>Deadline</th>
                        <th>Status</th>
                        <th>Remarks</th>
                        
                    </tr>
                    </thead>
                    <tbody>
                        @foreach($tasksall as $tsk)
                         @php
                         $datetime = new DateTime($tsk->dead_line);
                         
                         @endphp
                        <tr>
                            @if($status== '0')
                            <td align="center" >
                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $tsk->id }}"></label>
                                </div>
                            </td> 
                            @endif
                            <td>{{$tsk->subject_name}}</td>
                            <td>{{$tsk->task_name}}</td>
                            <td>{{$tsk->descrption}}</td>
                            <td>{{$datetime->format('d-m-Y h:i A')}}</td>
                            <td>
                                 <select class="form-control" id="status{{$tsk->id}}" name="status{{$tsk->id}}" required>
                                    <option value="">Select Status</option>
                                    <option value="0" {{ old('status', $tsk->status) == 0 ? "selected" : "" }}>Pending</option>
                                    <option value="1" {{ old('status', $tsk->status) == 1 ? "selected" : "" }}>Completed</option>
                                </select>
                            </td>
                            <td><textarea class="form-control remark" id="{{ 'remark'. $tsk->id}}" name="remark{{$tsk->id}}" onkeypress="return isNumberKey(event);">{{$tsk->remark}}</textarea> 
</td>
                        </tr>
                        
                        @endforeach
                    </tbody>
                </table>
                <br>
                 @if($status== '0')
                <div class="row">
                             
               <div class="col-md-12">
                  <div class="form-group">
                    <button type="submit" class="btn btn-primary float-right">Submit</button>
                 </div>
               </div>
    </div>
     @endif
    @else
       <div class="alert alert-warning" align="center">
        <strong><font color="red" size="5">{{$status_name}} Task not Found.!</font></strong>
      </div>
    @endif
</div>
</div>
<script src="{{ asset('public/js/studall.js') }}"></script> 
<style>

    input[type="checkbox"] {
       width: 2em;
       height: 2rem;
       display: inline-block; 
       margin: 0;
      accent-color: green;
    }
    .container {
        display: flex; /* Flexbox for better alignment */
        align-items: center; /* Center align vertically */
        justify-content: center; /* Center align horizontally */
    }

</style>

        