@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Assign Course to Program')
@section('breadcrumb','Settings / Course / Assign')
@section('content')



<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    
    <div class="card-body">
           <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Assign Course to Program</b></div>
        <div class="card-body">
        <form>
        @csrf
        <div class="row">
            
            <div class="col-md-3">
                <div class="form-group">
                    <label for="course" class="required"><b>Program</b></label>
                    <select class="form-control" id="course" name="course" required>
                        <option value="">Select</option>
                        @foreach($courses as $crs)
                        <option value="{{ $crs->course_id}}" {{ old('course')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
                        @endforeach
                    </select>
                @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
            </div>
            
             <div class="col-md-3">
            <div class="form-group">
                 <label for="semester_id" class="required"><b>Semester</b></label>
                <select class="form-control" id="semester_id" name="semester_id" required>
                    <option value="">select</option>
                </select>
            </div>
          </div>
            
                              
           <div class="col-md-3">
              <div class="form-group">
                  <label for="subtcat_id" class="required"><b>Course Category</b></label>
                     <select class="form-control" id="subtcat_id" name="subtcat_id" required>
                        <option value="">select</option>
                            @foreach($subCategories as $subjectType)
                         <option value="{{ $subjectType->id}}" {{ old('subtcat_id')==$subjectType->id ? "selected":"" }}>{{ $subjectType->category}}</option>
                             @endforeach 
                     </select>
                            @error('subtcat_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
               </div>
           </div>        
            
        
        </div>
        
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                      <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
                </div>
            </div>
        </div>
        
        
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    
    
 
        </div>
        </div>
        </div>
    </div>

<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/js/semester.js') }}"></script> 
<script src="{{ asset('public/js/assignsubjects.js') }}"></script>


@endsection