<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
         
@if($students->isNotEmpty())
   <form action="{{ route('univ.mark.list.save') }}" method="post">
                    @csrf
     <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #004170;color:white;">
        <b>UNIVERSITY MARK LIST {{ date('Y',strtotime($cur_acyear->sdate)).' - '.date('Y',strtotime($cur_acyear->edate))}}</b>
        </div>
                    
                    
                    <div class="card-body">
                  
                    <input type="hidden" name="course" value="{{ encrypt($course_id) }}" >
                    <input type="hidden" name="sem" value="{{ encrypt($semester_id) }}" >
                    <input type="hidden" name="paper_no" value="{{ encrypt($paper_no) }}" >
                    
                    <div class="form-group row">
                       
                     
                     <table  class="table table-bordered" id="table_promote">
                        <tr><td class="courseName">PROGRAM </td><td>{{$course_name->course_name}}</td></tr>
                        <tr><td class="courseName">SEMESTER</td><td>{{$sem_name->semester_name}}</td></tr>
                        <tr>
                        <td class="courseName" rowspan="{{$paper_no}}">NAME OF COURSES</td>
                        @php
                        $marklist1 = App\Models\MarkList::where('course_id', $course_id)
                                       ->where('sem_id', $semester_id)
                                       ->where('ac_id', $ac_id)
                                       ->where('pep_no', 1)
                                       ->whereNull('deleted_at')
                                       ->first();
                        @endphp
                        <td>1. <input type="text" name="sub_1" value="{{ $marklist1 ? $marklist1->subject : '' }}" style="width:90%;"></td>
                        </tr>
                        @for($hd=2;$hd<=$paper_no;$hd++)
                        @php
                        $marklist = App\Models\MarkList::where('course_id', $course_id)
                                       ->where('sem_id', $semester_id)
                                       ->where('ac_id', $ac_id)
                                       ->where('pep_no', $hd)
                                       ->whereNull('deleted_at')
                                       ->first();
                        @endphp
                        <tr><td style="text-align:left;">{{$hd}}. <input type="text" value="{{ $marklist ? $marklist->subject : '' }}" name="sub_{{$hd}}" style="width:90%;"></td></tr>
                        @endfor
                        
                    </table>
                    </div>
                   
                    </div>
                </div>
            </div>
        </div>
        
             
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
            <div class="card-body">
                            
                          
                               <div class="div_scroller">
                                   <div class="form-group row">
                                <table class="table table-bordered" id="table_promote">
                                <thead>
                                <tr>
                               
                                <th rowspan="2" width="10%"><b>Adm No.</b></th>
                                <th rowspan="2" width="10%"><b>Roll No.</b></th>
                                <th rowspan="2"><b>Student Name</b></th>
                               @for($hd=1;$hd<=$paper_no;$hd++)
                               <th colspan="2" rowspan="1" width="20%">Paper {{ $hd }}</th>
                               @endfor
                                </tr>
                                <tr>
                                @for($hd=1; $hd<=$paper_no;$hd++)
                                <th rowspan="1">GPA</th>
                                <th rowspan="1">Grade</th>
                               @endfor
                                </tr>
                                </thead>
                                    <tbody>
                                        @foreach($students as $student)
                                            <tr>
                                             
                                                <td>{{ $student->adno }}</td>
                                                <td>{{ $student->rollno }}</td>
                                                <td>{{ $student->name }}</td>
                                                @for($hd=1;$hd<=$paper_no;$hd++)
                                                @php
                                                    $grade="";$grade_point='';
                                                    $studunvmarklist = $student->studuniversitymarklist->where('pep_no',$hd)->first();
                                                    if($studunvmarklist)
                                                    {
                                                       $grade_point = $studunvmarklist->grade_point;
                                                       $grade = $studunvmarklist->grade;
                                                    }
                                                @endphp  
                                                <td><input type="text" size="2" class="form-control gpnd" name="gpa{{$student->student_id}}_{{ $hd }}" value="{{$grade_point}}"></td>
                                                <td><input type="text"  size="2" class="form-control gpnd" name="grade{{$student->student_id}}_{{$hd }}" value="{{$grade}}"></td>
                                                @endfor
                                            </tr>
                                        @endforeach
                                    <tbody>
                                </table>
                                </div>
                         </div><br>
                           <div class="row">
                             
                                        <div class="col-md-12">
                                        <div class="form-group">
                                        <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        
                    </div>
                </div>
          </form>
    @else
        <div class="alert alert-primary" role="alert">No Students Found!</div>
    @endif
      </div>
        </div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/promote.js') }}"></script>
      <style>
          .div_scroller{
    	overflow:auto;
      }
    </style>