<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="<?php echo e($course); ?>">
    <input type="hidden" id="sem_id" name="sem_id" value="<?php echo e($semester_id); ?>">
    <input type="hidden" id="subtyp_id" name="subtyp_id" value="<?php echo e($subtyp_id); ?>">
    <input type="hidden" id="sub_id" name="sub_id" value="<?php echo e($sub_id); ?>">
    <input type="hidden" id="term_id" name="term_id" value="<?php echo e($term_id); ?>">
    <input type="hidden" id="assmnt_method" name="assmnt_method" value="<?php echo e($assmnt_method); ?>">
    <input type="hidden" id="exam_id" name="exam_id" value="<?php echo e($exam_id); ?>">
    <input type="hidden" id="batch_id" name="batch_id" value="<?php echo e($batch_id); ?>">

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
      
        
    <form action="<?php echo e(route('addinternalmark.save')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="crs_id" value="<?php echo e(encrypt($course)); ?>" >
    <input type="hidden" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>" >
     <input type="hidden" name="subtyp_id" value="<?php echo e(encrypt($subtyp_id)); ?>" >
    <input type="hidden" name="sub_id" value="<?php echo e(encrypt($sub_id)); ?>" >
    <input type="hidden" name="term_id" value="<?php echo e(encrypt($term_id)); ?>" >
    <input type="hidden" name="assmnt_method" value="<?php echo e(encrypt($assmnt_method)); ?>" >
    <input type="hidden" name="exam_id" value="<?php echo e(encrypt($exam_id)); ?>" >
    <input type="hidden" id="batch_id" name="batch_id" value="<?php echo e(encrypt($batch_id)); ?>">
    
     <?php if(!empty($students)): ?>
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
            <th>
             <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
             </div>
            </th>
            <th>Adno</th>
            <th>Student Name</th>
             <?php $__currentLoopData = $internalquestions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $questn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <th style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($questn->question.'- ( '.$questn->question_mark." )"); ?></th>
             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
           
           
        </tr>
     </thead>
     <tbody>
           <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         
         <tr>
            <td >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container">   <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($student->student_id); ?>"></label>
                </div>
              <input type="hidden" name="stud_course<?php echo e($student->student_id); ?>" value="<?php echo e($student->course_id); ?>">
              <input type="hidden" name="stud_sem<?php echo e($student->student_id); ?>" value="<?php echo e($student->semester_id); ?>">
            </td>
            <td><?php echo e($student->adno); ?></td>
            <td><?php echo e($student->name); ?></td>
            <?php $__currentLoopData = $internalquestions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $questn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <td>
                <?php
        
            $mark = $student->internalmark
            ? $student->internalmark->where('ac_id', $ac_id)
                                     ->where('sub_id', $sub_id)
                                     ->where('exam', $exam_id)
                                     ->where('question_id', $questn->id)
                                     ->where('subtyp_id', $subtyp_id)
                                     ->pluck('mark')->first()
            : '';
            ?>
                
        <input type="text" size="2" class="form-control <?php $__errorArgs = ['mark'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="mark<?php echo e($student->student_id); ?>_<?php echo e($questn->id); ?>" name="mark<?php echo e($student->student_id); ?>_<?php echo e($questn->id); ?>" value="<?php echo e($mark); ?>">
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            
             
         </tr>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
     </tbody>
    </table>
    
    <?php else: ?>
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    <?php endif; ?>
    <div class="row">
                             
       <div class="col-md-12">
          <div class="form-group"><br>
            <button type="submit" class="btn btn-primary float-right">Save</button>
         </div>
       </div>
    </div>
     </div>
    </div>
    </div>
  </div>
 
  <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/studall.js')); ?>"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       
        input[type="checkbox"] {
          width: 2em;
          height: 2rem;
           display: inline-block; 
           margin: 0;
          accent-color: green;
        }
        .container {
            display: flex; /* Flexbox for better alignment */
            align-items: center; /* Center align vertically */
            justify-content: center; /* Center align horizontally */
        }

        
    </style>  
  <?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/stud_internalmark_list.blade.php ENDPATH**/ ?>