

<?php $__env->startSection('title', 'Dashboard'); ?>
<?php $__env->startSection('heading', 'Students'); ?>
<?php $__env->startSection('breadcrumb', 'Home / Students'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-primary">
        <div class="card-header">Students</div>
        <div class="card-body">
            <table class="table table-bordered" id="studentTable" width="100%">
                <thead>
                <tr>
                    <th>Adm No.</th>
                    <th>Roll No.</th>
                    <th>Name</th>
                    <th>Father's Name</th>
                    <th>Mother's Name</th>
                    <th>Mobile</th>
                    <th>Program</th>
                    <th>Semester</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(function () {
            var studentTable = $("#studentTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [50, 100, 500, 1000, -1], [50, 100, 500, 1000, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '<?php echo e(route('dash.totalajax.student')); ?>',
                    dataType : 'json',
                    type : 'GET',
                },
                order: [[1, 'asc']],
                columns : [
                    { data : 'adno' },
                    { data : 'rollno' },
                    { data : 'name' },
                    { data : 'fathername' },
                    { data : 'mothername' },
                    { data : 'mobile' },
                    { data : 'course' },
                    { data : 'semester' },
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staffdashboard/student_total.blade.php ENDPATH**/ ?>