  <div class="card">
    <div class="card-header" style="background:#005A9C;color:white"><b>Student Fee Structure</b></div>
    <div class="card-body">
        <form action="<?php echo e(route('student.fee.structure.save')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" id="ac_id" name="ac_id" value="<?php echo e($acyear->ac_id); ?>">
            <input type="hidden" id="course_id" name="course_id" value="<?php echo e($crs->course_id); ?>">
            <input type="hidden" id="semester_id" name="semester_id" value="<?php echo e($sem->semester_id); ?>">
            <input type="hidden" id="student_id" name="student_id" value="<?php echo e($student->student_id); ?>">
            <input type="hidden" id="category_id" name="category_id" value="<?php echo e($cat_det->category_id); ?>">
            <input type="hidden" id="term_id" name="term_id" value="<?php echo e($term_det->term_id); ?>">
        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">
            
            <table class="table table-bordered">    
            <tr>
            <td><b>Student Name</b></td>
            <td><b><?php echo e($student->name); ?></b></b></td>
            </tr>
            <tr>
            <td><b>Admission No.</b></td>
            <td><b><?php echo e($student->adno); ?></b></td>
            </tr>
            <tr>
                <td><b>Semester</b></td>
                <td><b><?php echo e($student->semester_name); ?></b></td>
            </tr> 
            <tr>
                <td><b>Term</b></td>
                <td><b><?php echo e($term_det->term_name); ?></b></td>
            </tr> 
           <tr>
                <td><b>Category</b></td>
                <td><b><?php echo e($cat_det->category_name); ?></b></td>
            </tr> 
            </table>
             </div>
            </div>
            <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">
            <table class="table table-bordered">
                <thead>
                            <tr>
                                <th><b>Fee Type</b></th>
                                <th><b>Amount</b></th>
                                <th><b>Start Date</b></th>
                                <th><b>End Date</b></th>
                            </tr>
                             <tbody>
                                <?php $__currentLoopData = $feetypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feetype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $amount=$start=$end=""; ?>
                                    <tr>
                                        <td><?php echo e($feetype->type_name); ?><input type="hidden" name="type[]" value="<?php echo e($feetype->type_id); ?>"</td>
                                         <?php if(!empty($stutypes) && $stutypes->contains('type_id', $feetype->type_id)): ?>
                                        <?php $__currentLoopData = $stutypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($stype->type_id == $feetype->type_id): ?>
                                                <?php
                                                    $amount = $stype->amount;
                                                    $start = $stype->start_date;
                                                    $end = $stype->end_date;
                                                ?>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                        <?php $__currentLoopData = $stypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($stype->type_id == $feetype->type_id): ?>
                                                <?php
                                                    $amount = $stype->amount;
                                                    $start = $stype->start_date;
                                                    $end = $stype->end_date;
                                                ?>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                        <td><input type="text" class="form-control" name="amount[]" value="<?php echo e($amount); ?>"></td>
                                        <td><input type="date" class="form-control" name="start[]" value="<?php echo e($start); ?>"></td>
                                        <td><input type="date" class="form-control" name="end[]" value="<?php echo e($end); ?>"></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                
                </table>
           </div>
            </div>
           
           <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
           
           
           </form>
            </div>
            </div>
            
            
            
            <style>
    
        .form-control{
            border:1px solid black;
        }
</style><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/fees/student_fee_structure_get.blade.php ENDPATH**/ ?>