
<?php $__env->startSection('title','Voucher Types'); ?>
<?php $__env->startSection('heading','Voucher Types'); ?>
<?php $__env->startSection('breadcrumb','Home / Voucher Types'); ?>
<?php $__env->startSection('content'); ?>
    <?php if($add==1): ?>
        <div class="card card-primary">
            <div class="card-header">Add Voucher Type</div>
            <div class="card-body">
                <form action="<?php echo e(route('accounts.vtype.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-12 col-sm-4">
                            <div class="form-group">
                                <label for="vocher_type" class="required">Under</label>
                                <select class="form-control" id="vocher_type" name="vocher_type" required>
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $vtypes->where('default1',1); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vtype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($vtype->id); ?>" <?php echo e(old('vocher_type')==$vtype->id ? "selected":""); ?>><?php echo e($vtype->vtype_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['vocher_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <div class="col-12 col-sm-8">
                            <div class="form-group">
                                <label for="vocher_type_name" class="required">Voucher Type</label>
                                <div class="row">
                                    <div class="col-12 col-sm-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control <?php $__errorArgs = ['vocher_type_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="vocher_type_name" name="vocher_type_name" value="<?php echo e(old('vocher_type_name')); ?>">
                                            <?php $__errorArgs = ['vocher_type_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="col-12 col-sm-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-sm btn-success">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <br>
    <?php endif; ?>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="vtypeTable" width="100%">
                <thead>
                <tr>
                    <th class="no-sort">#</th>
                    <th>Voucher Type</th>
                    <th>Under</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $vtypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vtype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($loop->iteration); ?></td>
                            <td><?php echo e($vtype->vtype_name); ?></td>
                            <td><?php echo e($vtype->vtype->vtype_name); ?></td>
                            <td>
                                <?php if($vtype->default1==0): ?>
                                    <?php echo e(app_table_links($vtype->id,array(580,66))); ?>

                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(function () {
            var vtypeTable = $("#vtypeTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                stateSave : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/account/settings/vtypes.blade.php ENDPATH**/ ?>