
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Leave Request'); ?>
<?php $__env->startSection('breadcrumb','Home/Student/Leave Request'); ?>
<?php $__env->startSection('content'); ?>
<?php if($request->isNotEmpty()): ?>
    <div class="card">
        <div class="card-body">
            <div class="scroll">
                <table class="table table-bordered" width="100%">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Date</th>
                            <th>Adno</th>
                            <th>Student Name</th>
                            <th>Leave From</th>
                            <th>Leave Until</th>
                            <th>Reason</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $request; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $leave): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        
                            <tr>
                                <td align="center"><?php echo e($loop->iteration); ?></td>
                                <td align="center"><?php echo e(date('d-m-Y', strtotime($leave->date))); ?></td>
                                <td align="center"><?php echo e($leave->student->adno); ?></td>
                                <td><?php echo e(strtoupper($leave->student->name)); ?></td>
                                <td align="center"><?php echo e(date('d-m-Y', strtotime($leave->lfrom))); ?></td>
                                <td align="center"><?php echo e(date('d-m-Y', strtotime($leave->luntil))); ?></td>
                                <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($leave->reason); ?></td>
                                <td align="center">
                                    <button type="button" class="btn view-btns" data-url="<?php echo e(route('request.leave.reply', ['id' => $leave->stulvreq_id  ])); ?>">
                                        <i class="fa-solid fa-magnifying-glass"></i>
                                    </button>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="8">No Result Found!</td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <?php else: ?>
     <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Student Leave Request not Found !</div>
            </div>
        </div>
    <?php endif; ?>
    <div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="viewModalLabel">Action</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body"></div>
            </div>
        </div>
    </div>
   
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(document).ready(function() {
            $('.view-btns').on('click', function(e) {
                e.preventDefault();
                var url = $(this).data('url');
                $.get(url, function(data) {
                    $('#viewModal .modal-body').html(data);
                    $('#viewModal').modal('show');
                });
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staff/studentreq.blade.php ENDPATH**/ ?>