<form action="<?php echo e(route('staff.student.attendance.leave')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="course" value="<?php echo e($course->course_id); ?>">
    <input type="hidden" name="semester" value="<?php echo e($semester->semester_id); ?>">
    <input type="hidden" name="subject" value="<?php echo e($subject->subject_id); ?>">
    <input type="hidden" name="date" value="<?php echo e($date); ?>">
    <input type="hidden" name="period" value="<?php echo e($period->id); ?>">
    <input type="hidden" name="student" value="<?php echo e($student->student_id); ?>">
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Adno :</label>
                <label class="col-7 text-danger"><?php echo e($student->adno); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Name :</label>
                <label class="col-7 text-danger"><?php echo e($student->name); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Course :</label>
                <label class="col-7 text-danger"><?php echo e($course->course_name); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Semester :</label>
                <label class="col-7 text-danger"><?php echo e($semester->semester_name); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Subject :</label>
                <label class="col-7 text-danger"><?php echo e($subject->subject_name); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Date :</label>
                <label class="col-7 text-danger"><?php echo e(date('d/m/Y',strtotime($date))); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Day :</label>
                <label class="col-7 text-danger"><?php echo e(date('l',strtotime($date))); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Period :</label>
                <label class="col-7 text-danger"><?php echo e($period->period); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Attendance</label>
                <div>
                    <label for="present"><input type="radio" id="present" name="status" value="P" <?php if($status=='' || $status=='P'): ?> checked <?php endif; ?>> Present</label>
                    <label for="absent"><input type="radio" id="absent" name="status" value="A" <?php if($status=='A'): ?> checked <?php endif; ?>> Absent</label>
                </div>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Reason</label>
                <textarea class="form-control" name="reason" rows="3"><?php echo e($reason); ?></textarea>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                <button type="button" class="btn btn-sm btn-danger float-right mr-2" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</form><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/staff/student/details.blade.php ENDPATH**/ ?>