<div class="card">
    <div class="card-header" style="background:#004170;color:white;">
        <b>Salary Setting</b>
    </div>

    <div class="card-body">
        <form action="<?php echo e(route('salary.save')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" id="staftyp_id" name="staftyp_id" value="<?php echo e($stafftype->staftyp_id); ?>">
            <input type="hidden" id="type_id" name="type_id" value="<?php echo e($staffdesig->type_id); ?>">

            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead style="background-color:#FFF8DC">
                                <tr>
                                    <th><b>#</b></th>
                                    <th><b>Staff Name</b></th>
                                    <th><b>Designation</b></th>
                                    <th><b>Basic Pay</b></th>
                                    <?php $__currentLoopData = $slrydeductionset; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deductions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($deductions->type == 'Percentage'): ?>
                                            <th><b>Deduction<br>0%</b></th>
                                        <?php elseif($deductions->type == 'Amount'): ?>
                                            <th><b>Deduction<br>0.0</b></th>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <th><b>Deducted Total</b></th>
                                    <?php if($allowance_cnt > 0): ?>
                                        <th colspan="<?php echo e($allowance_cnt); ?>">Allowances</th>
                                    <?php endif; ?>
                                    <?php if($deduction_cnt > 0): ?>
                                        <th colspan="<?php echo e($deduction_cnt); ?>">Deductions</th>
                                    <?php endif; ?>
                                </tr>
                                <?php if($allowance_cnt > 0 || $deduction_cnt > 0): ?>
                                    <tr>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <?php if($allowance_cnt > 0): ?>
                                            <?php $__currentLoopData = $allowance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $allow): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <th><?php echo e($allow->allowance_code); ?></th>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                        <?php if($deduction_cnt > 0): ?>
                                            <?php $__currentLoopData = $deduction; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deduc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <th><?php echo e($deduc->deduction_code); ?></th>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </tr>
                                <?php endif; ?>
                            </thead>

                            <tbody>
                                <?php $__currentLoopData = $staff; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staffsalary): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $basicPay = $basicsalary->where('user_id', $staffsalary->user_id)->first()->basicpay ?? 0;
                                        $totalDeduction = 0;
                                    ?>
                                    <tr>
                                        <input type="hidden" name="user_id[]" value="<?php echo e($staffsalary->user_id); ?>">
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($staffsalary->name); ?></td>
                                        <td><?php echo e($staffsalary->desig->type_name); ?></td>
                                        <td>
                                            <input type="text"  name="basicpay<?php echo e($staffsalary->user_id); ?>" value="<?php echo e($basicPay); ?>" data-user-id="<?php echo e($staffsalary->user_id); ?>" class="form-control basic-pay">
                                        </td>
                                        <?php $__currentLoopData = $slrydeductionset; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $slry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                if ($slry->type == 'Percentage') {
                                                    $deductionAmount = $basicPay - ($basicPay * ($slry->percentage_amount / 100));
                                                } elseif ($slry->type == 'Amount') {
                                                    $deductionAmount = $basicPay - $slry->percentage_amount; 
                                                }
                                                
                                                $totalDeduction += $deductionAmount;
                                            ?>
                                            <td  data-deduction-type="<?php echo e($slry->type); ?>" data-deduction-amount="<?php echo e($slry->percentage_amount); ?>">
                                                <?php if($slry->type == 'Percentage'): ?>
                                                    <?php echo e($slry->percentage_amount); ?>%
                                                <?php elseif($slry->type == 'Amount'): ?>
                                                    <?php echo e(number_format($slry->percentage_amount, 2)); ?>

                                                <?php endif; ?>
                                            </td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <td class="deducted-total"><?php echo e(number_format($totalDeduction, 2)); ?></td>

                                        <?php $__currentLoopData = $allowance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $allow): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $allowanceAmount = 0; 
                                                $adtype = 0;
                                                $totalAllowance=0;
                                                
                                                $mode = $allow->allowperamt->where('ad_type', $adtype)->pluck('mode')->first();
                                                $allowancePercentage = $allow->allowperamt->where('ad_type', $adtype)->pluck('adpercentage')->first();

                                                if ($mode == 0) { 
                                                    $allowanceAmount = $totalDeduction * ($allowancePercentage / 100);
                                                } elseif ($mode == 1) { 
                                                    $allowanceAmount = $allowancePercentage;
                                                }

                                                $totalAllowance += $allowanceAmount;
                                            ?>
                                            <td>
                                                <input type="text" name="allw[<?php echo e($allow->allowance_id); ?>][]" value="<?php echo e($allowanceAmount); ?>" class="form-control">
                                            </td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        <?php $__currentLoopData = $deduction; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dedu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $deductionAmount = 0;
                                                $adtype = 1; 
                                                $mode = $dedu->deducperamt->where('ad_type', $adtype)->pluck('mode')->first();
                                                $deductionPercentage = $dedu->deducperamt->where('ad_type', $adtype)->pluck('adpercentage')->first();
                                                if ($mode == 0) { 
                                                    $deductionAmount = $totalDeduction * ($deductionPercentage / 100);
                                                } elseif ($mode == 1) { 
                                                    $deductionAmount = $deductionPercentage;
                                                }
                                                
                                                $totalDeduction += $deductionAmount;
                                            ?>
                                            <td>
                                                <input type="text" name="ded[<?php echo e($dedu->deduction_id); ?>][]" value="<?php echo e($deductionAmount); ?>" class="form-control">
                                            </td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <div id="load"></div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </div>
        </form>
    </div>
</div>


<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>

<script>
$(document).ready(function() {
    
    $('.basic-pay').on('input', function() {
        var userId = $(this).data('user-id');  
        var basicPay = parseFloat($(this).val()) || 0;  

        var totalDeduction = 0;  

      
        $('tr').each(function() {
            var $row = $(this);
            if ($row.find('input[name="user_id[]"]').val() == userId) {  
                
                $row.find('td[data-deduction-type]').each(function() {
                    var $td = $(this);
                    var deductionType = $td.data('deduction-type');
                    var deductionAmount = parseFloat($td.data('deduction-amount')) || 0; 

                   
                    if (deductionType === 'Percentage') {
                        deductionAmount = basicpay-(basicPay * (deductionAmount / 100));  
                    } else if (deductionType === 'Amount') {
                        deductionAmount = basicPay-deductionAmount;  
                    }

                    totalDeduction += deductionAmount;  // Add the deduction to the total
                });

                // Update the "Deducted Total" field with the calculated total deduction
                $row.find('.deducted-total').text(totalDeduction.toFixed(2));  
            }
        });

        // Update the allowances and deductions dynamically
        updateAllowancesAndDeductions(userId, basicPay, totalDeduction);
    });

    // Function to update allowances and deductions based on the basic pay
    function updateAllowancesAndDeductions(userId, basicPay, totalDeduction) {
        $('tr').each(function() {
            var $row = $(this);
            if ($row.find('input[name="user_id[]"]').val() == userId) {  // If it's the correct user row
                // Update the allowances based on the basic pay
                $row.find('td input[name^="allw"]').each(function() {
                    var $input = $(this);
                    var allowanceAmount = 0;
                    var allowanceId = $input.attr('name').match(/\[(\d+)\]/)[1];  // Get the allowance ID

                    // Find the allowance details from the data passed to JavaScript
                    var allowance = <?php echo json_encode($allowance, 15, 512) ?>;  // The allowance data from the backend
                    var mode = allowance.find(a => a.allowance_id == allowanceId).allowperamt[0].mode;
                    var allowancePercentage = allowance.find(a => a.allowance_id == allowanceId).allowperamt[0].adpercentage;

                    // Calculate the allowance amount based on the mode (percentage or fixed amount)
                    if (mode == 0) {
                        allowanceAmount = basicpay-(basicPay * (allowancePercentage / 100));  // Percentage-based allowance
                    } else if (mode == 1) {
                        allowanceAmount = basicpay-allowancePercentage;  // Fixed amount allowance
                    }

                    $input.val(allowanceAmount.toFixed(2));  // Update the allowance input field
                });

                // Update the deductions based on the calculated total deduction
                $row.find('td input[name^="ded"]').each(function() {
                    var $input = $(this);
                    var deductionAmount = 0;
                    var deductionId = $input.attr('name').match(/\[(\d+)\]/)[1];  // Extract deduction ID

                    // Find the deduction details from the data passed to JavaScript
                    var deduction = <?php echo json_encode($deduction, 15, 512) ?>;  // The deduction data from the backend
                    var mode = deduction.find(d => d.deduction_id == deductionId).deducperamt[0].mode;
                    var deductionPercentage = deduction.find(d => d.deduction_id == deductionId).deducperamt[0].adpercentage;

                    // Calculate the deduction amount (percentage or fixed)
                    if (mode == 0) {
                        deductionAmount = totalDeduction * (deductionPercentage / 100);  // Percentage-based deduction
                    } else if (mode == 1) {
                        deductionAmount = deductionPercentage;  // Fixed amount deduction
                    }

                    $input.val(deductionAmount.toFixed(2));  // Update the deduction input field
                });
            }
        });
    }
});
    
    
    
</script>
<?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/salary/salary_get.blade.php ENDPATH**/ ?>