
<?php $__env->startSection('title','Attendance'); ?>
<?php $__env->startSection('heading','Student Exemption'); ?>
<?php $__env->startSection('breadcrumb','Home / Student / Exemption'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="card-tools">
                <?php echo e(app_button_links(array(728))); ?>

            </div>
        </div>
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="course">Program</label>
                            <select class="form-control js-example-basic-single" id="course" name="course">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($course->course_id); ?>" <?php echo e($course->course_id==$courseId ? 'selected':''); ?>><?php echo e($course->course_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="semester">Semester</label>
                            <select class="form-control js-example-basic-single" id="semester" name="semester">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester->semester_id==$semesterId ? 'selected':''); ?>><?php echo e($semester->semester_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="leave">Leave Type</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <select class="form-control js-example-basic-single" id="leave" name="leave" required>
                                            <option value="">Select</option>
                                            <?php $__currentLoopData = $leaves; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $leave): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($leave->stuleav_id); ?>" <?php echo e($leave->stuleav_id==$leaveId ? 'selected':''); ?>><?php echo e($leave->leave_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <?php if($exemptions->count() > 0): ?>
        <div class="card">
            <div class="card-body">
                <div class="scroll">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Adm No</th>
                            <th>Student Name</th>
                            <th>Program</th>
                            <th>Semester</th>
                            <th>Leave Type</th>
                            <th>From</th>
                            <th>To</th>
                            <th>Reason</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $exemptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exemption): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td align="center"><?php echo e($loop->iteration); ?></td>
                                    <td align="center"><?php echo e($exemption->student->adno); ?></td>
                                    <td><?php echo e($exemption->student->name); ?></td>
                                    <td align="center"><?php echo e($exemption->course->course_name); ?></td>
                                    <td align="center"><?php echo e($exemption->semester->semester_name); ?></td>
                                    <td align="center"><?php echo e($exemption->leave->leave_name); ?></td>
                                    <td align="center"><?php echo e(date('d/m/Y', strtotime($exemption->fdate))); ?></td>
                                    <td align="center"><?php echo e(date('d/m/Y', strtotime($exemption->tdate))); ?></td>
                                    <td><?php echo e($exemption->reason); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-danger">No Result Found !</div>
    <?php endif; ?>
    <script src="<?php echo e(asset('public/js/class-teacher.js?ver=1.3')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staff/student/exemption.blade.php ENDPATH**/ ?>