<style>
@media print {
        @page {
            margin: 0;
        }
        body {
            background-repeat: repeat;
        }
    }
    * {
        font-family: Times;
        font-size: 16px;
        line-height: 22px;
    }
    body {
        background-size: cover;
        border: 1px solid black;
    }
    #title {
        font-size: 20px;
        font-weight: bold;
        color: #800000;
        text-align:center;
    }
    .container {
        margin-top: 8px;
        margin-left: 35px;
        width: 86%;
        padding: 20px;
    }
    table {
        width: 100%;
    }
    table tr {
        height: 30px;
    }
    table td {
        vertical-align: top;
    }
    .header {
        text-align: center;
    }
    .content {
        text-align: justify;
        margin-top: 20px;
    }
    #hr {
        background-color: #800000;
        height: 2px;
        margin: 20px 0;
    }
</style>
<body onload="print()">
<div class="container"> 
  <div class="container">
                    <div class="certificate-shadow">
                    <table width="100%">
                                <tr>
                                <td width="25%" rowspan="4" align="center">
                                    <img src="<?php echo e(asset('public/uploads/logo/' . $institution->logo)); ?>" alt="<?php echo e($institution->logo); ?>" height="50px">
                                </td>
                                <td width="50%" align="center">
                                    <h2><?php echo e($institution->name); ?></h2>
                                </td>
                                <td width="25%" rowspan="4" align="center"></td>
                            </tr>
                            <tr>
                                <td align="center"><?php echo e($institution->affiliation); ?></td>
                            </tr>
                            <tr>
                                <td align="center"><?php echo e($institution->address); ?></td>
                            </tr>
                            <tr>
                                <td align="center"><?php echo e('Ph: ' . $institution->mobile . ' ' . $institution->landline); ?></td>
                            </tr>
                        </table>

                        <hr style="background:#800000; height: 2px;">

                        <div class="head">
                            

                            <div>
                                <?php $__currentLoopData = $eventgenerate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cert): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <table width="100%">
                                <tr>
                                    <td class="float-left"><b>No.:<?php echo e($cert->certificate_number); ?></b></td>
                                    <td align="right" style="white-space:nowrap"><b>DATE: <?php echo e(date('d/m/Y')); ?></b></td>
                                </tr>
                            </table>
                                    <div style="margin: 20px 0;">
                                        <div id="title" style="font-size:20px;color:#800000; text-decoration: none; text-align: center">
                                            <b><?php echo e(strtoupper($cert->title)); ?></b>
                                        </div>
                                        <br>
                                        <div class="content"><?php echo $cert->content; ?></div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>

<div style="margin-top: 40px;">
                            <table width="100%">
                                <tr>
                                    <td style="text-align: left; width: 33%;">
                                        <p style="margin: 0;">Program Coordinator</p>
                                    
                                    </td>
                                    <td style="text-align: center; width: 34%;">
                                        <p style="margin: 0;">HOD of Dept.</p>
                                      
                                    </td>
                                    <td style="text-align: right; width: 33%;">
                                        <p style="margin: 0;">Principal</p>
                                      
                                    </td>
                                </tr>
                            </table>
                        </div>


</body>
</div><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/certificate//event_gen_report_print.blade.php ENDPATH**/ ?>