<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
  <form action="<?php echo e(route('inter.internalmrk.save')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" id="course" name="course" value="<?php echo e(encrypt($course)); ?>">
    <input type="hidden" name="sem" value="<?php echo e(encrypt($sem)); ?>" >
    <input type="hidden" name="sub" value="<?php echo e(encrypt($sub)); ?>" >
    <input type="hidden" name="subtyp_id" value="<?php echo e(encrypt($subtyp_id)); ?>" >
    <div class="div_scroller">   
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
        <th rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th rowspan="2" colspan="1"><b>Adno</b></th>
        <th rowspan="2" colspan="1"><b>Student Name</b></th>
        <th rowspan="1" colspan="3"><b>Test Paper Marks</b></th>
        <?php if($subtyp_id == '1'): ?>
        <th rowspan="2" colspan="1"><b>Assi. / Semi.<br>(Max.Mark = 2.5)</b></th>
        <?php else: ?>
        <th rowspan="2" colspan="1"><b>Viva / Practi. <br>(Max.Mark = 2.5)</b></th> 
        <?php endif; ?>
        <th rowspan="2" colspan="1"><b>Attendance<br>(Max. Mark = 2.5)</b></th>
        <th rowspan="2" colspan="1"><b>Total <br>(Max. Mark = 10)</b></th>
    </tr>
    <tr>
        <th rowspan="1" colspan="1">Test 1<br>(Max. Mark = 2.5)</th>
        <th rowspan="1" colspan="1">Test 2<br>(Max. Mark = 2.5)</th>
        <th rowspan="1" colspan="1">Mark Allotted <br> (Max. Mark = 5)</th>
    </tr>
    </thead>
     <tbody>
         <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         <?php 
          $internal_marks = $student->internalmarks->where('ac_id',$ac_id)->where('course_id',$course)->where('sem_id',$sem)->where('subtyp_id',$subtyp_id)->where('sub_id',$sub)->first(); 
          if($internal_marks)
          { 
          $total_test_mark = optional($internal_marks)->test1 + optional($internal_marks)->test2;
          $total_mark = optional($internal_marks)->test1 + optional($internal_marks)->test2 + optional($internal_marks)->assignment + optional($internal_marks)->attendance;
          $int_att = optional($internal_marks)->attendance;
          $int_test1 = optional($internal_marks)->test1;
          $int_test2 =  optional($internal_marks)->test2;
          $int_assignment =  optional($internal_marks)->assignment;
          }
          else
          {
           
          $tperiods = $student->studattendance->where('ac_id',$ac_id)->where('course_id',$course)->where('semester_id',$sem)->where('subject_id',$sub)->count();
          $pres_periods = $student->studattendance->where('ac_id',$ac_id)->where('course_id',$course)->where('semester_id',$sem)->where('subject_id',$sub)->where('status','P')->count();
          if($tperiods== 0)
          {
            $percentage = 0;
          }
          else
          {
            $percentage = round(($pres_periods/$tperiods)*100);
          }
          $grading_scale = App\Models\AttendanceGrade::where('gr_from', '<=', $percentage)
                             ->where('gr_to', '>=', $percentage)
                             ->first();
         if ($grading_scale) {
         $att_gr_point= $grading_scale->grade_point;  }else{ $att_gr_point= 0;  }
         $grade_evaluation = App\Models\MasterContiEvaluation::where('mc_id',1)->first();
         $att_weight = $grade_evaluation->weight;
         $attendance_gp = $att_gr_point*$att_weight;   
         $int_att = round(($attendance_gp / 10) * 2.5,2);
         
         if($subtyp_id == '1')
         {
             $assignment_gp = $student->studassignment->where('ac_id',$ac_id)->where('course_id',$course)->where('semester_id',$sem)->where('subject_id',$sub)->first();
             $seminar_gp = $student->studseminar->where('ac_id',$ac_id)->where('course_id',$course)->where('semester_id',$sem)->where('subject_id',$sub)->first();
             $assign_sem_gp =optional($assignment_gp)->gradepoint +  optional($seminar_gp)->gradepoint;
             $ass_grade_evaluation = App\Models\MasterContiEvaluation::where('mc_id',2)->first();
             $ass_weight = $ass_grade_evaluation->weight;
             $sem_grade_evaluation = App\Models\MasterContiEvaluation::where('mc_id',3)->first();
             $sem_weight = $sem_grade_evaluation->weight;
             $assignment_weight = $ass_weight+$sem_weight;
             $int_assignment = round(($assign_sem_gp / 20) * 2.5,2);
             $exam_gp = $student->mainstreamstudmarktheory->where('ac_id',$ac_id)->where('course_id',$course)->where('semester_id',$sem)->where('subject_id',$sub)->where('mark', '!=', -1)->sortByDesc('mark')->take(2);
             $mark1 = $exam_gp->isNotEmpty() ? $exam_gp->first()->mark : 0;
             $mark2 = $exam_gp->count() > 1 ? $exam_gp->skip(1)->first()->mark : 0;
             $exam_id =$exam_gp->isNotEmpty() ? $exam_gp->first()->exam_id : null;
             $exam_id2 =$exam_gp->count() > 1 ? $exam_gp->skip(1)->first()->exam_id : null;
             $exam_max_mark = App\Models\StudentExamSubject::where('exam_id',$exam_id)->where('subject_id',$sub)->pluck('max_mark')->first();
             $exam2_max_mark = App\Models\StudentExamSubject::where('exam_id',$exam_id2)->where('subject_id',$sub)->pluck('max_mark')->first();
             $exam_max_mark = $exam_max_mark ?? 0;
             $exam2_max_mark = $exam2_max_mark ?? 0;
             $int_test1 = $exam_max_mark ? ($mark1 / $exam_max_mark) * 2.5 : 0;
             $int_test1 = round($int_test1,2);
             $int_test2 = $exam2_max_mark ? ($mark2 / $exam2_max_mark) * 2.5 : 0;
             $int_test2 = round($int_test2,2);
             $total_test_mark = $int_test1+$int_test2;
             $total_weighted_grade_point = $assign_sem_gp+$attendance_gp;
             $total_weight = $assignment_weight + $att_weight;
             $total_mark=$int_assignment+$int_att+$total_test_mark;
        }
        else
        {
             $practical_gp = $student->studpracticalrecord->where('ac_id',$ac_id)->where('course_id',$course)->where('semester_id',$sem)->where('subject_id',$sub)->first();
             $viva_gp = $student->studviva->where('ac_id',$ac_id)->where('course_id',$course)->where('semester_id',$sem)->where('subject_id',$sub)->first();
             $pr_vi_gp =optional($practical_gp)->gradepoint +  optional($viva_gp)->gradepoint;
             $pr_grade_evaluation = App\Models\MasterContiEvaluation::where('mc_id',5)->first();
             $pr_weight = $pr_grade_evaluation->weight;
             $vi_grade_evaluation = App\Models\MasterContiEvaluation::where('mc_id',6)->first();
             $vi_weight = $vi_grade_evaluation->weight;
             $assignment_weight = $pr_weight+$vi_weight;
             $int_assignment = round(($pr_vi_gp / 20) * 2.5,2);
             $exam_gp = $student->mainstreamstudmarkpractical->where('ac_id',$ac_id)->where('course_id',$course)->where('semester_id',$sem)->where('subject_id',$sub)->where('mark', '!=', -1)->sortByDesc('mark')->take(2);
             $mark1 = $exam_gp->isNotEmpty() ? $exam_gp->first()->mark : 0;
             $mark2 = $exam_gp->count() > 1 ? $exam_gp->skip(1)->first()->mark : 0;
             $exam_id =$exam_gp->isNotEmpty() ? $exam_gp->first()->pexam_id : null;
             $exam_id2 =$exam_gp->count() > 1 ? $exam_gp->skip(1)->first()->pexam_id : null;
             $exam_max_mark = App\Models\StudentExamSubjectPract::where('pexam_id',$exam_id)->where('subject_id',$sub)->pluck('max_mark')->first();
             $exam2_max_mark = App\Models\StudentExamSubjectPract::where('pexam_id',$exam_id2)->where('subject_id',$sub)->pluck('max_mark')->first();
             $exam_max_mark = $exam_max_mark ?? 0;
             $exam2_max_mark = $exam2_max_mark ?? 0;
             $int_test1 = $exam_max_mark ? ($mark1 / $exam_max_mark) * 2.5 : 0;
             $int_test1 = round($int_test1,2);
             $int_test2 = $exam2_max_mark ? ($mark2 / $exam2_max_mark) * 2.5 : 0;
             $int_test2 = round($int_test2,2);
             $total_test_mark = $int_test1+$int_test2;
             $total_weighted_grade_point = $pr_vi_gp+$attendance_gp;
             $total_weight = $assignment_weight + $att_weight;
             $total_mark=$int_assignment+$int_att+$total_test_mark;
        }
         
         }                    
         ?>
         <tr>
             <td align="center">
             <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container">
                     
                     <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($student->student_id); ?>" >
                     </label>
                </div>
             </td>
             <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($student->adno); ?></td>
             <td><?php echo e($student->name); ?></td>
             <td><input type="text" size="2" class="form-control test1" id="<?php echo e('test1'. $student->student_id); ?>" name="test1<?php echo e($student->student_id); ?>"  value="<?php echo e($int_test1); ?>"  onkeypress="return isNumberKey(event);"> 
</td>
              <td><input type="text" size="2" class="form-control test2" id="<?php echo e('test2'. $student->student_id); ?>" name="test2<?php echo e($student->student_id); ?>"  value="<?php echo e($int_test2); ?>"  onkeypress="return isNumberKey(event);"> 
</td>
              <td><input type="text" size="2" class="form-control test_total" id="<?php echo e('test_total'. $student->student_id); ?>" name="test_total<?php echo e($student->student_id); ?>"  value="<?php echo e($total_test_mark); ?>"  onkeypress="return isNumberKey(event);" readonly> 
</td>
             <td><input type="text" size="2" class="form-control assignment" id="<?php echo e('assignment'. $student->student_id); ?>" name="assignment<?php echo e($student->student_id); ?>"  value="<?php echo e($int_assignment); ?>"  onkeypress="return isNumberKey(event);"> 
</td>
               <td><input type="text" size="2" class="form-control attendance" id="<?php echo e('attendance'. $student->student_id); ?>" name="attendance<?php echo e($student->student_id); ?>"  value="<?php echo e($int_att); ?>"  onkeypress="return isNumberKey(event);"> 
</td>
            <td><input type="text" size="2" class="form-control total" id="<?php echo e('total'. $student->student_id); ?>" name="total<?php echo e($student->student_id); ?>"  value="<?php echo e($total_mark); ?>"  onkeypress="return isNumberKey(event);" readonly> 
</td>
         </tr>
         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
    </table>
    </div>
    <br>
     <div class="row">
       <div class="col-md-12">
          <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">SAVE</button>
         </div>
       </div>
    </div>
    
  </form>
  </div>
  </div>
  <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
          <script src="<?php echo e(asset('public/js/studall.js')); ?>"></script> 
    <style>
    .div_scroller {
  overflow: auto;
  scrollbar-width: initial; /* Make the scrollbar thinner */
  scrollbar-color: #888 #f1f1f1; /* Thumb color and track color */
}
    input[type="checkbox"] {
      width: 1.5em;
      height: 1.5rem;
       display: inline-block; 
       margin: 0;
      accent-color: green;
    }
    </style><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/internalassessment/internalmarks_get.blade.php ENDPATH**/ ?>