
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Competition'); ?>
<?php $__env->startSection('breadcrumb','Home/Events/Competition'); ?>
<?php $__env->startSection('content'); ?>


<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
         <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         <?php echo e(app_button_links_v(array(381,382))); ?>

    </div>
    <div class="card-body">
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
   
                 <div class="card-body">
        <form action="<?php echo e(route('event.competition.save')); ?>" method="post">
            <?php echo csrf_field(); ?>
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="addevent_id" class="required"><b>Event</b></label>
                        <select class="form-control" id="addevent_id"  name="addevent_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        <?php $__currentLoopData = $event; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $events): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($events->addevent_id); ?>" <?php echo e(old('addevent_id')==$events->addevent_id ? "selected":""); ?>><?php echo e($events->event); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['addevent_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="compt" class="required"><b>Competition</b></label>
                        <input type="text" name="compt" class="form-control" placeholder="Competition">
                        </div>
                        </div>
                        
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="user_id" class="required"><b>Staff-in-charge</b></label>
                        <select class="form-control" id="user_id"  name="user_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        <?php $__currentLoopData = $staff; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staffs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($staffs->user_id); ?>" <?php echo e(old('user_id')==$staffs->user_id ? "selected":""); ?>><?php echo e($staffs->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="course_id" class="required"><b>Program</b></label>
                        <select class="form-control" id="course_id"  name="course_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        <?php $__currentLoopData = $course; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $courses): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($courses->course_id); ?>" <?php echo e(old('course_id')==$courses->course_id ? "selected":""); ?>><?php echo e($courses->course_name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
        
                        
            
            
               
              
            <div class="col-md-3">
            <label for="date" class="required"><b>Date</b></label>
            <input type="date" class="form-control" id="date" name="date" value="<?php echo e(old('date') ? old('date'):date('Y-m-d')); ?>">
            <?php $__errorArgs = ['date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            
            <div class="col-md-3">
            <label for="lda" class="required"><b>Last Date to Apply</b></label>
            <input type="date" class="form-control" id="lda" name="lda" value="<?php echo e(old('lda') ? old('lda'):date('Y-m-d')); ?>">
            <?php $__errorArgs = ['lda'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            
            
            </div>         
             
        <div class="row">        
        <div class="col-md-12">        
        <button type="submit" class="btn btn-primary float-right">Submit</button>
        </div>
        </div>  
        </form>
        
        
          </div>
        </div>
        </div>
        </div>
        
        
        
        
        </div>
        </div>
        </div>
        </div>
        
        
        
        
        
        <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/event/competition.blade.php ENDPATH**/ ?>