
<?php $__env->startSection('title','Account Groups'); ?>
<?php $__env->startSection('heading','Account Groups'); ?>
<?php $__env->startSection('breadcrumb','Home / Account Groups'); ?>
<?php $__env->startSection('content'); ?>
    <?php if($add==1): ?>
        <div class="card card-primary">
            <div class="card-header">Add Account Group</div>
            <div class="card-body">
                <form action="<?php echo e(route('accounts.group.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-12 col-sm-4">
                            <div class="form-group">
                                <label for="main_id" class="required">Main Group</label>
                                <select class="form-control" id="main_id" name="main_id" required>
                                    <?php $__currentLoopData = $maingroups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $maingroup): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($maingroup->acmaingrp_id); ?>" <?php echo e(old('main_id')==$maingroup->acmaingrp_id ? "selected":""); ?>><?php echo e($maingroup->main_group); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['main_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                        </div>
                        <div class="col-12 col-sm-8">
                            <div class="form-group">
                                <label for="subgroup" class="required">Sub Group Name</label>
                                <div class="row">
                                    <div class="col-12 col-sm-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control <?php $__errorArgs = ['subgroup'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="subgroup" name="subgroup" value="<?php echo e(old('subgroup')); ?>">
                                            <?php $__errorArgs = ['subgroup'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    <div class="col-12 col-sm-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-sm btn-success">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <br>
    <?php endif; ?>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="groupTable" width="100%">
                <thead>
                <tr>
                    <th class="no-sort">#</th>
                    <th>Sub Group</th>
                    <th>Main Group</th>
                    <th>Dr/Cr</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(function () {
            var groupTable = $("#groupTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                stateSave : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '<?php echo e(route('accounts.groups.ajax')); ?>',
                    dataType : 'json',
                    type : 'GET',
                },
                columns : [
                    { data : 'sno' },
                    { data : 'sgroup' },
                    { data : 'mgroup' },
                    { data : 'dc' },
                    { data : 'action' },
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/account/settings/groups.blade.php ENDPATH**/ ?>