
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Parents Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home/PTA/Parents Attendance'); ?>
<?php $__env->startSection('content'); ?>


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <div class="row">
    <div class="col-md-2">
    <label for="ac_id" class="required"><b>Academic Year</b></label>
    </div>
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="ac_id" name="ac_id" required>
    <option value="">Select</option>
    <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e(old('ac_id')==$acyear->ac_id ? "selected":""); ?>><?php echo e($acyear->start_date_formatted.' - '.$acyear->end_date_formatted); ?></option>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </select>
    <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
    </div>
    </div>

    <div class="row">
    <div class="col-md-2">
    <label for="pta_id" class="required"><b>Meeting</b></label>
    </div>
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="pta_id" name="pta_id" required>
    <option value="">Select</option>
    </select>
    <?php $__errorArgs = ['pta_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-2">
    <label for="course_id" class="required"><b>Program</b></label>
    </div>
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="course_id" name="course_id" required>
    <option value="">Select</option>
    </select>
    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
    </div>
    </div>
   
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
    </div>
    </div>
    </div>




    </div>
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card" id="result">
            
    </div>
    </div>
    
    
    
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/attendance.js')); ?>"></script> 

<script>
    $(document).ready(function(){
    $("#ac_id").on('change',function(){
        var ac_id = $(this).val();
        $("#pta_id").empty();

        $.ajax({
            type : 'GET',
            url : '../get-meeting/'+ac_id,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $("#pta_id").append('<option value="">select</option>');

                $.each(data, function(key,value) {
                    $("#pta_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
        $("#pta_id").on('change',function(){
        var pta_id = $(this).val();
       
        $("#course_id").empty();

        $.ajax({
            type : 'GET',
            url : '../get-meeting-course/'+pta_id,
            success : function(response){
                var data = jQuery.parseJSON(response);
                     $("#course_id").append('<option value="">select</option>');

                $.each(data, function(key,value) {
                    $("#course_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    $("#course_id").on('change',function(){
        var course_id = $(this).val();
        
        $("#semester_id").empty();
        $.ajax({
            type : 'GET',
            url : '../get-sem/'+course_id,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $.each(data, function(key,value) {
                    $("#semester_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });


















});
</script>

<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
		
</style>





















<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/parents/addpta_attendance.blade.php ENDPATH**/ ?>