
<?php $__env->startSection('title','OBE'); ?>
<?php $__env->startSection('heading','CO-PSO Mapping'); ?>
<?php $__env->startSection('breadcrumb','Settings / OBE / CO-PSO Mapping / Edit'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#073980;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="<?php echo e(route('copsomapping.update')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                         <input type="hidden" name="copso_id" value="<?php echo e(encrypt($copso->id)); ?>">
                        <div class="row">
                          
                            <div class="col-md-4">
                            <div class="form-group">
                               <label for="co_outcome" class="required"><b>Course Outcome</b></label>
                                <?php $co_outcome=old('co_outcome ') ?? $copso->co_id; ?>
                               <select class="form-control" id="co_outcome" name="co_outcome" required>
                                 <?php $__currentLoopData = $coutcome; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($cn->id); ?>" <?php echo e($co_outcome == $cn->id  ? "selected":""); ?>><?php echo e($cn->co_no.' '.$cn->co_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                            
                              <div class="col-md-4">
                                        <div class="form-group">
                                            <label for="ps_outcome" class="required"><b>Program Specific Outcomes</b></label>
                                            <?php $ps_outcome=old('ps_outcome ') ?? $copso->pso_id; ?>
                                    <select class="js-example-basic-single" id="ps_outcome" name="ps_outcome" style="width:100%">
                                        <?php $__currentLoopData = $psoutcome; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($p->id); ?>" <?php echo e($ps_outcome == $p->id? "selected":""); ?>><?php echo e($p->pso_no.' '.$p->pso_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['ps_outcome'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                    
                                    
                                    <div class="col-md-3">
                            <div class="form-group">
                               <label for="level_id" class="required"><b>BT Level</b></label>
                                <?php $level_id=old('level_id ') ?? $copso->level_id; ?>
                               <select class="form-control" id="level_id" name="level_id" required>
                                 <?php $__currentLoopData = $btlevels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($lv->id); ?>" <?php echo e($level_id == $lv->id  ? "selected":""); ?>><?php echo e($lv->level); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>  
                                    
                             <div class="col-md-4">
                            <div class="form-group">
                               <label for="assmnt_method" class="required"><b>Assessment Method</b></label>
                                <?php $assmnt_method=old('assmnt_method ') ?? $copso->assmnt_method; ?>
                               <select class="form-control" id="assmnt_method" name="assmnt_method" required>
                                 <?php $__currentLoopData = $assessmentmethods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($asm->id); ?>" <?php echo e($assmnt_method == $asm->id  ? "selected":""); ?>><?php echo e($asm->method); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>         
                                    
                                    
                                     <div class="col-md-3">
                            <div class="form-group">
                               <label for="mapping_level" class="required"><b>Mapping Level</b></label>
                                <?php $mapping_level=old('mapping_level ') ?? $copso->mapping_level; ?>
                               <select class="form-control" id="mapping_level" name="mapping_level" required>
                                <option value="">select</option>
                                <option value="0" <?php echo e($mapping_level == 0? "selected":""); ?>>0</option>
                                <option value="1" <?php echo e($mapping_level == 1? "selected":""); ?>>1</option>
                                 <option value="2" <?php echo e($mapping_level == 2? "selected":""); ?>>2</option>
                                  <option value="3" <?php echo e($mapping_level == 3? "selected":""); ?>>3</option>
                                   <option value="4" <?php echo e($mapping_level == 4? "selected":""); ?>>4</option>
                                </select>
                            </div>
                        </div>  
                                    
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
       
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/obe/copsomapping_edit.blade.php ENDPATH**/ ?>