<div class="card" style="border-top:3px solid #004170">
 <div class="card-body">
   <?php if($students && $students->isNotEmpty()): ?>  
    <form action="<?php echo e(route('seminar.save')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" id="course" name="course" value="<?php echo e($course); ?>">
  
    <input type="hidden" id="sem" name="sem" value="<?php echo e($sem); ?>">
    <input type="hidden" id="sub" name="sub" value="<?php echo e($sub); ?>">
    <input type="hidden" id="ac_id" name="ac_id" value="<?php echo e($ac_id); ?>">
    <a href="<?php echo e(route('seminar.print',['crs_id'=>$course,'sem_id'=>$sem,'sub_id'=>$sub])); ?>" target="_blank"><i class="fa fa-print" style="font-size:40px;color:red;text-align:right"></i></a>
    <div style="display: flex; justify-content: flex-end; align-items: center; margin-bottom: 10px;">
    <div style="display: flex; margin-right: 20px;">
        <label for="submit_date" style="margin-right: 10px;">Common Submission Date</label>
        <input type="date" id="submit_date_all" class="form-control" style="width: 200px;" />
</div>
</div>

<div style="display: flex; justify-content: flex-end; align-items: center;">
<div style="display: flex; margin-right: 20px;">
<label for="max_marks" style="margin-right: 10px;" class="required">Max Marks</label>
<input type="text" name="max_marks" id="max_marks" class="form-control" style="width: 200px;"  value="<?php echo e($max_marks->max_marks ?? ''); ?>" placeholder="Max Marks" />
</div>
</div>



    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
         <br>
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
            <th colspan="1" rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
            <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th>Adno</th>
        <th>Student Name</th>
        <th>Topics</th>
        <th>Presentation Date</th>
    </tr>
   
    </thead>
    <tbody>
            <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <input type="hidden" name="student_id" value="<?php echo e($student->student_id); ?>">
            
           <tr>
           <td align="center" width="10%">
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($student->student_id); ?>"></label>
                </div>
             
            </td> 
            <td width="10%"><?php echo e($student->adno); ?></td>
            <td width="30%"><?php echo e($student->name); ?></td>
           
            
               
    <td width="50%">
   
        <input type="text" class="form-control <?php $__errorArgs = ['seminar' . $student->student_id];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" 
                                                   id="seminar<?php echo e($student->student_id); ?>" 
                                                   name="seminar<?php echo e($student->student_id); ?>" 
                                                   value="<?php echo e($student->seminar_topics ?? ''); ?>">  
                                                   </td>
                                                   <td>
                                                       <input type="date"  id="sdate<?php echo e($student->student_id); ?>" name="sdate<?php echo e($student->student_id); ?>" value="<?php echo e($student->date); ?>">
                                                   </td>
        </tr>
        
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                <div class="form-group">
                <button type="submit" class="btn btn-primary float-right">Save</button>
                </div>
                </div>
            </div>
            </form>
            <?php else: ?>
                <div class="row">
                    <div class="col-12">
                        <div class="alert alert-danger">Student not Found !</div>
                    </div>
                </div>
            <?php endif; ?>
            </div>
    
</div>
   <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
   
       <script>
    $(document).ready(function() {
     
        $('#checkAll').change(function() {
            $('.checkSub').prop('checked', this.checked);
        });
 $('#submit_date_all').change(function() {
        var selectedDate = $(this).val(); 

       
        if (selectedDate) {
            $('input[name^="sdate"]').each(function() {
                $(this).val(selectedDate); 
            });
        }
    });

    });

   </script>
   <style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

  


input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/internalassessment/seminar_add_get.blade.php ENDPATH**/ ?>