
<?php $__env->startSection('title','LMS'); ?>
<?php $__env->startSection('heading','Learning Management System'); ?>
<?php $__env->startSection('breadcrumb','Home / LMS / Task / View Task Details'); ?>
<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background:#073980;color:white; font-weight: bold; font-size: 20px;">
                View Task Details
            </div>
            <div class="card-body">
                <!-- Course and Semester Information -->
                <div class="row mb-4">
                    <!-- Course Information -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Course: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                <?php echo e($task_det->course->course_name); ?>

                            </span>
                        </div>
                    </div>

                    <!-- Semester Information -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Semester: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                <?php echo e($task_det->semester->semester_name); ?>

                            </span>
                        </div>
                    </div>
                </div>

                <!-- Task and Deadline Information -->
                <div class="row mb-4">
                    <!-- Task Information -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Task: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                <?php echo e($task_det->task_name); ?>

                            </span>
                        </div>
                    </div>

                    <!-- Deadline Information -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <?php
                                $datetime = new DateTime($task_det->dead_line);
                            ?>
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Deadline: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                <?php echo e($datetime->format('d-m-Y h:i A')); ?>

                            </span>
                        </div>
                    </div>
                </div>

                <!-- Subject Information -->
                <div class="row mb-4">
                    <div class="col-md-12">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Subject: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                <?php echo e($task_det->subjectname->subject_name); ?>

                            </span>
                        </div>
                    </div>
                </div>

                <!-- Description Information -->
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Description: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                <?php echo e($task_det->descrption); ?>

                            </span>
                        </div>
                    </div>
                </div>
                
               <div class="row"> 
              <table class="table table-bordered">
                  <thead>
                   <tr>
                       <th>Adno</th>
                       <th>Student Name</th>
                       <th>Status</th>
                       <th>Remarks</th>
                   </tr>
                  <thead>
                    <tbody>    
                   <?php $__currentLoopData = $stud_task; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sttk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    
                   <tr>
                       <td><?php echo e($sttk->student->adno); ?></td>
                       <td>
                           <?php echo e(strtoupper($sttk->student->name)); ?>

                       </td>
                        <td align="center">
                            <?php if($sttk->status == 0): ?>
                            <span class="badge badge-warning">Pending</span>
                            <?php elseif($sttk->status == 1): ?>
                                <span class="badge badge-success">Completed</span>
                            <?php else: ?>
                                <span class="badge badge-secondary">Unknown</span>
                            <?php endif; ?>
                       </td>
                       <td>
                          <?php echo e($sttk->remark); ?> 
                       </td>
                   </tr>
                   
                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody> 
               </table>
               </div> 
                
            </div>
        </div>
    </div>
</div>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/Lms/Task/get_task_det.blade.php ENDPATH**/ ?>